% This Program, written by Abhishek Agarwal on 9/27/2005 is used for
% calculating the 2 way repeated ANOVA for min word size

% I will be performimg 2 way repeated ANOVA for 2 cases.
% 1st case will be with factor 1 as min word size and factor 2 as trial.
% Another case will be in which 1st factor will be min word size and another factor will be max list length

close all
clear all
clc

subject = 4;
trial = 5;

load word_size_trial.txt;
load word_size_max.txt;
load maxlist_trial.txt;

% % For ANOVA2 the data will be arranged in such a way such that column will
% % contain information about 1 factor while row will contain information
% % about another factor with rows also containing information about each of
% % 4 subjects. (You can take it like this that each cell in a row-cloumn
% % represents a 2D array and it also contains data about the 4 subject in
% % 3rd dimension). So that is why giving reps = 4. Matlab will take next
% % factor from 5th & then 9th and so on and will know that row 1 to 4
% % contains data about same factor for 4 dufferent subjects. Row 5 to 9 will
% % have data about another factor of same 4 subjects & so on.
 
% % min word size -->  3    5
% %-----------------------------
% % trial 1 subject 1
% %         subject 2
% %         subject 3
% %         subject 4
% %-----------------------------
% % trial 2 subject 1
% %         subject 2
% %         subject 3
% %         subject 4
% %-----------------------------
% % trial 3 subject 1
% %         subject 2
% %         subject 3
% %         subject 4
% %-----------------------------
% % trial 4 subject 1
% %         subject 2
% %         subject 3
% %         subject 4
% %-----------------------------
% % trial 5 subject 1
% %         subject 2
% %         subject 3
% %         subject 4
% %-----------------------------     

% % max list length -->  2    8
% %-----------------------------
% % trial 1 subject 1
% %         subject 2
% %         subject 3
% %         subject 4
% %-----------------------------
% % trial 2 subject 1
% %         subject 2
% %         subject 3
% %         subject 4
% %-----------------------------
% % trial 3 subject 1
% %         subject 2
% %         subject 3
% %         subject 4
% %-----------------------------
% % trial 4 subject 1
% %         subject 2
% %         subject 3
% %         subject 4
% %-----------------------------
% % trial 5 subject 1
% %         subject 2
% %         subject 3
% %         subject 4
% %-----------------------------  
 
% % min word size  -->   3    5
% %-----------------------------
% % max 2    subject 1
% %          subject 2
% %          subject 3
% %          subject 4
% %-----------------------------
% % max 8    subject 1
% %          subject 2
% %          subject 3
% %          subject 4

% I am converting a 4*10 matrix into 20*2 
for i_column = 1:2
   for i = 1:trial
     % for word_size_trial
     text_entry_word_trial(1+(4*(i-1)):subject+(4*(i-1)),i_column) = word_size_trial(1:4,i+(5*(i_column-1)));
     keystroke_rate_word_trial(1+(4*(i-1)):subject+(4*(i-1)),i_column) = word_size_trial(4+(1:4),i+(5*(i_column-1)));
     correct_keystrokes_word_trial(1+(4*(i-1)):subject+(4*(i-1)),i_column) = word_size_trial(8+(1:4),i+(5*(i_column-1)));
     error_keystrokes_word_trial(1+(4*(i-1)):subject+(4*(i-1)),i_column) = word_size_trial(12+(1:4),i+(5*(i_column-1)));
     list_srch_time_word_trial(1+(4*(i-1)):subject+(4*(i-1)),i_column) = word_size_trial(16+(1:4),i+(5*(i_column-1)));
     successful_predictions_word_trial(1+(4*(i-1)):subject+(4*(i-1)),i_column) = word_size_trial(20+(1:4),i+(5*(i_column-1)));
     unsuccessful_predictions_word_trial(1+(4*(i-1)):subject+(4*(i-1)),i_column) = word_size_trial(24+(1:4),i+(5*(i_column-1)));
     target_views_word_trial(1+(4*(i-1)):subject+(4*(i-1)),i_column) = word_size_trial(28+(1:4),i+(5*(i_column-1)));
     transcribed_views_word_trial(1+(4*(i-1)):subject+(4*(i-1)),i_column) = word_size_trial(32+(1:4),i+(5*(i_column-1)));
     
     text_entry_maxlist_trial(1+(4*(i-1)):subject+(4*(i-1)),i_column) = maxlist_trial(1:4,i+(5*(i_column-1)));
     keystroke_rate_maxlist_trial(1+(4*(i-1)):subject+(4*(i-1)),i_column) = maxlist_trial(4+(1:4),i+(5*(i_column-1)));
     correct_keystrokes_maxlist_trial(1+(4*(i-1)):subject+(4*(i-1)),i_column) = maxlist_trial(8+(1:4),i+(5*(i_column-1)));
     error_keystrokes_maxlist_trial(1+(4*(i-1)):subject+(4*(i-1)),i_column) = maxlist_trial(12+(1:4),i+(5*(i_column-1)));
     list_srch_time_maxlist_trial(1+(4*(i-1)):subject+(4*(i-1)),i_column) = maxlist_trial(16+(1:4),i+(5*(i_column-1)));
     successful_predictions_maxlist_trial(1+(4*(i-1)):subject+(4*(i-1)),i_column) = maxlist_trial(20+(1:4),i+(5*(i_column-1)));
     unsuccessful_predictions_maxlist_trial(1+(4*(i-1)):subject+(4*(i-1)),i_column) = maxlist_trial(24+(1:4),i+(5*(i_column-1)));
     target_views_maxlist_trial(1+(4*(i-1)):subject+(4*(i-1)),i_column) = maxlist_trial(28+(1:4),i+(5*(i_column-1)));
     transcribed_views_maxlist_trial(1+(4*(i-1)):subject+(4*(i-1)),i_column) = maxlist_trial(32+(1:4),i+(5*(i_column-1)));
   end
end

% I am converting a 4*4 matrix into 8*2 
for i_column = 1:2
   for i = 1:2
     % for word_size_max
     text_entry_word_max(1+(4*(i-1)):subject+(4*(i-1)),i_column) = word_size_max(1:4,i+(2*(i_column-1)));
     keystroke_rate_word_max(1+(4*(i-1)):subject+(4*(i-1)),i_column) = word_size_max(4+(1:4),i+(2*(i_column-1)));
     correct_keystrokes_word_max(1+(4*(i-1)):subject+(4*(i-1)),i_column) = word_size_max(8+(1:4),i+(2*(i_column-1)));
     error_keystrokes_word_max(1+(4*(i-1)):subject+(4*(i-1)),i_column) = word_size_max(12+(1:4),i+(2*(i_column-1)));
     list_srch_time_word_max(1+(4*(i-1)):subject+(4*(i-1)),i_column) = word_size_max(16+(1:4),i+(2*(i_column-1)));
     successful_predictions_word_max(1+(4*(i-1)):subject+(4*(i-1)),i_column) = word_size_max(20+(1:4),i+(2*(i_column-1)));
     unsuccessful_predictions_word_max(1+(4*(i-1)):subject+(4*(i-1)),i_column) = word_size_max(24+(1:4),i+(2*(i_column-1)));
     target_views_word_max(1+(4*(i-1)):subject+(4*(i-1)),i_column) = word_size_max(28+(1:4),i+(2*(i_column-1)));
     transcribed_views_word_max(1+(4*(i-1)):subject+(4*(i-1)),i_column) = word_size_max(32+(1:4),i+(2*(i_column-1)));
   end
end

reps = subject;

% Finding and removing columns having Nan using function and then running
% ANOVA2 for each of these

% word_size_trial
% dependent_variable = text_entry_word_trial;
% [dependent_variable_new,reps_new] = remove_nan(dependent_variable,reps);
% [p,table,stats] = ANOVA2(dependent_variable_new,reps_new);  % In this case rows means word size & columns means trial 
% %  0.9362    0.0519    0.2778 (column row interaction)-> here column =
% word size, row = trial

% dependent_variable = keystroke_rate_word_trial;
% [dependent_variable_new,reps_new] = remove_nan(dependent_variable,reps);
% [p,table,stats] = ANOVA2(dependent_variable_new,reps_new);
% % 0.7057    0.2065    0.7273

% dependent_variable = correct_keystrokes_word_trial;
% [dependent_variable_new,reps_new] = remove_nan(dependent_variable,reps);
% [p,table,stats] = ANOVA2(dependent_variable_new,reps_new);
% % 0.6765    0.7985    0.7174

% dependent_variable = error_keystrokes_word_trial;
% [dependent_variable_new,reps_new] = remove_nan(dependent_variable,reps);
% [p,table,stats] = ANOVA2(dependent_variable_new,reps_new);
% % 0.4330    0.1069    0.7332

% dependent_variable = list_srch_time_word_trial;
% [dependent_variable_new,reps_new] = remove_nan(dependent_variable,reps);
% [p,table,stats] = ANOVA2(dependent_variable_new,reps_new);
% % 0.3635    0.9212    0.9775

% dependent_variable = successful_predictions_word_trial;
% [dependent_variable_new,reps_new] = remove_nan(dependent_variable,reps);
% [p,table,stats] = ANOVA2(dependent_variable_new,reps_new);
% 
% dependent_variable = unsuccessful_predictions_word_trial;
% [dependent_variable_new,reps_new] = remove_nan(dependent_variable,reps);
% [p,table,stats] = ANOVA2(dependent_variable_new,reps_new);
% %  0.1491    0.9974    0.9970

% dependent_variable = target_views_word_trial;
% [dependent_variable_new,reps_new] = remove_nan(dependent_variable,reps);
% [p,table,stats] = ANOVA2(dependent_variable_new,reps_new);
% 0.0228    0.0154    0.2751

% dependent_variable = transcribed_views_word_trial;
% [dependent_variable_new,reps_new] = remove_nan(dependent_variable,reps);
% [p,table,stats] = ANOVA2(dependent_variable_new,reps_new);
%  0.0070    0.6612    0.4680


% % % word_size_max
% 
% dependent_variable = text_entry_word_max;
% [dependent_variable_new,reps_new] = remove_nan(dependent_variable,reps);
% [p,table,stats] = ANOVA2(dependent_variable_new,reps_new);
% % 0.2551    0.2006    0.8792

% dependent_variable = keystroke_rate_word_max;
% [dependent_variable_new,reps_new] = remove_nan(dependent_variable,reps);
% [p,table,stats] = ANOVA2(dependent_variable_new,reps_new);
%   0.6892    0.2013    0.9812

% dependent_variable = correct_keystrokes_word_max;
% [dependent_variable_new,reps_new] = remove_nan(dependent_variable,reps);
% [p,table,stats] = ANOVA2(dependent_variable_new,reps_new);
% 0.7468    0.8831    0.7468

% dependent_variable = error_keystrokes_word_max;
% [dependent_variable_new,reps_new] = remove_nan(dependent_variable,reps);
% [p,table,stats] = ANOVA2(dependent_variable_new,reps_new);
%  0.5061    0.8857    0.6332

% dependent_variable = list_srch_time_word_max;
% [dependent_variable_new,reps_new] = remove_nan(dependent_variable,reps);
% [p,table,stats] = ANOVA2(dependent_variable_new,reps_new);
% 0.6237    0.0333    0.6892

% dependent_variable = successful_predictions_word_max;
% [dependent_variable_new,reps_new] = remove_nan(dependent_variable,reps);
% [p,table,stats] = ANOVA2(dependent_variable_new,reps_new);
% 0.3564    0.5536    0.3417

% dependent_variable = unsuccessful_predictions_word_max;
% [dependent_variable_new,reps_new] = remove_nan(dependent_variable,reps);
% [p,table,stats] = ANOVA2(dependent_variable_new,reps_new);
% 0.4253    0.9336    0.8500

% dependent_variable = target_views_word_max;
% [dependent_variable_new,reps_new] = remove_nan(dependent_variable,reps);
% [p,table,stats] = ANOVA2(dependent_variable_new,reps_new);
%  0.3213    0.5337    0.1709

% dependent_variable = transcribed_views_word_max;
% [dependent_variable_new,reps_new] = remove_nan(dependent_variable,reps);
% [p,table,stats] = ANOVA2(dependent_variable_new,reps_new);
% % 0.2783    0.6286    0.7868


% % maxlist_trial


% dependent_variable = text_entry_maxlist_trial;
% [dependent_variable_new,reps_new] = remove_nan(dependent_variable,reps);
% [p,table,stats] = ANOVA2(dependent_variable_new,reps_new);  % In this case rows means word size & columns means trial 
% % 0.0250    0.0670    0.6997

% dependent_variable = keystroke_rate_maxlist_trial;
% [dependent_variable_new,reps_new] = remove_nan(dependent_variable,reps);
% [p,table,stats] = ANOVA2(dependent_variable_new,reps_new);
% % 0.0270    0.3531    0.9330

% dependent_variable = correct_keystrokes_maxlist_trial;
% [dependent_variable_new,reps_new] = remove_nan(dependent_variable,reps);
% [p,table,stats] = ANOVA2(dependent_variable_new,reps_new);
% % 0.8489    0.6585    0.9991

% dependent_variable = error_keystrokes_maxlist_trial;
% [dependent_variable_new,reps_new] = remove_nan(dependent_variable,reps);
% [p,table,stats] = ANOVA2(dependent_variable_new,reps_new);
% % 0.9021    0.1156    0.7125

% dependent_variable = list_srch_time_maxlist_trial;
% [dependent_variable_new,reps_new] = remove_nan(dependent_variable,reps);
% [p,table,stats] = ANOVA2(dependent_variable_new,reps_new);
% 0.0005    0.9724    0.9637

% dependent_variable = successful_predictions_maxlist_trial;
% [dependent_variable_new,reps_new] = remove_nan(dependent_variable,reps);
% [p,table,stats] = ANOVA2(dependent_variable_new,reps_new);
% % 0.1837    0.4756    0.8443

% dependent_variable = unsuccessful_predictions_maxlist_trial;
% [dependent_variable_new,reps_new] = remove_nan(dependent_variable,reps);
% [p,table,stats] = ANOVA2(dependent_variable_new,reps_new);
% % 0.8344    0.9975    0.9956

% dependent_variable = target_views_maxlist_trial;
% [dependent_variable_new,reps_new] = remove_nan(dependent_variable,reps);
% [p,table,stats] = ANOVA2(dependent_variable_new,reps_new);
% 0.8134    0.0242    0.8980

dependent_variable = transcribed_views_maxlist_trial;
[dependent_variable_new,reps_new] = remove_nan(dependent_variable,reps);
[p,table,stats] = ANOVA2(dependent_variable_new,reps_new);
% % 0.9417    0.8993    0.9324

% F(1,30) = 4.17 at 0.05
% F(4,30) = 2.69 at 0.05

% If F (ANOVA2 calculated value) < F (from table), Not significant

%      text_entry_word_trial -> Not significant with rows(trials)(2.66) almost significant (2.69) 
%      keystroke_rate_word_trial -> Not significant
%      correct_keystrokes_word_trial -> Not significant
%      error_keystrokes_word_trial -> Not significant with rows showing little bit significance (2.09)
%      list_srch_time_word_trial -> Not significant
%      successful_predictions_word_trial -> Not significant
%      unsuccessful_predictions_word_trial -> Not significant
%      target_views_word_trial -> columns (word size) and rows (trials) both are significant
%      transcribed_views_word_trial -> columns (word size) are significant

%      text_entry_word_max -> Not significant
%      keystroke_rate_word_max -> Not significant
%      correct_keystrokes_word_max -> Not significant
%      error_keystrokes_word_max -> Not significant
%      list_srch_time_word_max -> rows (max list length) are significant
%      successful_predictions_word_max -> Not significant
%      unsuccessful_predictions_word_max -> Not significant
%      target_views_word_max -> Not significant
%      transcribed_views_word_max -> Not significant

%      text_entry_maxlist_trial -> Column (max list length) significant, rows(trials)(2.46) 
%      keystroke_rate_maxlist_trial -> Column (max list length) significant
%      correct_keystrokes_maxlist_trial -> Not significant
%      error_keystrokes_maxlist_trial -> Not significant with rows showing little bit sigificance (2.04)
%      list_srch_time_maxlist_trial -> Column (max list length) significant
%      successful_predictions_maxlist_trial -> Not significant
%      unsuccessful_predictions_maxlist_trial -> Not significant
%      target_views_maxlist_trial -> rows (trials) significant
%      transcribed_views_maxlist_trial  -> Not significant
