% This Program, written by Abhishek Agarwal on 8/22/2005 is used for
% fiiling in the excel sheet for ANOVA - word size

close all
clear all
clc

% Condition	Show	Hide	Max Length	Min Size
% 0      No Wp List
% 1 	0	N	2	3
% 2	    0	N	2	5
% 3 	0	N	8	3
% 4	    0	N	8	5
% 5	    0	2	2	3
% 6	    0	2	2	5
% 7	    0	2	8	3
% 8	    0	2	8	5
% 9	    2	N	2	3 
% 10	2	N	2	5
% 11	2	N	8	3
% 12	2	N	8	5
% 13	2	2	2	3
% 14	2	2	2	5
% 15	2	2	8	3
% 16	2	2	8	5
% 17      No Wp List

% In matlab since index cannot be 0 so everything is shifted by 1 so
% conditions are from 1 to 18 instead from 0 to 17

load anova_all_data.txt;

% I have all the data in this txt file....now I will seperate the data into
% respective variables & then calculate & arrange the output as required in
% the excel file

% textrate for subject 1 3-2 3-8 5-2 5-8 then similarly for subject 2 & so on

% I'll have to define 3D matrix whose dimensions will be subject, condition and trial

% Description of algorithm - An example
% Suppose we are looking for word size (3 and 5) for all trials for every
% subject, so in all what I am doing is that suppose when the word size is
% 3 I am adding all the trials for a partcular condition together and then
% dividing it by the the number of conditions. Like when teh word size is 3
% the conditions will be 1,3,5,7,9,11,13,15. So from all these conditions
% for say subject 1, I will all the text entry data for trial 1 and now
% since it will be a addition of 8 conditions data I will divide by 8. If
% for a particular case the data is misssing then I will noy divide by 8
% but the actual number of conditions for wwhich I have the data which will
% be in say textentry_3_subs. 

i_subjects = 1;
i_conditions = 1;
i_trials = 1;

for i_subjects = 1:4  
     for i_columns = 1:108
           textrate(i_subjects,i_conditions,i_trials) = anova_all_data(i_subjects,i_columns);
      
           keystroke_rate(i_subjects,i_conditions,i_trials) = anova_all_data(4+i_subjects,i_columns); 

           correct_keystrokes(i_subjects,i_conditions,i_trials) = anova_all_data(8+i_subjects,i_columns);
                     
           errors(i_subjects,i_conditions,i_trials) = anova_all_data(12+i_subjects,i_columns);
            
           list_search_time_total(i_subjects,i_conditions,i_trials) = anova_all_data(16+i_subjects,i_columns);
                     
           list_search_time_inlist(i_subjects,i_conditions,i_trials) = anova_all_data(20+i_subjects,i_columns);
           
           list_search_time_notinlist(i_subjects,i_conditions,i_trials) = anova_all_data(24+i_subjects,i_columns);
                     
           list_search_time_search_successful(i_subjects,i_conditions,i_trials) = anova_all_data(28+i_subjects,i_columns);
            
           list_search_time_search_not_successful(i_subjects,i_conditions,i_trials) = anova_all_data(32+i_subjects,i_columns);
             
           successful_predictions(i_subjects,i_conditions,i_trials) = anova_all_data(36+i_subjects,i_columns);
                      
           unsuccessful_predictions(i_subjects,i_conditions,i_trials) = anova_all_data(40+i_subjects,i_columns);
                     
           target_views(i_subjects,i_conditions,i_trials) = anova_all_data(44+i_subjects,i_columns);
          
           transcribed_views(i_subjects,i_conditions,i_trials) = anova_all_data(48+i_subjects,i_columns);
          
           i_trials = i_trials + 1;
           if (i_trials > 6)
               i_trials = 1;
               i_conditions = i_conditions + 1;
                 if (i_conditions > 18)
                     i_conditions = 1;
                 end
           end
      end    
 end
 
 % HAVE TO REMOVE DATA CONTAINING 100 SO WILL THE TOTAl NUM OF SUBJECTS
 % WILL CHANGE FOR THOSE CALCULATIONS
  
 % In this case we are dealing with averages of all the trials so we will check & see if any of the average is == 100 then 
 % we will neglect that and so the denominator will also be reduced 
textrate_3_2(1:4,1) = 0;
textrate_3_8(1:4,1) = 0;
textrate_5_2(1:4,1) = 0;
textrate_5_8(1:4,1) = 0;
textrate_0_N(1:4,1) = 0;
textrate_0_4(1:4,1) = 0;
textrate_2_N(1:4,1) = 0;
textrate_2_4(1:4,1) = 0;

keystroke_rate_3_2(1:4,1) = 0;
keystroke_rate_3_8(1:4,1) = 0;
keystroke_rate_5_2(1:4,1) = 0;
keystroke_rate_5_8(1:4,1) = 0;
keystroke_rate_0_N(1:4,1) = 0;
keystroke_rate_0_4(1:4,1) = 0;
keystroke_rate_2_N(1:4,1) = 0;
keystroke_rate_2_4(1:4,1) = 0;

correct_keystrokes_3_2(1:4,1) = 0;
correct_keystrokes_3_8(1:4,1) = 0;
correct_keystrokes_5_2(1:4,1) = 0;
correct_keystrokes_5_8(1:4,1) = 0;
correct_keystrokes_0_N(1:4,1) = 0;
correct_keystrokes_0_4(1:4,1) = 0;
correct_keystrokes_2_N(1:4,1) = 0;
correct_keystrokes_2_4(1:4,1) = 0;

errors_3_2(1:4,1) = 0;
errors_3_8(1:4,1) = 0;
errors_5_2(1:4,1) = 0;
errors_5_8(1:4,1) = 0;
errors_0_N(1:4,1) = 0;
errors_0_4(1:4,1) = 0;
errors_2_N(1:4,1) = 0;
errors_2_4(1:4,1) = 0;

list_search_time_total_3_2(1:4,1) = 0;
list_search_time_total_3_8(1:4,1) = 0;
list_search_time_total_5_2(1:4,1) = 0;
list_search_time_total_5_8(1:4,1) = 0;
list_search_time_total_0_N(1:4,1) = 0;
list_search_time_total_0_4(1:4,1) = 0;
list_search_time_total_2_N(1:4,1) = 0;
list_search_time_total_2_4(1:4,1) = 0;

successful_predictions_3_2(1:4,1) = 0;
successful_predictions_3_8(1:4,1) = 0;
successful_predictions_5_2(1:4,1) = 0;
successful_predictions_5_8(1:4,1) = 0;
successful_predictions_0_N(1:4,1) = 0;
successful_predictions_0_4(1:4,1) = 0;
successful_predictions_2_N(1:4,1) = 0;
successful_predictions_2_4(1:4,1) = 0;

unsuccessful_predictions_3_2(1:4,1) = 0;
unsuccessful_predictions_3_8(1:4,1) = 0;
unsuccessful_predictions_5_2(1:4,1) = 0;
unsuccessful_predictions_5_8(1:4,1) = 0;
unsuccessful_predictions_0_N(1:4,1) = 0;
unsuccessful_predictions_0_4(1:4,1) = 0;
unsuccessful_predictions_2_N(1:4,1) = 0;
unsuccessful_predictions_2_4(1:4,1) = 0;

target_views_3_2(1:4,1) = 0;
target_views_3_8(1:4,1) = 0;
target_views_5_2(1:4,1) = 0;
target_views_5_8(1:4,1) = 0;
target_views_0_N(1:4,1) = 0;
target_views_0_4(1:4,1) = 0;
target_views_2_N(1:4,1) = 0;
target_views_2_4(1:4,1) = 0;

transcribed_views_3_2(1:4,1) = 0;
transcribed_views_3_8(1:4,1) = 0;
transcribed_views_5_2(1:4,1) = 0;
transcribed_views_5_8(1:4,1) = 0;
transcribed_views_0_N(1:4,1) = 0;
transcribed_views_0_4(1:4,1) = 0;
transcribed_views_2_N(1:4,1) = 0;
transcribed_views_2_4(1:4,1) = 0;
 
 for i_subjects = 1:4
     temp = [textrate(i_subjects,2,6),textrate(i_subjects,6,6),textrate(i_subjects,10,6),textrate(i_subjects,14,6)];
     [i,j] = find(temp == 100); % It will tell where all 100's are
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             textrate_3_2(i_subjects) = textrate_3_2(i_subjects) + temp(i_temp);
          end
     end
     textrate_3_2(i_subjects) = textrate_3_2(i_subjects)/(4-len_temp);
       
     temp = [textrate(i_subjects,4,6),textrate(i_subjects,8,6),textrate(i_subjects,12,6),textrate(i_subjects,16,6)];
     [i,j] = find(temp == 100);
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             textrate_3_8(i_subjects) = textrate_3_8(i_subjects) + temp(i_temp);
          end
     end
     textrate_3_8(i_subjects) = textrate_3_8(i_subjects)/(4-len_temp);
     
     temp = [textrate(i_subjects,3,6),textrate(i_subjects,7,6),textrate(i_subjects,11,6),textrate(i_subjects,15,6)];
     [i,j] = find(temp == 100);
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             textrate_5_2(i_subjects) = textrate_5_2(i_subjects) + temp(i_temp);
          end
     end
     textrate_5_2(i_subjects) = textrate_5_2(i_subjects)/(4-len_temp);
 
     temp = [textrate(i_subjects,5,6),textrate(i_subjects,9,6),textrate(i_subjects,13,6),textrate(i_subjects,17,6)];
     [i,j] = find(temp == 100);
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             textrate_5_8(i_subjects) = textrate_5_8(i_subjects) + temp(i_temp);
          end
     end
     textrate_5_8(i_subjects) = textrate_5_8(i_subjects)/(4-len_temp);
 
     temp = [textrate(i_subjects,2,6),textrate(i_subjects,3,6),textrate(i_subjects,4,6),textrate(i_subjects,5,6)];
     [i,j] = find(temp == 100);
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             textrate_0_N(i_subjects) = textrate_0_N(i_subjects) + temp(i_temp);
          end
     end
     textrate_0_N(i_subjects) = textrate_0_N(i_subjects)/(4-len_temp);  
     
     temp = [textrate(i_subjects,6,6),textrate(i_subjects,7,6),textrate(i_subjects,8,6),textrate(i_subjects,9,6)];
     [i,j] = find(temp == 100);
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             textrate_0_4(i_subjects) = textrate_0_4(i_subjects) + temp(i_temp);
          end
     end
     textrate_0_4(i_subjects) = textrate_0_4(i_subjects)/(4-len_temp); 
 
     temp = [textrate(i_subjects,10,6),textrate(i_subjects,11,6),textrate(i_subjects,12,6),textrate(i_subjects,13,6)];
     [i,j] = find(temp == 100);  
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             textrate_2_N(i_subjects) = textrate_2_N(i_subjects) + temp(i_temp);
          end
     end
     textrate_2_N(i_subjects) = textrate_2_N(i_subjects)/(4-len_temp);  
     
     temp = [textrate(i_subjects,14,6),textrate(i_subjects,15,6),textrate(i_subjects,16,6),textrate(i_subjects,17,6)];
     [i,j] = find(temp == 100);
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             textrate_2_4(i_subjects) = textrate_2_4(i_subjects) + temp(i_temp);
          end
     end
     textrate_2_4(i_subjects) = textrate_2_4(i_subjects)/(4-len_temp); 
     
     %%
     temp = [keystroke_rate(i_subjects,2,6),keystroke_rate(i_subjects,6,6),keystroke_rate(i_subjects,10,6),keystroke_rate(i_subjects,14,6)];
     [i,j] = find(temp == 100); % It will tell where all 100's are
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             keystroke_rate_3_2(i_subjects) = keystroke_rate_3_2(i_subjects) + temp(i_temp);
          end
     end
     keystroke_rate_3_2(i_subjects) = keystroke_rate_3_2(i_subjects)/(4-len_temp);
       
     temp = [keystroke_rate(i_subjects,4,6),keystroke_rate(i_subjects,8,6),keystroke_rate(i_subjects,12,6),keystroke_rate(i_subjects,16,6)];
     [i,j] = find(temp == 100);
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             keystroke_rate_3_8(i_subjects) = keystroke_rate_3_8(i_subjects) + temp(i_temp);
          end
     end
     keystroke_rate_3_8(i_subjects) = keystroke_rate_3_8(i_subjects)/(4-len_temp);
     
     temp = [keystroke_rate(i_subjects,3,6),keystroke_rate(i_subjects,7,6),keystroke_rate(i_subjects,11,6),keystroke_rate(i_subjects,15,6)];
     [i,j] = find(temp == 100);
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             keystroke_rate_5_2(i_subjects) = keystroke_rate_5_2(i_subjects) + temp(i_temp);
          end
     end
     keystroke_rate_5_2(i_subjects) = keystroke_rate_5_2(i_subjects)/(4-len_temp);
 
     temp = [keystroke_rate(i_subjects,5,6),keystroke_rate(i_subjects,9,6),keystroke_rate(i_subjects,13,6),keystroke_rate(i_subjects,17,6)];
     [i,j] = find(temp == 100);
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             keystroke_rate_5_8(i_subjects) = keystroke_rate_5_8(i_subjects) + temp(i_temp);
          end
     end
     keystroke_rate_5_8(i_subjects) = keystroke_rate_5_8(i_subjects)/(4-len_temp);
 
     temp = [keystroke_rate(i_subjects,2,6),keystroke_rate(i_subjects,3,6),keystroke_rate(i_subjects,4,6),keystroke_rate(i_subjects,5,6)];
     [i,j] = find(temp == 100);
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             keystroke_rate_0_N(i_subjects) = keystroke_rate_0_N(i_subjects) + temp(i_temp);
          end
     end
     keystroke_rate_0_N(i_subjects) = keystroke_rate_0_N(i_subjects)/(4-len_temp);  
     
     temp = [keystroke_rate(i_subjects,6,6),keystroke_rate(i_subjects,7,6),keystroke_rate(i_subjects,8,6),keystroke_rate(i_subjects,9,6)];
     [i,j] = find(temp == 100);
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             keystroke_rate_0_4(i_subjects) = keystroke_rate_0_4(i_subjects) + temp(i_temp);
          end
     end
     keystroke_rate_0_4(i_subjects) = keystroke_rate_0_4(i_subjects)/(4-len_temp); 
 
     temp = [keystroke_rate(i_subjects,10,6),keystroke_rate(i_subjects,11,6),keystroke_rate(i_subjects,12,6),keystroke_rate(i_subjects,13,6)];
     [i,j] = find(temp == 100);  
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             keystroke_rate_2_N(i_subjects) = keystroke_rate_2_N(i_subjects) + temp(i_temp);
          end
     end
     keystroke_rate_2_N(i_subjects) = keystroke_rate_2_N(i_subjects)/(4-len_temp);  
     
     temp = [keystroke_rate(i_subjects,14,6),keystroke_rate(i_subjects,15,6),keystroke_rate(i_subjects,16,6),keystroke_rate(i_subjects,17,6)];
     [i,j] = find(temp == 100);
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             keystroke_rate_2_4(i_subjects) = keystroke_rate_2_4(i_subjects) + temp(i_temp);
          end
     end
     keystroke_rate_2_4(i_subjects) = keystroke_rate_2_4(i_subjects)/(4-len_temp); 
     
     %%
     temp = [correct_keystrokes(i_subjects,2,6),correct_keystrokes(i_subjects,6,6),correct_keystrokes(i_subjects,10,6),correct_keystrokes(i_subjects,14,6)];
     [i,j] = find(temp == 100); % It will tell where all 100's are
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             correct_keystrokes_3_2(i_subjects) = correct_keystrokes_3_2(i_subjects) + temp(i_temp);
          end
     end
     correct_keystrokes_3_2(i_subjects) = correct_keystrokes_3_2(i_subjects)/(4-len_temp);
       
     temp = [correct_keystrokes(i_subjects,4,6),correct_keystrokes(i_subjects,8,6),correct_keystrokes(i_subjects,12,6),correct_keystrokes(i_subjects,16,6)];
     [i,j] = find(temp == 100);
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             correct_keystrokes_3_8(i_subjects) = correct_keystrokes_3_8(i_subjects) + temp(i_temp);
          end
     end
     correct_keystrokes_3_8(i_subjects) = correct_keystrokes_3_8(i_subjects)/(4-len_temp);
     
     temp = [correct_keystrokes(i_subjects,3,6),correct_keystrokes(i_subjects,7,6),correct_keystrokes(i_subjects,11,6),correct_keystrokes(i_subjects,15,6)];
     [i,j] = find(temp == 100);
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             correct_keystrokes_5_2(i_subjects) = correct_keystrokes_5_2(i_subjects) + temp(i_temp);
          end
     end
     correct_keystrokes_5_2(i_subjects) = correct_keystrokes_5_2(i_subjects)/(4-len_temp);
 
     temp = [correct_keystrokes(i_subjects,5,6),correct_keystrokes(i_subjects,9,6),correct_keystrokes(i_subjects,13,6),correct_keystrokes(i_subjects,17,6)];
     [i,j] = find(temp == 100);
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             correct_keystrokes_5_8(i_subjects) = correct_keystrokes_5_8(i_subjects) + temp(i_temp);
          end
     end
     correct_keystrokes_5_8(i_subjects) = correct_keystrokes_5_8(i_subjects)/(4-len_temp);
 
     temp = [correct_keystrokes(i_subjects,2,6),correct_keystrokes(i_subjects,3,6),correct_keystrokes(i_subjects,4,6),correct_keystrokes(i_subjects,5,6)];
     [i,j] = find(temp == 100);
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             correct_keystrokes_0_N(i_subjects) = correct_keystrokes_0_N(i_subjects) + temp(i_temp);
          end
     end
     correct_keystrokes_0_N(i_subjects) = correct_keystrokes_0_N(i_subjects)/(4-len_temp);  
     
     temp = [correct_keystrokes(i_subjects,6,6),correct_keystrokes(i_subjects,7,6),correct_keystrokes(i_subjects,8,6),correct_keystrokes(i_subjects,9,6)];
     [i,j] = find(temp == 100);
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             correct_keystrokes_0_4(i_subjects) = correct_keystrokes_0_4(i_subjects) + temp(i_temp);
          end
     end
     correct_keystrokes_0_4(i_subjects) = correct_keystrokes_0_4(i_subjects)/(4-len_temp); 
 
     temp = [correct_keystrokes(i_subjects,10,6),correct_keystrokes(i_subjects,11,6),correct_keystrokes(i_subjects,12,6),correct_keystrokes(i_subjects,13,6)];
     [i,j] = find(temp == 100);  
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             correct_keystrokes_2_N(i_subjects) = correct_keystrokes_2_N(i_subjects) + temp(i_temp);
          end
     end
     correct_keystrokes_2_N(i_subjects) = correct_keystrokes_2_N(i_subjects)/(4-len_temp);  
     
     temp = [correct_keystrokes(i_subjects,14,6),correct_keystrokes(i_subjects,15,6),correct_keystrokes(i_subjects,16,6),correct_keystrokes(i_subjects,17,6)];
     [i,j] = find(temp == 100);
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             correct_keystrokes_2_4(i_subjects) = correct_keystrokes_2_4(i_subjects) + temp(i_temp);
          end
     end
     correct_keystrokes_2_4(i_subjects) = correct_keystrokes_2_4(i_subjects)/(4-len_temp);                 
                    
     %%
     temp = [errors(i_subjects,2,6),errors(i_subjects,6,6),errors(i_subjects,10,6),errors(i_subjects,14,6)];
     [i,j] = find(temp == 100); % It will tell where all 100's are
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             errors_3_2(i_subjects) = errors_3_2(i_subjects) + temp(i_temp);
          end
     end
     errors_3_2(i_subjects) = errors_3_2(i_subjects)/(4-len_temp);
       
     temp = [errors(i_subjects,4,6),errors(i_subjects,8,6),errors(i_subjects,12,6),errors(i_subjects,16,6)];
     [i,j] = find(temp == 100);
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             errors_3_8(i_subjects) = errors_3_8(i_subjects) + temp(i_temp);
          end
     end
     errors_3_8(i_subjects) = errors_3_8(i_subjects)/(4-len_temp);
     
     temp = [errors(i_subjects,3,6),errors(i_subjects,7,6),errors(i_subjects,11,6),errors(i_subjects,15,6)];
     [i,j] = find(temp == 100);
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             errors_5_2(i_subjects) = errors_5_2(i_subjects) + temp(i_temp);
          end
     end
     errors_5_2(i_subjects) = errors_5_2(i_subjects)/(4-len_temp);
 
     temp = [errors(i_subjects,5,6),errors(i_subjects,9,6),errors(i_subjects,13,6),errors(i_subjects,17,6)];
     [i,j] = find(temp == 100);
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             errors_5_8(i_subjects) = errors_5_8(i_subjects) + temp(i_temp);
          end
     end
     errors_5_8(i_subjects) = errors_5_8(i_subjects)/(4-len_temp);
 
     temp = [errors(i_subjects,2,6),errors(i_subjects,3,6),errors(i_subjects,4,6),errors(i_subjects,5,6)];
     [i,j] = find(temp == 100);
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             errors_0_N(i_subjects) = errors_0_N(i_subjects) + temp(i_temp);
          end
     end
     errors_0_N(i_subjects) = errors_0_N(i_subjects)/(4-len_temp);  
     
     temp = [errors(i_subjects,6,6),errors(i_subjects,7,6),errors(i_subjects,8,6),errors(i_subjects,9,6)];
     [i,j] = find(temp == 100);
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             errors_0_4(i_subjects) = errors_0_4(i_subjects) + temp(i_temp);
          end
     end
     errors_0_4(i_subjects) = errors_0_4(i_subjects)/(4-len_temp); 
 
     temp = [errors(i_subjects,10,6),errors(i_subjects,11,6),errors(i_subjects,12,6),errors(i_subjects,13,6)];
     [i,j] = find(temp == 100);  
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             errors_2_N(i_subjects) = errors_2_N(i_subjects) + temp(i_temp);
          end
     end
     errors_2_N(i_subjects) = errors_2_N(i_subjects)/(4-len_temp);  
     
     temp = [errors(i_subjects,14,6),errors(i_subjects,15,6),errors(i_subjects,16,6),errors(i_subjects,17,6)];
     [i,j] = find(temp == 100);
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             errors_2_4(i_subjects) = errors_2_4(i_subjects) + temp(i_temp);
          end
     end
     errors_2_4(i_subjects) = errors_2_4(i_subjects)/(4-len_temp); 
     
     %%
     temp = [list_search_time_total(i_subjects,2,6),list_search_time_total(i_subjects,6,6),list_search_time_total(i_subjects,10,6),list_search_time_total(i_subjects,14,6)];
     [i,j] = find(temp == 100); % It will tell where all 100's are
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             list_search_time_total_3_2(i_subjects) = list_search_time_total_3_2(i_subjects) + temp(i_temp);
          end
     end
     list_search_time_total_3_2(i_subjects) = list_search_time_total_3_2(i_subjects)/(4-len_temp);
       
     temp = [list_search_time_total(i_subjects,4,6),list_search_time_total(i_subjects,8,6),list_search_time_total(i_subjects,12,6),list_search_time_total(i_subjects,16,6)];
     [i,j] = find(temp == 100);
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             list_search_time_total_3_8(i_subjects) = list_search_time_total_3_8(i_subjects) + temp(i_temp);
          end
     end
     list_search_time_total_3_8(i_subjects) = list_search_time_total_3_8(i_subjects)/(4-len_temp);
     
     temp = [list_search_time_total(i_subjects,3,6),list_search_time_total(i_subjects,7,6),list_search_time_total(i_subjects,11,6),list_search_time_total(i_subjects,15,6)];
     [i,j] = find(temp == 100);
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             list_search_time_total_5_2(i_subjects) = list_search_time_total_5_2(i_subjects) + temp(i_temp);
          end
     end
     list_search_time_total_5_2(i_subjects) = list_search_time_total_5_2(i_subjects)/(4-len_temp);
 
     temp = [list_search_time_total(i_subjects,5,6),list_search_time_total(i_subjects,9,6),list_search_time_total(i_subjects,13,6),list_search_time_total(i_subjects,17,6)];
     [i,j] = find(temp == 100);
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             list_search_time_total_5_8(i_subjects) = list_search_time_total_5_8(i_subjects) + temp(i_temp);
          end
     end
     list_search_time_total_5_8(i_subjects) = list_search_time_total_5_8(i_subjects)/(4-len_temp);
 
     temp = [list_search_time_total(i_subjects,2,6),list_search_time_total(i_subjects,3,6),list_search_time_total(i_subjects,4,6),list_search_time_total(i_subjects,5,6)];
     [i,j] = find(temp == 100);
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             list_search_time_total_0_N(i_subjects) = list_search_time_total_0_N(i_subjects) + temp(i_temp);
          end
     end
     list_search_time_total_0_N(i_subjects) = list_search_time_total_0_N(i_subjects)/(4-len_temp);  
     
     temp = [list_search_time_total(i_subjects,6,6),list_search_time_total(i_subjects,7,6),list_search_time_total(i_subjects,8,6),list_search_time_total(i_subjects,9,6)];
     [i,j] = find(temp == 100);
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             list_search_time_total_0_4(i_subjects) = list_search_time_total_0_4(i_subjects) + temp(i_temp);
          end
     end
     list_search_time_total_0_4(i_subjects) = list_search_time_total_0_4(i_subjects)/(4-len_temp); 
 
     temp = [list_search_time_total(i_subjects,10,6),list_search_time_total(i_subjects,11,6),list_search_time_total(i_subjects,12,6),list_search_time_total(i_subjects,13,6)];
     [i,j] = find(temp == 100);  
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             list_search_time_total_2_N(i_subjects) = list_search_time_total_2_N(i_subjects) + temp(i_temp);
          end
     end
     list_search_time_total_2_N(i_subjects) = list_search_time_total_2_N(i_subjects)/(4-len_temp);  
     
     temp = [list_search_time_total(i_subjects,14,6),list_search_time_total(i_subjects,15,6),list_search_time_total(i_subjects,16,6),list_search_time_total(i_subjects,17,6)];
     [i,j] = find(temp == 100);
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             list_search_time_total_2_4(i_subjects) = list_search_time_total_2_4(i_subjects) + temp(i_temp);
          end
     end
     list_search_time_total_2_4(i_subjects) = list_search_time_total_2_4(i_subjects)/(4-len_temp); 
   
%      list_search_time_inlist
%      list_search_time_notinlist
%      list_search_time_search_successful
%      list_search_time_search_not_successful

     temp = [successful_predictions(i_subjects,2,6),successful_predictions(i_subjects,6,6),successful_predictions(i_subjects,10,6),successful_predictions(i_subjects,14,6)];
     [i,j] = find(temp == 100); % It will tell where all 100's are
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             successful_predictions_3_2(i_subjects) = successful_predictions_3_2(i_subjects) + temp(i_temp);
          end
     end
     successful_predictions_3_2(i_subjects) = successful_predictions_3_2(i_subjects)/(4-len_temp);
       
     temp = [successful_predictions(i_subjects,4,6),successful_predictions(i_subjects,8,6),successful_predictions(i_subjects,12,6),successful_predictions(i_subjects,16,6)];
     [i,j] = find(temp == 100);
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             successful_predictions_3_8(i_subjects) = successful_predictions_3_8(i_subjects) + temp(i_temp);
          end
     end
     successful_predictions_3_8(i_subjects) = successful_predictions_3_8(i_subjects)/(4-len_temp);
     
     temp = [successful_predictions(i_subjects,3,6),successful_predictions(i_subjects,7,6),successful_predictions(i_subjects,11,6),successful_predictions(i_subjects,15,6)];
     [i,j] = find(temp == 100);
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             successful_predictions_5_2(i_subjects) = successful_predictions_5_2(i_subjects) + temp(i_temp);
          end
     end
     successful_predictions_5_2(i_subjects) = successful_predictions_5_2(i_subjects)/(4-len_temp);
 
     temp = [successful_predictions(i_subjects,5,6),successful_predictions(i_subjects,9,6),successful_predictions(i_subjects,13,6),successful_predictions(i_subjects,17,6)];
     [i,j] = find(temp == 100);
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             successful_predictions_5_8(i_subjects) = successful_predictions_5_8(i_subjects) + temp(i_temp);
          end
     end
     successful_predictions_5_8(i_subjects) = successful_predictions_5_8(i_subjects)/(4-len_temp);
 
     temp = [successful_predictions(i_subjects,2,6),successful_predictions(i_subjects,3,6),successful_predictions(i_subjects,4,6),successful_predictions(i_subjects,5,6)];
     [i,j] = find(temp == 100);
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             successful_predictions_0_N(i_subjects) = successful_predictions_0_N(i_subjects) + temp(i_temp);
          end
     end
     successful_predictions_0_N(i_subjects) = successful_predictions_0_N(i_subjects)/(4-len_temp);  
     
     temp = [successful_predictions(i_subjects,6,6),successful_predictions(i_subjects,7,6),successful_predictions(i_subjects,8,6),successful_predictions(i_subjects,9,6)];
     [i,j] = find(temp == 100);
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             successful_predictions_0_4(i_subjects) = successful_predictions_0_4(i_subjects) + temp(i_temp);
          end
     end
     successful_predictions_0_4(i_subjects) = successful_predictions_0_4(i_subjects)/(4-len_temp); 
 
     temp = [successful_predictions(i_subjects,10,6),successful_predictions(i_subjects,11,6),successful_predictions(i_subjects,12,6),successful_predictions(i_subjects,13,6)];
     [i,j] = find(temp == 100);  
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             successful_predictions_2_N(i_subjects) = successful_predictions_2_N(i_subjects) + temp(i_temp);
          end
     end
     successful_predictions_2_N(i_subjects) = successful_predictions_2_N(i_subjects)/(4-len_temp);  
     
     temp = [successful_predictions(i_subjects,14,6),successful_predictions(i_subjects,15,6),successful_predictions(i_subjects,16,6),successful_predictions(i_subjects,17,6)];
     [i,j] = find(temp == 100);
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             successful_predictions_2_4(i_subjects) = successful_predictions_2_4(i_subjects) + temp(i_temp);
          end
     end
     successful_predictions_2_4(i_subjects) = successful_predictions_2_4(i_subjects)/(4-len_temp); 
     %
     temp = [unsuccessful_predictions(i_subjects,2,6),unsuccessful_predictions(i_subjects,6,6),unsuccessful_predictions(i_subjects,10,6),unsuccessful_predictions(i_subjects,14,6)];
     [i,j] = find(temp == 100); % It will tell where all 100's are
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             unsuccessful_predictions_3_2(i_subjects) = unsuccessful_predictions_3_2(i_subjects) + temp(i_temp);
          end
     end
     unsuccessful_predictions_3_2(i_subjects) = unsuccessful_predictions_3_2(i_subjects)/(4-len_temp);
       
     temp = [unsuccessful_predictions(i_subjects,4,6),unsuccessful_predictions(i_subjects,8,6),unsuccessful_predictions(i_subjects,12,6),unsuccessful_predictions(i_subjects,16,6)];
     [i,j] = find(temp == 100);
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             unsuccessful_predictions_3_8(i_subjects) = unsuccessful_predictions_3_8(i_subjects) + temp(i_temp);
          end
     end
     unsuccessful_predictions_3_8(i_subjects) = unsuccessful_predictions_3_8(i_subjects)/(4-len_temp);
     
     temp = [unsuccessful_predictions(i_subjects,3,6),unsuccessful_predictions(i_subjects,7,6),unsuccessful_predictions(i_subjects,11,6),unsuccessful_predictions(i_subjects,15,6)];
     [i,j] = find(temp == 100);
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             unsuccessful_predictions_5_2(i_subjects) = unsuccessful_predictions_5_2(i_subjects) + temp(i_temp);
          end
     end
     unsuccessful_predictions_5_2(i_subjects) = unsuccessful_predictions_5_2(i_subjects)/(4-len_temp);
 
     temp = [unsuccessful_predictions(i_subjects,5,6),unsuccessful_predictions(i_subjects,9,6),unsuccessful_predictions(i_subjects,13,6),unsuccessful_predictions(i_subjects,17,6)];
     [i,j] = find(temp == 100);
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             unsuccessful_predictions_5_8(i_subjects) = unsuccessful_predictions_5_8(i_subjects) + temp(i_temp);
          end
     end
     unsuccessful_predictions_5_8(i_subjects) = unsuccessful_predictions_5_8(i_subjects)/(4-len_temp);
 
     temp = [unsuccessful_predictions(i_subjects,2,6),unsuccessful_predictions(i_subjects,3,6),unsuccessful_predictions(i_subjects,4,6),unsuccessful_predictions(i_subjects,5,6)];
     [i,j] = find(temp == 100);
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             unsuccessful_predictions_0_N(i_subjects) = unsuccessful_predictions_0_N(i_subjects) + temp(i_temp);
          end
     end
     unsuccessful_predictions_0_N(i_subjects) = unsuccessful_predictions_0_N(i_subjects)/(4-len_temp);  
     
     temp = [unsuccessful_predictions(i_subjects,6,6),unsuccessful_predictions(i_subjects,7,6),unsuccessful_predictions(i_subjects,8,6),unsuccessful_predictions(i_subjects,9,6)];
     [i,j] = find(temp == 100);
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             unsuccessful_predictions_0_4(i_subjects) = unsuccessful_predictions_0_4(i_subjects) + temp(i_temp);
          end
     end
     unsuccessful_predictions_0_4(i_subjects) = unsuccessful_predictions_0_4(i_subjects)/(4-len_temp); 
 
     temp = [unsuccessful_predictions(i_subjects,10,6),unsuccessful_predictions(i_subjects,11,6),unsuccessful_predictions(i_subjects,12,6),unsuccessful_predictions(i_subjects,13,6)];
     [i,j] = find(temp == 100);  
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             unsuccessful_predictions_2_N(i_subjects) = unsuccessful_predictions_2_N(i_subjects) + temp(i_temp);
          end
     end
     unsuccessful_predictions_2_N(i_subjects) = unsuccessful_predictions_2_N(i_subjects)/(4-len_temp);  
     
     temp = [unsuccessful_predictions(i_subjects,14,6),unsuccessful_predictions(i_subjects,15,6),unsuccessful_predictions(i_subjects,16,6),unsuccessful_predictions(i_subjects,17,6)];
     [i,j] = find(temp == 100);
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             unsuccessful_predictions_2_4(i_subjects) = unsuccessful_predictions_2_4(i_subjects) + temp(i_temp);
          end
     end
     unsuccessful_predictions_2_4(i_subjects) = unsuccessful_predictions_2_4(i_subjects)/(4-len_temp); 
%
     temp = [target_views(i_subjects,2,6),target_views(i_subjects,6,6),target_views(i_subjects,10,6),target_views(i_subjects,14,6)];
     [i,j] = find(temp == 100); % It will tell where all 100's are
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             target_views_3_2(i_subjects) = target_views_3_2(i_subjects) + temp(i_temp);
          end
     end
     target_views_3_2(i_subjects) = target_views_3_2(i_subjects)/(4-len_temp);
       
     temp = [target_views(i_subjects,4,6),target_views(i_subjects,8,6),target_views(i_subjects,12,6),target_views(i_subjects,16,6)];
     [i,j] = find(temp == 100);
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             target_views_3_8(i_subjects) = target_views_3_8(i_subjects) + temp(i_temp);
          end
     end
     target_views_3_8(i_subjects) = target_views_3_8(i_subjects)/(4-len_temp);
     
     temp = [target_views(i_subjects,3,6),target_views(i_subjects,7,6),target_views(i_subjects,11,6),target_views(i_subjects,15,6)];
     [i,j] = find(temp == 100);
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             target_views_5_2(i_subjects) = target_views_5_2(i_subjects) + temp(i_temp);
          end
     end
     target_views_5_2(i_subjects) = target_views_5_2(i_subjects)/(4-len_temp);
 
     temp = [target_views(i_subjects,5,6),target_views(i_subjects,9,6),target_views(i_subjects,13,6),target_views(i_subjects,17,6)];
     [i,j] = find(temp == 100);
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             target_views_5_8(i_subjects) = target_views_5_8(i_subjects) + temp(i_temp);
          end
     end
     target_views_5_8(i_subjects) = target_views_5_8(i_subjects)/(4-len_temp);
 
     temp = [target_views(i_subjects,2,6),target_views(i_subjects,3,6),target_views(i_subjects,4,6),target_views(i_subjects,5,6)];
     [i,j] = find(temp == 100);
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             target_views_0_N(i_subjects) = target_views_0_N(i_subjects) + temp(i_temp);
          end
     end
     target_views_0_N(i_subjects) = target_views_0_N(i_subjects)/(4-len_temp);  
     
     temp = [target_views(i_subjects,6,6),target_views(i_subjects,7,6),target_views(i_subjects,8,6),target_views(i_subjects,9,6)];
     [i,j] = find(temp == 100);
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             target_views_0_4(i_subjects) = target_views_0_4(i_subjects) + temp(i_temp);
          end
     end
     target_views_0_4(i_subjects) = target_views_0_4(i_subjects)/(4-len_temp); 
 
     temp = [target_views(i_subjects,10,6),target_views(i_subjects,11,6),target_views(i_subjects,12,6),target_views(i_subjects,13,6)];
     [i,j] = find(temp == 100);  
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             target_views_2_N(i_subjects) = target_views_2_N(i_subjects) + temp(i_temp);
          end
     end
     target_views_2_N(i_subjects) = target_views_2_N(i_subjects)/(4-len_temp);  
     
     temp = [target_views(i_subjects,14,6),target_views(i_subjects,15,6),target_views(i_subjects,16,6),target_views(i_subjects,17,6)];
     [i,j] = find(temp == 100);
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             target_views_2_4(i_subjects) = target_views_2_4(i_subjects) + temp(i_temp);
          end
     end
     target_views_2_4(i_subjects) = target_views_2_4(i_subjects)/(4-len_temp); 
    %                 
     temp = [transcribed_views(i_subjects,2,6),transcribed_views(i_subjects,6,6),transcribed_views(i_subjects,10,6),transcribed_views(i_subjects,14,6)];
     [i,j] = find(temp == 100); % It will tell where all 100's are
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             transcribed_views_3_2(i_subjects) = transcribed_views_3_2(i_subjects) + temp(i_temp);
          end
     end
     transcribed_views_3_2(i_subjects) = transcribed_views_3_2(i_subjects)/(4-len_temp);
       
     temp = [transcribed_views(i_subjects,4,6),transcribed_views(i_subjects,8,6),transcribed_views(i_subjects,12,6),transcribed_views(i_subjects,16,6)];
     [i,j] = find(temp == 100);
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             transcribed_views_3_8(i_subjects) = transcribed_views_3_8(i_subjects) + temp(i_temp);
          end
     end
     transcribed_views_3_8(i_subjects) = transcribed_views_3_8(i_subjects)/(4-len_temp);
     
     temp = [transcribed_views(i_subjects,3,6),transcribed_views(i_subjects,7,6),transcribed_views(i_subjects,11,6),transcribed_views(i_subjects,15,6)];
     [i,j] = find(temp == 100);
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             transcribed_views_5_2(i_subjects) = transcribed_views_5_2(i_subjects) + temp(i_temp);
          end
     end
     transcribed_views_5_2(i_subjects) = transcribed_views_5_2(i_subjects)/(4-len_temp);
 
     temp = [transcribed_views(i_subjects,5,6),transcribed_views(i_subjects,9,6),transcribed_views(i_subjects,13,6),transcribed_views(i_subjects,17,6)];
     [i,j] = find(temp == 100);
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             transcribed_views_5_8(i_subjects) = transcribed_views_5_8(i_subjects) + temp(i_temp);
          end
     end
     transcribed_views_5_8(i_subjects) = transcribed_views_5_8(i_subjects)/(4-len_temp);
 
     temp = [transcribed_views(i_subjects,2,6),transcribed_views(i_subjects,3,6),transcribed_views(i_subjects,4,6),transcribed_views(i_subjects,5,6)];
     [i,j] = find(temp == 100);
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             transcribed_views_0_N(i_subjects) = transcribed_views_0_N(i_subjects) + temp(i_temp);
          end
     end
     transcribed_views_0_N(i_subjects) = transcribed_views_0_N(i_subjects)/(4-len_temp);  
     
     temp = [transcribed_views(i_subjects,6,6),transcribed_views(i_subjects,7,6),transcribed_views(i_subjects,8,6),transcribed_views(i_subjects,9,6)];
     [i,j] = find(temp == 100);
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             transcribed_views_0_4(i_subjects) = transcribed_views_0_4(i_subjects) + temp(i_temp);
          end
     end
     transcribed_views_0_4(i_subjects) = transcribed_views_0_4(i_subjects)/(4-len_temp); 
 
     temp = [transcribed_views(i_subjects,10,6),transcribed_views(i_subjects,11,6),transcribed_views(i_subjects,12,6),transcribed_views(i_subjects,13,6)];
     [i,j] = find(temp == 100);  
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             transcribed_views_2_N(i_subjects) = transcribed_views_2_N(i_subjects) + temp(i_temp);
          end
     end
     transcribed_views_2_N(i_subjects) = transcribed_views_2_N(i_subjects)/(4-len_temp);  
     
     temp = [transcribed_views(i_subjects,14,6),transcribed_views(i_subjects,15,6),transcribed_views(i_subjects,16,6),transcribed_views(i_subjects,17,6)];
     [i,j] = find(temp == 100);
     len_temp = length(j);
     if (len_temp == 0)
         j = 0;
     end
     for i_temp = 1:4
          if(i_temp ~= j)
             transcribed_views_2_4(i_subjects) = transcribed_views_2_4(i_subjects) + temp(i_temp);
          end
     end
     transcribed_views_2_4(i_subjects) = transcribed_views_2_4(i_subjects)/(4-len_temp); 
                
end                       

% Initializing to 0 
% 1:4 means 4 subjects & 1:6 means all 5 trials & the 6th is average value
textrate_3(1:4,1:6) = 0;
textrate_5(1:4,1:6) = 0;
textrate_0(1:4,1:6) = 0;
textrate_2(1:4,1:6) = 0; % thia 2 means for show 
textrate_N(1:4,1:6) = 0;
textrate_4(1:4,1:6) = 0;
textrate_maxlist_2(1:4,1:6) = 0; % here 2 means max list length
textrate_maxlist_8(1:4,1:6) = 0;

keystroke_rate_3(1:4,1:6) = 0;
keystroke_rate_5(1:4,1:6) = 0;
keystroke_rate_0(1:4,1:6) = 0;
keystroke_rate_2(1:4,1:6) = 0;
keystroke_rate_N(1:4,1:6) = 0;
keystroke_rate_4(1:4,1:6) = 0;
keystroke_rate_maxlist_2(1:4,1:6) = 0; % here 2 means max list length
keystroke_rate_maxlist_8(1:4,1:6) = 0;

correct_keystrokes_3(1:4,1:6) = 0;
correct_keystrokes_5(1:4,1:6) = 0;
correct_keystrokes_0(1:4,1:6) = 0;
correct_keystrokes_2(1:4,1:6) = 0;
correct_keystrokes_N(1:4,1:6) = 0;
correct_keystrokes_4(1:4,1:6) = 0;
correct_keystrokes_maxlist_2(1:4,1:6) = 0; % here 2 means max list length
correct_keystrokes_maxlist_8(1:4,1:6) = 0

errors_3(1:4,1:6) = 0;
errors_5(1:4,1:6) = 0;
errors_0(1:4,1:6) = 0;
errors_2(1:4,1:6) = 0;
errors_N(1:4,1:6) = 0;
errors_4(1:4,1:6) = 0;
errors_maxlist_2(1:4,1:6) = 0; % here 2 means max list length
errors_maxlist_8(1:4,1:6) = 0

list_search_time_total_3(1:4,1:6) = 0;
list_search_time_total_5(1:4,1:6) = 0;
list_search_time_total_0(1:4,1:6) = 0;
list_search_time_total_2(1:4,1:6) = 0;
list_search_time_total_N(1:4,1:6) = 0;
list_search_time_total_4(1:4,1:6) = 0;
list_search_time_total_maxlist_2(1:4,1:6) = 0; % here 2 means max list length
list_search_time_total_maxlist_8(1:4,1:6) = 0

successful_predictions_3(1:4,1:6) = 0;
successful_predictions_5(1:4,1:6) = 0;
successful_predictions_0(1:4,1:6) = 0;
successful_predictions_2(1:4,1:6) = 0;
successful_predictions_N(1:4,1:6) = 0;
successful_predictions_4(1:4,1:6) = 0;
successful_predictions_maxlist_2(1:4,1:6) = 0; % here 2 means max list length
successful_predictions_maxlist_8(1:4,1:6) = 0

unsuccessful_predictions_3(1:4,1:6) = 0;
unsuccessful_predictions_5(1:4,1:6) = 0;
unsuccessful_predictions_0(1:4,1:6) = 0;
unsuccessful_predictions_2(1:4,1:6) = 0;
unsuccessful_predictions_N(1:4,1:6) = 0;
unsuccessful_predictions_4(1:4,1:6) = 0;
unsuccessful_predictions_maxlist_2(1:4,1:6) = 0; % here 2 means max list length
unsuccessful_predictions_maxlist_8(1:4,1:6) = 0

target_views_3(1:4,1:6) = 0;
target_views_5(1:4,1:6) = 0;
target_views_0(1:4,1:6) = 0;
target_views_2(1:4,1:6) = 0;
target_views_N(1:4,1:6) = 0;
target_views_4(1:4,1:6) = 0;
target_views_maxlist_2(1:4,1:6) = 0; % here 2 means max list length
target_views_maxlist_8(1:4,1:6) = 0

transcribed_views_3(1:4,1:6) = 0;
transcribed_views_5(1:4,1:6) = 0;
transcribed_views_0(1:4,1:6) = 0;
transcribed_views_2(1:4,1:6) = 0;
transcribed_views_N(1:4,1:6) = 0;
transcribed_views_4(1:4,1:6) = 0;
transcribed_views_maxlist_2(1:4,1:6) = 0; % here 2 means max list length
transcribed_views_maxlist_8(1:4,1:6) = 0

% This will tell us about the number of subject data missing for a
% particular condition/trial so that when dividing the total dependent
% measure by 8 we can substract that number.
textrate_3_subs(1:4,1:6) = 0;
textrate_5_subs(1:4,1:6) = 0;
textrate_0_subs(1:4,1:6) = 0;
textrate_2_subs(1:4,1:6) = 0;
textrate_N_subs(1:4,1:6) = 0;
textrate_4_subs(1:4,1:6) = 0;
textrate_maxlist_2_subs(1:4,1:6) = 0; % here 2 means max list length
textrate_maxlist_8_subs(1:4,1:6) = 0;

keystroke_rate_3_subs(1:4,1:6) = 0;
keystroke_rate_5_subs(1:4,1:6) = 0;
keystroke_rate_0_subs(1:4,1:6) = 0;
keystroke_rate_2_subs(1:4,1:6) = 0;
keystroke_rate_N_subs(1:4,1:6) = 0;
keystroke_rate_4_subs(1:4,1:6) = 0;
keystroke_rate_maxlist_2_subs(1:4,1:6) = 0; % here 2 means max list length
keystroke_rate_maxlist_8_subs(1:4,1:6) = 0;

correct_keystrokes_3_subs(1:4,1:6) = 0;
correct_keystrokes_5_subs(1:4,1:6) = 0;
correct_keystrokes_0_subs(1:4,1:6) = 0;
correct_keystrokes_2_subs(1:4,1:6) = 0;
correct_keystrokes_N_subs(1:4,1:6) = 0;
correct_keystrokes_4_subs(1:4,1:6) = 0;
correct_keystrokes_maxlist_2_subs(1:4,1:6) = 0; % here 2 means max list length
correct_keystrokes_maxlist_8_subs(1:4,1:6) = 0;

errors_3_subs(1:4,1:6) = 0;
errors_5_subs(1:4,1:6) = 0;
errors_0_subs(1:4,1:6) = 0;
errors_2_subs(1:4,1:6) = 0;
errors_N_subs(1:4,1:6) = 0;
errors_4_subs(1:4,1:6) = 0;
errors_maxlist_2_subs(1:4,1:6) = 0; % here 2 means max list length
errors_maxlist_8_subs(1:4,1:6) = 0;

list_search_time_total_3_subs(1:4,1:6) = 0;
list_search_time_total_5_subs(1:4,1:6) = 0;
list_search_time_total_0_subs(1:4,1:6) = 0;
list_search_time_total_2_subs(1:4,1:6) = 0;
list_search_time_total_N_subs(1:4,1:6) = 0;
list_search_time_total_4_subs(1:4,1:6) = 0;
list_search_time_total_maxlist_2_subs(1:4,1:6) = 0; % here 2 means max list length
list_search_time_total_maxlist_8_subs(1:4,1:6) = 0;

successful_predictions_3_subs(1:4,1:6) = 0;
successful_predictions_5_subs(1:4,1:6) = 0;
successful_predictions_0_subs(1:4,1:6) = 0;
successful_predictions_2_subs(1:4,1:6) = 0;
successful_predictions_N_subs(1:4,1:6) = 0;
successful_predictions_4_subs(1:4,1:6) = 0;
successful_predictions_maxlist_2_subs(1:4,1:6) = 0; % here 2 means max list length
successful_predictions_maxlist_8_subs(1:4,1:6) = 0;

unsuccessful_predictions_3_subs(1:4,1:6) = 0;
unsuccessful_predictions_5_subs(1:4,1:6) = 0;
unsuccessful_predictions_0_subs(1:4,1:6) = 0;
unsuccessful_predictions_2_subs(1:4,1:6) = 0;
unsuccessful_predictions_N_subs(1:4,1:6) = 0;
unsuccessful_predictions_4_subs(1:4,1:6) = 0;
unsuccessful_predictions_maxlist_2_subs(1:4,1:6) = 0; % here 2 means max list length
unsuccessful_predictions_maxlist_8_subs(1:4,1:6) = 0;

target_views_3_subs(1:4,1:6) = 0;
target_views_5_subs(1:4,1:6) = 0;
target_views_0_subs(1:4,1:6) = 0;
target_views_2_subs(1:4,1:6) = 0;
target_views_N_subs(1:4,1:6) = 0;
target_views_4_subs(1:4,1:6) = 0;
target_views_maxlist_2_subs(1:4,1:6) = 0; % here 2 means max list length
target_views_maxlist_8_subs(1:4,1:6) = 0;

transcribed_views_3_subs(1:4,1:6) = 0;
transcribed_views_5_subs(1:4,1:6) = 0;
transcribed_views_0_subs(1:4,1:6) = 0;
transcribed_views_2_subs(1:4,1:6) = 0;
transcribed_views_N_subs(1:4,1:6) = 0;
transcribed_views_4_subs(1:4,1:6) = 0;
transcribed_views_maxlist_2_subs(1:4,1:6) = 0; % here 2 means max list length
transcribed_views_maxlist_8_subs(1:4,1:6) = 0;

for i_subjects = 1:4
    for i_trials = 1:6
        for i_conditions = 1:8   % total 16 conditions so 16/2 = 8
          if (textrate(i_subjects,2*i_conditions,i_trials) ~= 100)
              textrate_3(i_subjects,i_trials) = textrate_3(i_subjects,i_trials) + textrate(i_subjects,2*i_conditions,i_trials);
          else
              textrate_3_subs(i_subjects,i_trials) = textrate_3_subs(i_subjects,i_trials) + 1;
          end
           
          if (textrate(i_subjects,(2*i_conditions)+1,i_trials) ~= 100)
              textrate_5(i_subjects,i_trials) = textrate_5(i_subjects,i_trials) + textrate(i_subjects,(2*i_conditions)+1,i_trials);
          else 
              textrate_5_subs(i_subjects,i_trials) = textrate_5_subs(i_subjects,i_trials) + 1;
          end
           
          if (textrate(i_subjects,i_conditions+1,i_trials) ~= 100)
              textrate_0(i_subjects,i_trials) = textrate_0(i_subjects,i_trials) + textrate(i_subjects,i_conditions+1,i_trials);
          else 
              textrate_0_subs(i_subjects,i_trials) = textrate_0_subs(i_subjects,i_trials) + 1;
          end
            
          if (textrate(i_subjects,i_conditions+9,i_trials) ~= 100)
              textrate_2(i_subjects,i_trials) = textrate_2(i_subjects,i_trials) + textrate(i_subjects,i_conditions+9,i_trials);
          else 
              textrate_2_subs(i_subjects,i_trials) = textrate_2_subs(i_subjects,i_trials) + 1;
          end 
          
          %&
         if (rem(i_conditions,2)==1) % If the variable i_conditions is odd then do 2*i otherwise 2*i-1
              if (textrate(i_subjects,2*i_conditions,i_trials) ~= 100)
                textrate_maxlist_2(i_subjects,i_trials) = textrate_maxlist_2(i_subjects,i_trials) + textrate(i_subjects,2*i_conditions,i_trials);
              else 
                textrate_maxlist_2_subs(i_subjects,i_trials) = textrate_maxlist_2_subs(i_subjects,i_trials) + 1;
              end
            
              if (textrate(i_subjects,(2*i_conditions)+2,i_trials) ~= 100)
                textrate_maxlist_8(i_subjects,i_trials) = textrate_maxlist_8(i_subjects,i_trials) + textrate(i_subjects,(2*i_conditions)+2,i_trials);
              else 
                textrate_maxlist_8_subs(i_subjects,i_trials) = textrate_maxlist_8_subs(i_subjects,i_trials) + 1;
              end 
         else     % if i_conditions are odd
             if (textrate(i_subjects,(2*i_conditions)-1,i_trials) ~= 100)
                textrate_maxlist_2(i_subjects,i_trials) = textrate_maxlist_2(i_subjects,i_trials) + textrate(i_subjects,(2*i_conditions)-1,i_trials);
              else 
                textrate_maxlist_2_subs(i_subjects,i_trials) = textrate_maxlist_2_subs(i_subjects,i_trials) + 1;
              end
            
              if (textrate(i_subjects,(2*i_conditions)+1,i_trials) ~= 100)
                textrate_maxlist_8(i_subjects,i_trials) = textrate_maxlist_8(i_subjects,i_trials) + textrate(i_subjects,(2*i_conditions)+1,i_trials);
              else 
                textrate_maxlist_8_subs(i_subjects,i_trials) = textrate_maxlist_8_subs(i_subjects,i_trials) + 1;
              end 
         end
          %%
          
          if (keystroke_rate(i_subjects,2*i_conditions,i_trials) ~= 100)
              keystroke_rate_3(i_subjects,i_trials) = keystroke_rate_3(i_subjects,i_trials) + keystroke_rate(i_subjects,2*i_conditions,i_trials);
          else
              keystroke_rate_3_subs(i_subjects,i_trials) = keystroke_rate_3_subs(i_subjects,i_trials) + 1;
          end
           
          if (keystroke_rate(i_subjects,(2*i_conditions)+1,i_trials) ~= 100)
              keystroke_rate_5(i_subjects,i_trials) = keystroke_rate_5(i_subjects,i_trials) + keystroke_rate(i_subjects,(2*i_conditions)+1,i_trials);
          else 
                keystroke_rate_5_subs(i_subjects,i_trials) = keystroke_rate_5_subs(i_subjects,i_trials) + 1;
          end
           
          if (keystroke_rate(i_subjects,i_conditions+1,i_trials) ~= 100)
              keystroke_rate_0(i_subjects,i_trials) = keystroke_rate_0(i_subjects,i_trials) + keystroke_rate(i_subjects,i_conditions+1,i_trials);
          else 
              keystroke_rate_0_subs(i_subjects,i_trials) = keystroke_rate_0_subs(i_subjects,i_trials) + 1;
          end
            
          if (keystroke_rate(i_subjects,i_conditions+9,i_trials) ~= 100)
            keystroke_rate_2(i_subjects,i_trials) = keystroke_rate_2(i_subjects,i_trials) + keystroke_rate(i_subjects,i_conditions+9,i_trials);
          else 
                keystroke_rate_2_subs(i_subjects,i_trials) = keystroke_rate_2_subs(i_subjects,i_trials) + 1;
          end
          %&
          if (rem(i_conditions,2)==1) % If the variable i_conditions is odd then do 2*i otherwise 2*i-1
              if (keystroke_rate(i_subjects,2*i_conditions,i_trials) ~= 100)
                keystroke_rate_maxlist_2(i_subjects,i_trials) = keystroke_rate_maxlist_2(i_subjects,i_trials) + keystroke_rate(i_subjects,2*i_conditions,i_trials);
              else 
                keystroke_rate_maxlist_2_subs(i_subjects,i_trials) = keystroke_rate_maxlist_2_subs(i_subjects,i_trials) + 1;
              end
            
              if (keystroke_rate(i_subjects,(2*i_conditions)+2,i_trials) ~= 100)
                keystroke_rate_maxlist_8(i_subjects,i_trials) = keystroke_rate_maxlist_8(i_subjects,i_trials) + keystroke_rate(i_subjects,(2*i_conditions)+2,i_trials);
              else 
                keystroke_rate_maxlist_8_subs(i_subjects,i_trials) = keystroke_rate_maxlist_8_subs(i_subjects,i_trials) + 1;
              end 
         else     % if i_conditions are odd
             if (keystroke_rate(i_subjects,(2*i_conditions)-1,i_trials) ~= 100)
                keystroke_rate_maxlist_2(i_subjects,i_trials) = keystroke_rate_maxlist_2(i_subjects,i_trials) + keystroke_rate(i_subjects,(2*i_conditions)-1,i_trials);
              else 
                keystroke_rate_maxlist_2_subs(i_subjects,i_trials) = keystroke_rate_maxlist_2_subs(i_subjects,i_trials) + 1;
              end
            
              if (keystroke_rate(i_subjects,(2*i_conditions)+1,i_trials) ~= 100)
                keystroke_rate_maxlist_8(i_subjects,i_trials) = keystroke_rate_maxlist_8(i_subjects,i_trials) + keystroke_rate(i_subjects,(2*i_conditions)+1,i_trials);
              else 
                keystroke_rate_maxlist_8_subs(i_subjects,i_trials) = keystroke_rate_maxlist_8_subs(i_subjects,i_trials) + 1;
              end 
         end          
          %%
          
          if (correct_keystrokes(i_subjects,2*i_conditions,i_trials) ~= 100)
              correct_keystrokes_3(i_subjects,i_trials) = correct_keystrokes_3(i_subjects,i_trials) + correct_keystrokes(i_subjects,2*i_conditions,i_trials);
          else
              correct_keystrokes_3_subs(i_subjects,i_trials) = correct_keystrokes_3_subs(i_subjects,i_trials) + 1;
          end
           
          if (correct_keystrokes(i_subjects,(2*i_conditions)+1,i_trials) ~= 100)
              correct_keystrokes_5(i_subjects,i_trials) = correct_keystrokes_5(i_subjects,i_trials) + correct_keystrokes(i_subjects,(2*i_conditions)+1,i_trials);
          else 
                correct_keystrokes_5_subs(i_subjects,i_trials) = correct_keystrokes_5_subs(i_subjects,i_trials) + 1;
          end
           
          if (correct_keystrokes(i_subjects,i_conditions+1,i_trials) ~= 100)
              correct_keystrokes_0(i_subjects,i_trials) = correct_keystrokes_0(i_subjects,i_trials) + correct_keystrokes(i_subjects,i_conditions+1,i_trials);
          else 
              correct_keystrokes_0_subs(i_subjects,i_trials) = correct_keystrokes_0_subs(i_subjects,i_trials) + 1;
          end
            
          if (correct_keystrokes(i_subjects,i_conditions+9,i_trials) ~= 100)
            correct_keystrokes_2(i_subjects,i_trials) = correct_keystrokes_2(i_subjects,i_trials) + correct_keystrokes(i_subjects,i_conditions+9,i_trials);
          else 
                correct_keystrokes_2_subs(i_subjects,i_trials) = correct_keystrokes_2_subs(i_subjects,i_trials) + 1;
          end
          
          %&
          if (rem(i_conditions,2)==1) % If the variable i_conditions is odd then do 2*i otherwise 2*i-1
              if (correct_keystrokes(i_subjects,2*i_conditions,i_trials) ~= 100)
                correct_keystrokes_maxlist_2(i_subjects,i_trials) = correct_keystrokes_maxlist_2(i_subjects,i_trials) + correct_keystrokes(i_subjects,2*i_conditions,i_trials);
              else 
                correct_keystrokes_maxlist_2_subs(i_subjects,i_trials) = correct_keystrokes_maxlist_2_subs(i_subjects,i_trials) + 1;
              end
            
              if (correct_keystrokes(i_subjects,(2*i_conditions)+2,i_trials) ~= 100)
                correct_keystrokes_maxlist_8(i_subjects,i_trials) = correct_keystrokes_maxlist_8(i_subjects,i_trials) + correct_keystrokes(i_subjects,(2*i_conditions)+2,i_trials);
              else 
                correct_keystrokes_maxlist_8_subs(i_subjects,i_trials) = correct_keystrokes_maxlist_8_subs(i_subjects,i_trials) + 1;
              end 
         else     % if i_conditions are odd
             if (correct_keystrokes(i_subjects,(2*i_conditions)-1,i_trials) ~= 100)
                correct_keystrokes_maxlist_2(i_subjects,i_trials) = correct_keystrokes_maxlist_2(i_subjects,i_trials) + correct_keystrokes(i_subjects,(2*i_conditions)-1,i_trials);
              else 
                correct_keystrokes_maxlist_2_subs(i_subjects,i_trials) = correct_keystrokes_maxlist_2_subs(i_subjects,i_trials) + 1;
              end
            
              if (correct_keystrokes(i_subjects,(2*i_conditions)+1,i_trials) ~= 100)
                correct_keystrokes_maxlist_8(i_subjects,i_trials) = correct_keystrokes_maxlist_8(i_subjects,i_trials) + correct_keystrokes(i_subjects,(2*i_conditions)+1,i_trials);
              else 
                correct_keystrokes_maxlist_8_subs(i_subjects,i_trials) = correct_keystrokes_maxlist_8_subs(i_subjects,i_trials) + 1;
              end 
         end           
          %%
          
          if (errors(i_subjects,2*i_conditions,i_trials) ~= 100)
              errors_3(i_subjects,i_trials) = errors_3(i_subjects,i_trials) + errors(i_subjects,2*i_conditions,i_trials);
          else
              errors_3_subs(i_subjects,i_trials) = errors_3_subs(i_subjects,i_trials) + 1;
          end
           
          if (errors(i_subjects,(2*i_conditions)+1,i_trials) ~= 100)
              errors_5(i_subjects,i_trials) = errors_5(i_subjects,i_trials) + errors(i_subjects,(2*i_conditions)+1,i_trials);
          else 
                errors_5_subs(i_subjects,i_trials) = errors_5_subs(i_subjects,i_trials) + 1;
          end
           
          if (errors(i_subjects,i_conditions+1,i_trials) ~= 100)
              errors_0(i_subjects,i_trials) = errors_0(i_subjects,i_trials) + errors(i_subjects,i_conditions+1,i_trials);
          else 
              errors_0_subs(i_subjects,i_trials) = errors_0_subs(i_subjects,i_trials) + 1;
          end
            
          if (errors(i_subjects,i_conditions+9,i_trials) ~= 100)
            errors_2(i_subjects,i_trials) = errors_2(i_subjects,i_trials) + errors(i_subjects,i_conditions+9,i_trials);
          else 
                errors_2_subs(i_subjects,i_trials) = errors_2_subs(i_subjects,i_trials) + 1;
          end
          
           %&
          if (rem(i_conditions,2)==1) % If the variable i_conditions is odd then do 2*i otherwise 2*i-1
              if (errors(i_subjects,2*i_conditions,i_trials) ~= 100)
                errors_maxlist_2(i_subjects,i_trials) = errors_maxlist_2(i_subjects,i_trials) + errors(i_subjects,2*i_conditions,i_trials);
              else 
                errors_maxlist_2_subs(i_subjects,i_trials) = errors_maxlist_2_subs(i_subjects,i_trials) + 1;
              end
            
              if (errors(i_subjects,(2*i_conditions)+2,i_trials) ~= 100)
                errors_maxlist_8(i_subjects,i_trials) = errors_maxlist_8(i_subjects,i_trials) + errors(i_subjects,(2*i_conditions)+2,i_trials);
              else 
                errors_maxlist_8_subs(i_subjects,i_trials) = errors_maxlist_8_subs(i_subjects,i_trials) + 1;
              end 
         else     % if i_conditions are odd
             if (errors(i_subjects,(2*i_conditions)-1,i_trials) ~= 100)
                errors_maxlist_2(i_subjects,i_trials) = errors_maxlist_2(i_subjects,i_trials) + errors(i_subjects,(2*i_conditions)-1,i_trials);
              else 
                errors_maxlist_2_subs(i_subjects,i_trials) = errors_maxlist_2_subs(i_subjects,i_trials) + 1;
              end
            
              if (errors(i_subjects,(2*i_conditions)+1,i_trials) ~= 100)
                errors_maxlist_8(i_subjects,i_trials) = errors_maxlist_8(i_subjects,i_trials) + errors(i_subjects,(2*i_conditions)+1,i_trials);
              else 
                errors_maxlist_8_subs(i_subjects,i_trials) = errors_maxlist_8_subs(i_subjects,i_trials) + 1;
              end 
         end  
          %%
          
          if (list_search_time_total(i_subjects,2*i_conditions,i_trials) ~= 100)
              list_search_time_total_3(i_subjects,i_trials) = list_search_time_total_3(i_subjects,i_trials) + list_search_time_total(i_subjects,2*i_conditions,i_trials);
          else
              list_search_time_total_3_subs(i_subjects,i_trials) = list_search_time_total_3_subs(i_subjects,i_trials) + 1;
          end
           
          if (list_search_time_total(i_subjects,(2*i_conditions)+1,i_trials) ~= 100)
              list_search_time_total_5(i_subjects,i_trials) = list_search_time_total_5(i_subjects,i_trials) + list_search_time_total(i_subjects,(2*i_conditions)+1,i_trials);
          else 
                list_search_time_total_5_subs(i_subjects,i_trials) = list_search_time_total_5_subs(i_subjects,i_trials) + 1;
          end
           
          if (list_search_time_total(i_subjects,i_conditions+1,i_trials) ~= 100)
              list_search_time_total_0(i_subjects,i_trials) = list_search_time_total_0(i_subjects,i_trials) + list_search_time_total(i_subjects,i_conditions+1,i_trials);
          else 
              list_search_time_total_0_subs(i_subjects,i_trials) = list_search_time_total_0_subs(i_subjects,i_trials) + 1;
          end
            
          if (list_search_time_total(i_subjects,i_conditions+9,i_trials) ~= 100)
            list_search_time_total_2(i_subjects,i_trials) = list_search_time_total_2(i_subjects,i_trials) + list_search_time_total(i_subjects,i_conditions+9,i_trials);
          else 
                list_search_time_total_2_subs(i_subjects,i_trials) = list_search_time_total_2_subs(i_subjects,i_trials) + 1;
          end
          
           %&
          if (rem(i_conditions,2)==1) % If the variable i_conditions is odd then do 2*i otherwise 2*i-1
              if (list_search_time_total(i_subjects,2*i_conditions,i_trials) ~= 100)
                list_search_time_total_maxlist_2(i_subjects,i_trials) = list_search_time_total_maxlist_2(i_subjects,i_trials) + list_search_time_total(i_subjects,2*i_conditions,i_trials);
              else 
                list_search_time_total_maxlist_2_subs(i_subjects,i_trials) = list_search_time_total_maxlist_2_subs(i_subjects,i_trials) + 1;
              end
            
              if (list_search_time_total(i_subjects,(2*i_conditions)+2,i_trials) ~= 100)
                list_search_time_total_maxlist_8(i_subjects,i_trials) = list_search_time_total_maxlist_8(i_subjects,i_trials) + list_search_time_total(i_subjects,(2*i_conditions)+2,i_trials);
              else 
                list_search_time_total_maxlist_8_subs(i_subjects,i_trials) = list_search_time_total_maxlist_8_subs(i_subjects,i_trials) + 1;
              end 
         else     % if i_conditions are odd
             if (list_search_time_total(i_subjects,(2*i_conditions)-1,i_trials) ~= 100)
                list_search_time_total_maxlist_2(i_subjects,i_trials) = list_search_time_total_maxlist_2(i_subjects,i_trials) + list_search_time_total(i_subjects,(2*i_conditions)-1,i_trials);
              else 
                list_search_time_total_maxlist_2_subs(i_subjects,i_trials) = list_search_time_total_maxlist_2_subs(i_subjects,i_trials) + 1;
              end
            
              if (list_search_time_total(i_subjects,(2*i_conditions)+1,i_trials) ~= 100)
                list_search_time_total_maxlist_8(i_subjects,i_trials) = list_search_time_total_maxlist_8(i_subjects,i_trials) + list_search_time_total(i_subjects,(2*i_conditions)+1,i_trials);
              else 
                list_search_time_total_maxlist_8_subs(i_subjects,i_trials) = list_search_time_total_maxlist_8_subs(i_subjects,i_trials) + 1;
              end 
         end  
          %%
          
          if (successful_predictions(i_subjects,2*i_conditions,i_trials) ~= 100)
              successful_predictions_3(i_subjects,i_trials) = successful_predictions_3(i_subjects,i_trials) + successful_predictions(i_subjects,2*i_conditions,i_trials);
          else
              successful_predictions_3_subs(i_subjects,i_trials) = successful_predictions_3_subs(i_subjects,i_trials) + 1;
          end
           
          if (successful_predictions(i_subjects,(2*i_conditions)+1,i_trials) ~= 100)
              successful_predictions_5(i_subjects,i_trials) = successful_predictions_5(i_subjects,i_trials) + successful_predictions(i_subjects,(2*i_conditions)+1,i_trials);
          else 
                successful_predictions_5_subs(i_subjects,i_trials) = successful_predictions_5_subs(i_subjects,i_trials) + 1;
          end
           
          if (successful_predictions(i_subjects,i_conditions+1,i_trials) ~= 100)
              successful_predictions_0(i_subjects,i_trials) = successful_predictions_0(i_subjects,i_trials) + successful_predictions(i_subjects,i_conditions+1,i_trials);
          else 
              successful_predictions_0_subs(i_subjects,i_trials) = successful_predictions_0_subs(i_subjects,i_trials) + 1;
          end
            
          if (successful_predictions(i_subjects,i_conditions+9,i_trials) ~= 100)
            successful_predictions_2(i_subjects,i_trials) = successful_predictions_2(i_subjects,i_trials) + successful_predictions(i_subjects,i_conditions+9,i_trials);
          else 
                successful_predictions_2_subs(i_subjects,i_trials) = successful_predictions_2_subs(i_subjects,i_trials) + 1;
          end
          
          %&
          if (rem(i_conditions,2)==1) % If the variable i_conditions is odd then do 2*i otherwise 2*i-1
              if (successful_predictions(i_subjects,2*i_conditions,i_trials) ~= 100)
                successful_predictions_maxlist_2(i_subjects,i_trials) = successful_predictions_maxlist_2(i_subjects,i_trials) + successful_predictions(i_subjects,2*i_conditions,i_trials);
              else 
                successful_predictions_maxlist_2_subs(i_subjects,i_trials) = successful_predictions_maxlist_2_subs(i_subjects,i_trials) + 1;
              end
            
              if (successful_predictions(i_subjects,(2*i_conditions)+2,i_trials) ~= 100)
                successful_predictions_maxlist_8(i_subjects,i_trials) = successful_predictions_maxlist_8(i_subjects,i_trials) + successful_predictions(i_subjects,(2*i_conditions)+2,i_trials);
              else 
                successful_predictions_maxlist_8_subs(i_subjects,i_trials) = successful_predictions_maxlist_8_subs(i_subjects,i_trials) + 1;
              end 
         else     % if i_conditions are odd
             if (successful_predictions(i_subjects,(2*i_conditions)-1,i_trials) ~= 100)
                successful_predictions_maxlist_2(i_subjects,i_trials) = successful_predictions_maxlist_2(i_subjects,i_trials) + successful_predictions(i_subjects,(2*i_conditions)-1,i_trials);
              else 
                successful_predictions_maxlist_2_subs(i_subjects,i_trials) = successful_predictions_maxlist_2_subs(i_subjects,i_trials) + 1;
              end
            
              if (successful_predictions(i_subjects,(2*i_conditions)+1,i_trials) ~= 100)
                successful_predictions_maxlist_8(i_subjects,i_trials) = successful_predictions_maxlist_8(i_subjects,i_trials) + successful_predictions(i_subjects,(2*i_conditions)+1,i_trials);
              else 
                successful_predictions_maxlist_8_subs(i_subjects,i_trials) = successful_predictions_maxlist_8_subs(i_subjects,i_trials) + 1;
              end 
         end  
          %%
          
          if (unsuccessful_predictions(i_subjects,2*i_conditions,i_trials) ~= 100)
              unsuccessful_predictions_3(i_subjects,i_trials) = unsuccessful_predictions_3(i_subjects,i_trials) + unsuccessful_predictions(i_subjects,2*i_conditions,i_trials);
          else
              unsuccessful_predictions_3_subs(i_subjects,i_trials) = unsuccessful_predictions_3_subs(i_subjects,i_trials) + 1;
          end
           
          if (unsuccessful_predictions(i_subjects,(2*i_conditions)+1,i_trials) ~= 100)
              unsuccessful_predictions_5(i_subjects,i_trials) = unsuccessful_predictions_5(i_subjects,i_trials) + unsuccessful_predictions(i_subjects,(2*i_conditions)+1,i_trials);
          else 
                unsuccessful_predictions_5_subs(i_subjects,i_trials) = unsuccessful_predictions_5_subs(i_subjects,i_trials) + 1;
          end
           
          if (unsuccessful_predictions(i_subjects,i_conditions+1,i_trials) ~= 100)
              unsuccessful_predictions_0(i_subjects,i_trials) = unsuccessful_predictions_0(i_subjects,i_trials) + unsuccessful_predictions(i_subjects,i_conditions+1,i_trials);
          else 
              unsuccessful_predictions_0_subs(i_subjects,i_trials) = unsuccessful_predictions_0_subs(i_subjects,i_trials) + 1;
          end
            
          if (unsuccessful_predictions(i_subjects,i_conditions+9,i_trials) ~= 100)
            unsuccessful_predictions_2(i_subjects,i_trials) = unsuccessful_predictions_2(i_subjects,i_trials) + unsuccessful_predictions(i_subjects,i_conditions+9,i_trials);
          else 
                unsuccessful_predictions_2_subs(i_subjects,i_trials) = unsuccessful_predictions_2_subs(i_subjects,i_trials) + 1;
          end
          
          %&
          if (rem(i_conditions,2)==1) % If the variable i_conditions is odd then do 2*i otherwise 2*i-1
              if (unsuccessful_predictions(i_subjects,2*i_conditions,i_trials) ~= 100)
                unsuccessful_predictions_maxlist_2(i_subjects,i_trials) = unsuccessful_predictions_maxlist_2(i_subjects,i_trials) + unsuccessful_predictions(i_subjects,2*i_conditions,i_trials);
              else 
                unsuccessful_predictions_maxlist_2_subs(i_subjects,i_trials) = unsuccessful_predictions_maxlist_2_subs(i_subjects,i_trials) + 1;
              end
            
              if (unsuccessful_predictions(i_subjects,(2*i_conditions)+2,i_trials) ~= 100)
                unsuccessful_predictions_maxlist_8(i_subjects,i_trials) = unsuccessful_predictions_maxlist_8(i_subjects,i_trials) + unsuccessful_predictions(i_subjects,(2*i_conditions)+2,i_trials);
              else 
                unsuccessful_predictions_maxlist_8_subs(i_subjects,i_trials) = unsuccessful_predictions_maxlist_8_subs(i_subjects,i_trials) + 1;
              end 
         else     % if i_conditions are odd
             if (unsuccessful_predictions(i_subjects,(2*i_conditions)-1,i_trials) ~= 100)
                unsuccessful_predictions_maxlist_2(i_subjects,i_trials) = unsuccessful_predictions_maxlist_2(i_subjects,i_trials) + unsuccessful_predictions(i_subjects,(2*i_conditions)-1,i_trials);
              else 
                unsuccessful_predictions_maxlist_2_subs(i_subjects,i_trials) = unsuccessful_predictions_maxlist_2_subs(i_subjects,i_trials) + 1;
              end
            
              if (unsuccessful_predictions(i_subjects,(2*i_conditions)+1,i_trials) ~= 100)
                unsuccessful_predictions_maxlist_8(i_subjects,i_trials) = unsuccessful_predictions_maxlist_8(i_subjects,i_trials) + unsuccessful_predictions(i_subjects,(2*i_conditions)+1,i_trials);
              else 
                unsuccessful_predictions_maxlist_8_subs(i_subjects,i_trials) = unsuccessful_predictions_maxlist_8_subs(i_subjects,i_trials) + 1;
              end 
         end  
          %%
          
          if (target_views(i_subjects,2*i_conditions,i_trials) ~= 100)
              target_views_3(i_subjects,i_trials) = target_views_3(i_subjects,i_trials) + target_views(i_subjects,2*i_conditions,i_trials);
          else
              target_views_3_subs(i_subjects,i_trials) = target_views_3_subs(i_subjects,i_trials) + 1;
          end
           
          if (target_views(i_subjects,(2*i_conditions)+1,i_trials) ~= 100)
              target_views_5(i_subjects,i_trials) = target_views_5(i_subjects,i_trials) + target_views(i_subjects,(2*i_conditions)+1,i_trials);
          else 
                target_views_5_subs(i_subjects,i_trials) = target_views_5_subs(i_subjects,i_trials) + 1;
          end
           
          if (target_views(i_subjects,i_conditions+1,i_trials) ~= 100)
              target_views_0(i_subjects,i_trials) = target_views_0(i_subjects,i_trials) + target_views(i_subjects,i_conditions+1,i_trials);
          else 
              target_views_0_subs(i_subjects,i_trials) = target_views_0_subs(i_subjects,i_trials) + 1;
          end
            
          if (target_views(i_subjects,i_conditions+9,i_trials) ~= 100)
            target_views_2(i_subjects,i_trials) = target_views_2(i_subjects,i_trials) + target_views(i_subjects,i_conditions+9,i_trials);
          else 
                target_views_2_subs(i_subjects,i_trials) = target_views_2_subs(i_subjects,i_trials) + 1;
          end
          
          %&
          if (rem(i_conditions,2)==1) % If the variable i_conditions is odd then do 2*i otherwise 2*i-1
              if (target_views(i_subjects,2*i_conditions,i_trials) ~= 100)
                target_views_maxlist_2(i_subjects,i_trials) = target_views_maxlist_2(i_subjects,i_trials) + target_views(i_subjects,2*i_conditions,i_trials);
              else 
                target_views_maxlist_2_subs(i_subjects,i_trials) = target_views_maxlist_2_subs(i_subjects,i_trials) + 1;
              end
            
              if (target_views(i_subjects,(2*i_conditions)+2,i_trials) ~= 100)
                target_views_maxlist_8(i_subjects,i_trials) = target_views_maxlist_8(i_subjects,i_trials) + target_views(i_subjects,(2*i_conditions)+2,i_trials);
              else 
                target_views_maxlist_8_subs(i_subjects,i_trials) = target_views_maxlist_8_subs(i_subjects,i_trials) + 1;
              end 
         else     % if i_conditions are odd
             if (target_views(i_subjects,(2*i_conditions)-1,i_trials) ~= 100)
                target_views_maxlist_2(i_subjects,i_trials) = target_views_maxlist_2(i_subjects,i_trials) + target_views(i_subjects,(2*i_conditions)-1,i_trials);
              else 
                target_views_maxlist_2_subs(i_subjects,i_trials) = target_views_maxlist_2_subs(i_subjects,i_trials) + 1;
              end
            
              if (target_views(i_subjects,(2*i_conditions)+1,i_trials) ~= 100)
                target_views_maxlist_8(i_subjects,i_trials) = target_views_maxlist_8(i_subjects,i_trials) + target_views(i_subjects,(2*i_conditions)+1,i_trials);
              else 
                target_views_maxlist_8_subs(i_subjects,i_trials) = target_views_maxlist_8_subs(i_subjects,i_trials) + 1;
              end 
         end 
          %%
          
          if (transcribed_views(i_subjects,2*i_conditions,i_trials) ~= 100)
              transcribed_views_3(i_subjects,i_trials) = transcribed_views_3(i_subjects,i_trials) + transcribed_views(i_subjects,2*i_conditions,i_trials);
          else
              transcribed_views_3_subs(i_subjects,i_trials) = transcribed_views_3_subs(i_subjects,i_trials) + 1;
          end
           
          if (transcribed_views(i_subjects,(2*i_conditions)+1,i_trials) ~= 100)
              transcribed_views_5(i_subjects,i_trials) = transcribed_views_5(i_subjects,i_trials) + transcribed_views(i_subjects,(2*i_conditions)+1,i_trials);
          else 
                transcribed_views_5_subs(i_subjects,i_trials) = transcribed_views_5_subs(i_subjects,i_trials) + 1;
          end
           
          if (transcribed_views(i_subjects,i_conditions+1,i_trials) ~= 100)
              transcribed_views_0(i_subjects,i_trials) = transcribed_views_0(i_subjects,i_trials) + transcribed_views(i_subjects,i_conditions+1,i_trials);
          else 
              transcribed_views_0_subs(i_subjects,i_trials) = transcribed_views_0_subs(i_subjects,i_trials) + 1;
          end
            
          if (transcribed_views(i_subjects,i_conditions+9,i_trials) ~= 100)
              transcribed_views_2(i_subjects,i_trials) = transcribed_views_2(i_subjects,i_trials) + transcribed_views(i_subjects,i_conditions+9,i_trials);
          else 
              transcribed_views_2_subs(i_subjects,i_trials) = transcribed_views_2_subs(i_subjects,i_trials) + 1;
          end
          
          %&
          if (rem(i_conditions,2)==1) % If the variable i_conditions is odd then do 2*i otherwise 2*i-1
              if (transcribed_views(i_subjects,2*i_conditions,i_trials) ~= 100)
                transcribed_views_maxlist_2(i_subjects,i_trials) = transcribed_views_maxlist_2(i_subjects,i_trials) + transcribed_views(i_subjects,2*i_conditions,i_trials);
              else 
                transcribed_views_maxlist_2_subs(i_subjects,i_trials) = transcribed_views_maxlist_2_subs(i_subjects,i_trials) + 1;
              end
            
              if (transcribed_views(i_subjects,(2*i_conditions)+2,i_trials) ~= 100)
                transcribed_views_maxlist_8(i_subjects,i_trials) = transcribed_views_maxlist_8(i_subjects,i_trials) + transcribed_views(i_subjects,(2*i_conditions)+2,i_trials);
              else 
                transcribed_views_maxlist_8_subs(i_subjects,i_trials) = transcribed_views_maxlist_8_subs(i_subjects,i_trials) + 1;
              end 
         else     % if i_conditions are odd
             if (transcribed_views(i_subjects,(2*i_conditions)-1,i_trials) ~= 100)
                transcribed_views_maxlist_2(i_subjects,i_trials) = transcribed_views_maxlist_2(i_subjects,i_trials) + transcribed_views(i_subjects,(2*i_conditions)-1,i_trials);
              else 
                transcribed_views_maxlist_2_subs(i_subjects,i_trials) = transcribed_views_maxlist_2_subs(i_subjects,i_trials) + 1;
              end
            
              if (transcribed_views(i_subjects,(2*i_conditions)+1,i_trials) ~= 100)
                transcribed_views_maxlist_8(i_subjects,i_trials) = transcribed_views_maxlist_8(i_subjects,i_trials) + transcribed_views(i_subjects,(2*i_conditions)+1,i_trials);
              else 
                transcribed_views_maxlist_8_subs(i_subjects,i_trials) = transcribed_views_maxlist_8_subs(i_subjects,i_trials) + 1;
              end 
         end 
        
        end
    end
end

for i_subjects = 1:4
    for i_trials = 1:6
        for i_conditions = 1:4  
          if (textrate(i_subjects,i_conditions+1,i_trials) ~= 100)
              textrate_N(i_subjects,i_trials) = textrate_N(i_subjects,i_trials) + textrate(i_subjects,i_conditions+1,i_trials);
          else
              textrate_N_subs(i_subjects,i_trials) = textrate_N_subs(i_subjects,i_trials) + 1;
          end
          
          if (textrate(i_subjects,i_conditions+9,i_trials) ~= 100)
             textrate_N(i_subjects,i_trials) = textrate_N(i_subjects,i_trials) + textrate(i_subjects,i_conditions+9,i_trials);
          else
              textrate_N_subs(i_subjects,i_trials) = textrate_N_subs(i_subjects,i_trials) + 1;
          end
          
          if (textrate(i_subjects,i_conditions+4,i_trials) ~= 100)
              textrate_4(i_subjects,i_trials) = textrate_4(i_subjects,i_trials) + textrate(i_subjects,i_conditions+4,i_trials);
          else
              textrate_4_subs(i_subjects,i_trials) = textrate_4_subs(i_subjects,i_trials) + 1;
          end
          
          if (textrate(i_subjects,i_conditions+13,i_trials) ~= 100)
             textrate_4(i_subjects,i_trials) = textrate_4(i_subjects,i_trials) + textrate(i_subjects,i_conditions+13,i_trials);
          else
              textrate_4_subs(i_subjects,i_trials) = textrate_4_subs(i_subjects,i_trials) + 1;
          end
          %%
          
          if (keystroke_rate(i_subjects,i_conditions+1,i_trials) ~= 100)
              keystroke_rate_N(i_subjects,i_trials) = keystroke_rate_N(i_subjects,i_trials) + keystroke_rate(i_subjects,i_conditions+1,i_trials);
          else
              keystroke_rate_N_subs(i_subjects,i_trials) = keystroke_rate_N_subs(i_subjects,i_trials) + 1;
          end
          
          if (keystroke_rate(i_subjects,i_conditions+9,i_trials) ~= 100)
             keystroke_rate_N(i_subjects,i_trials) = keystroke_rate_N(i_subjects,i_trials) + keystroke_rate(i_subjects,i_conditions+9,i_trials);
          else
              keystroke_rate_N_subs(i_subjects,i_trials) = keystroke_rate_N_subs(i_subjects,i_trials) + 1;
          end
          
          if (keystroke_rate(i_subjects,i_conditions+4,i_trials) ~= 100)
              keystroke_rate_4(i_subjects,i_trials) = keystroke_rate_4(i_subjects,i_trials) + keystroke_rate(i_subjects,i_conditions+4,i_trials);
          else
              keystroke_rate_4_subs(i_subjects,i_trials) = keystroke_rate_4_subs(i_subjects,i_trials) + 1;
          end
          
          if (keystroke_rate(i_subjects,i_conditions+13,i_trials) ~= 100)
             keystroke_rate_4(i_subjects,i_trials) = keystroke_rate_4(i_subjects,i_trials) + keystroke_rate(i_subjects,i_conditions+13,i_trials);
          else
              keystroke_rate_4_subs(i_subjects,i_trials) = keystroke_rate_4_subs(i_subjects,i_trials) + 1;
          end
          %%
          
          if (correct_keystrokes(i_subjects,i_conditions+1,i_trials) ~= 100)
              correct_keystrokes_N(i_subjects,i_trials) = correct_keystrokes_N(i_subjects,i_trials) + correct_keystrokes(i_subjects,i_conditions+1,i_trials);
          else
              correct_keystrokes_N_subs(i_subjects,i_trials) = correct_keystrokes_N_subs(i_subjects,i_trials) + 1;
          end
          
          if (correct_keystrokes(i_subjects,i_conditions+9,i_trials) ~= 100)
             correct_keystrokes_N(i_subjects,i_trials) = correct_keystrokes_N(i_subjects,i_trials) + correct_keystrokes(i_subjects,i_conditions+9,i_trials);
          else
              correct_keystrokes_N_subs(i_subjects,i_trials) = correct_keystrokes_N_subs(i_subjects,i_trials) + 1;
          end
          
          if (correct_keystrokes(i_subjects,i_conditions+4,i_trials) ~= 100)
              correct_keystrokes_4(i_subjects,i_trials) = correct_keystrokes_4(i_subjects,i_trials) + correct_keystrokes(i_subjects,i_conditions+4,i_trials);
          else
              correct_keystrokes_4_subs(i_subjects,i_trials) = correct_keystrokes_4_subs(i_subjects,i_trials) + 1;
          end
          
          if (correct_keystrokes(i_subjects,i_conditions+13,i_trials) ~= 100)
             correct_keystrokes_4(i_subjects,i_trials) = correct_keystrokes_4(i_subjects,i_trials) + correct_keystrokes(i_subjects,i_conditions+13,i_trials);
          else
              correct_keystrokes_4_subs(i_subjects,i_trials) = correct_keystrokes_4_subs(i_subjects,i_trials) + 1;
          end
          %%
        
          if (errors(i_subjects,i_conditions+1,i_trials) ~= 100)
              errors_N(i_subjects,i_trials) = errors_N(i_subjects,i_trials) + errors(i_subjects,i_conditions+1,i_trials);
          else
              errors_N_subs(i_subjects,i_trials) = errors_N_subs(i_subjects,i_trials) + 1;
          end
          
          if (errors(i_subjects,i_conditions+9,i_trials) ~= 100)
             errors_N(i_subjects,i_trials) = errors_N(i_subjects,i_trials) + errors(i_subjects,i_conditions+9,i_trials);
          else
              errors_N_subs(i_subjects,i_trials) = errors_N_subs(i_subjects,i_trials) + 1;
          end
          
          if (errors(i_subjects,i_conditions+4,i_trials) ~= 100)
              errors_4(i_subjects,i_trials) = errors_4(i_subjects,i_trials) + errors(i_subjects,i_conditions+4,i_trials);
          else
              errors_4_subs(i_subjects,i_trials) = errors_4_subs(i_subjects,i_trials) + 1;
          end
          
          if (errors(i_subjects,i_conditions+13,i_trials) ~= 100)
             errors_4(i_subjects,i_trials) = errors_4(i_subjects,i_trials) + errors(i_subjects,i_conditions+13,i_trials);
          else
              errors_4_subs(i_subjects,i_trials) = errors_4_subs(i_subjects,i_trials) + 1;
          end
          %%
          
          if (list_search_time_total(i_subjects,i_conditions+1,i_trials) ~= 100)
              list_search_time_total_N(i_subjects,i_trials) = list_search_time_total_N(i_subjects,i_trials) + list_search_time_total(i_subjects,i_conditions+1,i_trials);
          else
              list_search_time_total_N_subs(i_subjects,i_trials) = list_search_time_total_N_subs(i_subjects,i_trials) + 1;
          end
          
          if (list_search_time_total(i_subjects,i_conditions+9,i_trials) ~= 100)
             list_search_time_total_N(i_subjects,i_trials) = list_search_time_total_N(i_subjects,i_trials) + list_search_time_total(i_subjects,i_conditions+9,i_trials);
          else
              list_search_time_total_N_subs(i_subjects,i_trials) = list_search_time_total_N_subs(i_subjects,i_trials) + 1;
          end
          
          if (list_search_time_total(i_subjects,i_conditions+4,i_trials) ~= 100)
              list_search_time_total_4(i_subjects,i_trials) = list_search_time_total_4(i_subjects,i_trials) + list_search_time_total(i_subjects,i_conditions+4,i_trials);
          else
              list_search_time_total_4_subs(i_subjects,i_trials) = list_search_time_total_4_subs(i_subjects,i_trials) + 1;
          end
          
          if (list_search_time_total(i_subjects,i_conditions+13,i_trials) ~= 100)
             list_search_time_total_4(i_subjects,i_trials) = list_search_time_total_4(i_subjects,i_trials) + list_search_time_total(i_subjects,i_conditions+13,i_trials);
          else
              list_search_time_total_4_subs(i_subjects,i_trials) = list_search_time_total_4_subs(i_subjects,i_trials) + 1;
          end
          %%
          
          if (successful_predictions(i_subjects,i_conditions+1,i_trials) ~= 100)
              successful_predictions_N(i_subjects,i_trials) = successful_predictions_N(i_subjects,i_trials) + successful_predictions(i_subjects,i_conditions+1,i_trials);
          else
              successful_predictions_N_subs(i_subjects,i_trials) = successful_predictions_N_subs(i_subjects,i_trials) + 1;
          end
          
          if (successful_predictions(i_subjects,i_conditions+9,i_trials) ~= 100)
             successful_predictions_N(i_subjects,i_trials) = successful_predictions_N(i_subjects,i_trials) + successful_predictions(i_subjects,i_conditions+9,i_trials);
          else
              successful_predictions_N_subs(i_subjects,i_trials) = successful_predictions_N_subs(i_subjects,i_trials) + 1;
          end
          
          if (successful_predictions(i_subjects,i_conditions+4,i_trials) ~= 100)
              successful_predictions_4(i_subjects,i_trials) = successful_predictions_4(i_subjects,i_trials) + successful_predictions(i_subjects,i_conditions+4,i_trials);
          else
              successful_predictions_4_subs(i_subjects,i_trials) = successful_predictions_4_subs(i_subjects,i_trials) + 1;
          end
          
          if (successful_predictions(i_subjects,i_conditions+13,i_trials) ~= 100)
             successful_predictions_4(i_subjects,i_trials) = successful_predictions_4(i_subjects,i_trials) + successful_predictions(i_subjects,i_conditions+13,i_trials);
          else
              successful_predictions_4_subs(i_subjects,i_trials) = successful_predictions_4_subs(i_subjects,i_trials) + 1;
          end
          %%
          
          if (unsuccessful_predictions(i_subjects,i_conditions+1,i_trials) ~= 100)
              unsuccessful_predictions_N(i_subjects,i_trials) = unsuccessful_predictions_N(i_subjects,i_trials) + unsuccessful_predictions(i_subjects,i_conditions+1,i_trials);
          else
              unsuccessful_predictions_N_subs(i_subjects,i_trials) = unsuccessful_predictions_N_subs(i_subjects,i_trials) + 1;
          end
          
          if (unsuccessful_predictions(i_subjects,i_conditions+9,i_trials) ~= 100)
             unsuccessful_predictions_N(i_subjects,i_trials) = unsuccessful_predictions_N(i_subjects,i_trials) + unsuccessful_predictions(i_subjects,i_conditions+9,i_trials);
          else
              unsuccessful_predictions_N_subs(i_subjects,i_trials) = unsuccessful_predictions_N_subs(i_subjects,i_trials) + 1;
          end
          
          if (unsuccessful_predictions(i_subjects,i_conditions+4,i_trials) ~= 100)
              unsuccessful_predictions_4(i_subjects,i_trials) = unsuccessful_predictions_4(i_subjects,i_trials) + unsuccessful_predictions(i_subjects,i_conditions+4,i_trials);
          else
              unsuccessful_predictions_4_subs(i_subjects,i_trials) = unsuccessful_predictions_4_subs(i_subjects,i_trials) + 1;
          end
          
          if (unsuccessful_predictions(i_subjects,i_conditions+13,i_trials) ~= 100)
             unsuccessful_predictions_4(i_subjects,i_trials) = unsuccessful_predictions_4(i_subjects,i_trials) + unsuccessful_predictions(i_subjects,i_conditions+13,i_trials);
          else
              unsuccessful_predictions_4_subs(i_subjects,i_trials) = unsuccessful_predictions_4_subs(i_subjects,i_trials) + 1;
          end
          %%
          
          if (target_views(i_subjects,i_conditions+1,i_trials) ~= 100)
              target_views_N(i_subjects,i_trials) = target_views_N(i_subjects,i_trials) + target_views(i_subjects,i_conditions+1,i_trials);
          else
              target_views_N_subs(i_subjects,i_trials) = target_views_N_subs(i_subjects,i_trials) + 1;
          end
          
          if (target_views(i_subjects,i_conditions+9,i_trials) ~= 100)
             target_views_N(i_subjects,i_trials) = target_views_N(i_subjects,i_trials) + target_views(i_subjects,i_conditions+9,i_trials);
          else
              target_views_N_subs(i_subjects,i_trials) = target_views_N_subs(i_subjects,i_trials) + 1;
          end
          
          if (target_views(i_subjects,i_conditions+4,i_trials) ~= 100)
              target_views_4(i_subjects,i_trials) = target_views_4(i_subjects,i_trials) + target_views(i_subjects,i_conditions+4,i_trials);
          else
              target_views_4_subs(i_subjects,i_trials) = target_views_4_subs(i_subjects,i_trials) + 1;
          end
          
          if (target_views(i_subjects,i_conditions+13,i_trials) ~= 100)
             target_views_4(i_subjects,i_trials) = target_views_4(i_subjects,i_trials) + target_views(i_subjects,i_conditions+13,i_trials);
          else
              target_views_4(i_subjects,i_trials) = target_views_4(i_subjects,i_trials) + 1;
          end
          %%
          
          if (transcribed_views(i_subjects,i_conditions+1,i_trials) ~= 100)
              transcribed_views_N(i_subjects,i_trials) = transcribed_views_N(i_subjects,i_trials) + transcribed_views(i_subjects,i_conditions+1,i_trials);
          else
              transcribed_views_N_subs(i_subjects,i_trials) = transcribed_views_N_subs(i_subjects,i_trials) + 1;
          end
          
          if (transcribed_views(i_subjects,i_conditions+9,i_trials) ~= 100)
             transcribed_views_N(i_subjects,i_trials) = transcribed_views_N(i_subjects,i_trials) + transcribed_views(i_subjects,i_conditions+9,i_trials);
          else
              transcribed_views_N_subs(i_subjects,i_trials) = transcribed_views_N_subs(i_subjects,i_trials) + 1;
          end
          
          if (transcribed_views(i_subjects,i_conditions+4,i_trials) ~= 100)
              transcribed_views_4(i_subjects,i_trials) = transcribed_views_4(i_subjects,i_trials) + transcribed_views(i_subjects,i_conditions+4,i_trials);
          else
              transcribed_views_4_subs(i_subjects,i_trials) = transcribed_views_4_subs(i_subjects,i_trials) + 1;
          end
          
          if (transcribed_views(i_subjects,i_conditions+13,i_trials) ~= 100)
             transcribed_views_4(i_subjects,i_trials) = transcribed_views_4(i_subjects,i_trials) + transcribed_views(i_subjects,i_conditions+13,i_trials);
          else
             transcribed_views_4_subs(i_subjects,i_trials) = transcribed_views_4_subs(i_subjects,i_trials) + 1;
          end

        end
    end
end
 
% Taking average (dividing by 8 because there are 8 conditions for each of those situations)
% textrate_3 = textrate_3/8;
% textrate_5 = textrate_5/8;
% textrate_0 = textrate_0/8;
% textrate_2 = textrate_2/8;
% textrate_N = textrate_N/8;
% textrate_4 = textrate_4/8;
% 
% keystroke_rate_3 = keystroke_rate_3/8;
% keystroke_rate_5 = keystroke_rate_5/8;
% keystroke_rate_0 = keystroke_rate_0/8;
% keystroke_rate_2 = keystroke_rate_2/8;
% keystroke_rate_N = keystroke_rate_N/8;
% keystroke_rate_4 = keystroke_rate_4/8;
% 
% correct_keystrokes_3 = correct_keystrokes_3/8;
% correct_keystrokes_5 = correct_keystrokes_5/8;
% correct_keystrokes_0 = correct_keystrokes_0/8;
% correct_keystrokes_2 = correct_keystrokes_2/8;
% correct_keystrokes_N = correct_keystrokes_N/8;
% correct_keystrokes_4 = correct_keystrokes_4/8;
% 
% errors_3 = errors_3/8;
% errors_5 = errors_5/8;
% errors_0 = errors_0/8;
% errors_2 = errors_2/8;
% errors_N = errors_N/8;
% errors_4 = errors_4/8;
% 
% list_search_time_total_3 = list_search_time_total_3/8;
% list_search_time_total_5 = list_search_time_total_5/8;
% list_search_time_total_0 = list_search_time_total_0/8;
% list_search_time_total_2 = list_search_time_total_2/8;
% list_search_time_total_N = list_search_time_total_N/8;
% list_search_time_total_4 = list_search_time_total_4/8;
% 
% successful_predictions_3 = successful_predictions_3/8;
% successful_predictions_5 = successful_predictions_5/8;
% successful_predictions_0 = successful_predictions_0/8;
% successful_predictions_2 = successful_predictions_2/8;
% successful_predictions_N = successful_predictions_N/8;
% successful_predictions_4 = successful_predictions_4/8;
% 
% unsuccessful_predictions_3 = unsuccessful_predictions_3/8;
% unsuccessful_predictions_5 = unsuccessful_predictions_5/8;
% unsuccessful_predictions_0 = unsuccessful_predictions_0/8;
% unsuccessful_predictions_2 = unsuccessful_predictions_2/8;
% unsuccessful_predictions_N = unsuccessful_predictions_N/8;
% unsuccessful_predictions_4 = unsuccessful_predictions_4/8;
% 
% target_views_3 = target_views_3/8;
% target_views_5 = target_views_5/8;
% target_views_0 = target_views_0/8;
% target_views_2 = target_views_2/8;
% target_views_N = target_views_N/8;
% target_views_4 = target_views_4/8;
% 
% transcribed_views_3 = transcribed_views_3/8;
% transcribed_views_5 = transcribed_views_5/8;
% transcribed_views_0 = transcribed_views_0/8;
% transcribed_views_2 = transcribed_views_2/8;
% transcribed_views_N = transcribed_views_N/8;
% transcribed_views_4 = transcribed_views_4/8;

fid121 = fopen('anova_word_length.txt','wt');
fid122 = fopen('anova_show_hide.txt','wt');
fid123 = fopen('anova_word_trial.txt','wt');
fid124 = fopen('anova_show_trial.txt','wt');
fid125 = fopen('anova_hide_trial.txt','wt');
fid126 = fopen('anova_maxlist_trial.txt','wt');

% Writing in this form because we want the output according to excel file
% so repeating i_subjetcs loop again & again

for i_subjects = 1:4
    fprintf(fid121,'%3.3f, %3.3f, %3.3f, %3.3f\n',textrate_3_2(i_subjects),textrate_3_8(i_subjects),textrate_5_2(i_subjects),textrate_5_8(i_subjects));
    fprintf(fid122,'%3.3f, %3.3f, %3.3f, %3.3f\n',textrate_0_N(i_subjects),textrate_0_4(i_subjects),textrate_2_N(i_subjects),textrate_2_4(i_subjects));
end

for i_subjects = 1:4
    fprintf(fid121,'%3.3f, %3.3f, %3.3f, %3.3f\n',keystroke_rate_3_2(i_subjects),keystroke_rate_3_8(i_subjects),keystroke_rate_5_2(i_subjects),keystroke_rate_5_8(i_subjects));
    fprintf(fid122,'%3.3f, %3.3f, %3.3f, %3.3f\n',keystroke_rate_0_N(i_subjects),keystroke_rate_0_4(i_subjects),keystroke_rate_2_N(i_subjects),keystroke_rate_2_4(i_subjects));
end

for i_subjects = 1:4
    fprintf(fid121,'%3.3f, %3.3f, %3.3f, %3.3f\n',correct_keystrokes_3_2(i_subjects),correct_keystrokes_3_8(i_subjects),correct_keystrokes_5_2(i_subjects),correct_keystrokes_5_8(i_subjects));
    fprintf(fid122,'%3.3f, %3.3f, %3.3f, %3.3f\n',correct_keystrokes_0_N(i_subjects),correct_keystrokes_0_4(i_subjects),correct_keystrokes_2_N(i_subjects),correct_keystrokes_2_4(i_subjects));
end

for i_subjects = 1:4
    fprintf(fid121,'%3.3f, %3.3f, %3.3f, %3.3f\n',errors_3_2(i_subjects),errors_3_8(i_subjects),errors_5_2(i_subjects),errors_5_8(i_subjects));
    fprintf(fid122,'%3.3f, %3.3f, %3.3f, %3.3f\n',errors_0_N(i_subjects),errors_0_4(i_subjects),errors_2_N(i_subjects),errors_2_4(i_subjects));
end
                         
for i_subjects = 1:4
    fprintf(fid121,'%3.3f, %3.3f, %3.3f, %3.3f\n',list_search_time_total_3_2(i_subjects),list_search_time_total_3_8(i_subjects),list_search_time_total_5_2(i_subjects),list_search_time_total_5_8(i_subjects));
    fprintf(fid122,'%3.3f, %3.3f, %3.3f, %3.3f\n',list_search_time_total_0_N(i_subjects),list_search_time_total_0_4(i_subjects),list_search_time_total_2_N(i_subjects),list_search_time_total_2_4(i_subjects));
end

for i_subjects = 1:4
    fprintf(fid121,'%3.3f, %3.3f, %3.3f, %3.3f\n',successful_predictions_3_2(i_subjects),successful_predictions_3_8(i_subjects),successful_predictions_5_2(i_subjects),successful_predictions_5_8(i_subjects));
    fprintf(fid122,'%3.3f, %3.3f, %3.3f, %3.3f\n',successful_predictions_0_N(i_subjects),successful_predictions_0_4(i_subjects),successful_predictions_2_N(i_subjects),successful_predictions_2_4(i_subjects));
end

for i_subjects = 1:4
    fprintf(fid121,'%3.3f, %3.3f, %3.3f, %3.3f\n',unsuccessful_predictions_3_2(i_subjects),unsuccessful_predictions_3_8(i_subjects),unsuccessful_predictions_5_2(i_subjects),unsuccessful_predictions_5_8(i_subjects));
    fprintf(fid122,'%3.3f, %3.3f, %3.3f, %3.3f\n',unsuccessful_predictions_0_N(i_subjects),unsuccessful_predictions_0_4(i_subjects),unsuccessful_predictions_2_N(i_subjects),unsuccessful_predictions_2_4(i_subjects));
end

for i_subjects = 1:4
    fprintf(fid121,'%3.3f, %3.3f, %3.3f, %3.3f\n',target_views_3_2(i_subjects),target_views_3_8(i_subjects),target_views_5_2(i_subjects),target_views_5_8(i_subjects));
    fprintf(fid122,'%3.3f, %3.3f, %3.3f, %3.3f\n',target_views_0_N(i_subjects),target_views_0_4(i_subjects),target_views_2_N(i_subjects),target_views_2_4(i_subjects));
end

for i_subjects = 1:4
    fprintf(fid121,'%3.3f, %3.3f, %3.3f, %3.3f\n',transcribed_views_3_2(i_subjects),transcribed_views_3_8(i_subjects),transcribed_views_5_2(i_subjects),transcribed_views_5_8(i_subjects));
    fprintf(fid122,'%3.3f, %3.3f, %3.3f, %3.3f\n',transcribed_views_0_N(i_subjects),transcribed_views_0_4(i_subjects),transcribed_views_2_N(i_subjects),transcribed_views_2_4(i_subjects));
end

% Now calculating for other parts of the excel sheet
for i_subjects = 1:4
    for i_trials = 1:6
        fprintf(fid123,'%3.3f,',textrate_3(i_subjects,i_trials)/(8-textrate_3_subs(i_subjects,i_trials)));
        fprintf(fid124,'%3.3f,',textrate_0(i_subjects,i_trials)/(8-textrate_0_subs(i_subjects,i_trials)));
        fprintf(fid125,'%3.3f,',textrate_N(i_subjects,i_trials)/(8-textrate_N_subs(i_subjects,i_trials)));
        fprintf(fid126,'%3.3f,',textrate_maxlist_2(i_subjects,i_trials)/(8-textrate_maxlist_2_subs(i_subjects,i_trials)));
    end
    % I am doing this because I want suppose textrate_3 for a particular subject for all the trials & then textrate_5 for the same 
    % subject for all the trials & now in the enxt line I want for difrent subejct so I running in two different trial loops.
    for i_trials = 1:6
        fprintf(fid123,'%3.3f,',textrate_5(i_subjects,i_trials)/(8-textrate_5_subs(i_subjects,i_trials)));
        fprintf(fid124,'%3.3f,',textrate_2(i_subjects,i_trials)/(8-textrate_2_subs(i_subjects,i_trials)));
        fprintf(fid125,'%3.3f,',textrate_4(i_subjects,i_trials)/(8-textrate_4_subs(i_subjects,i_trials)));
        fprintf(fid126,'%3.3f,',textrate_maxlist_8(i_subjects,i_trials)/(8-textrate_maxlist_8_subs(i_subjects,i_trials)));
    end
    fprintf(fid123,'\n');
    fprintf(fid124,'\n');
    fprintf(fid125,'\n');
    fprintf(fid126,'\n');
end

for i_subjects = 1:4
    for i_trials = 1:6
        fprintf(fid123,'%3.3f,',keystroke_rate_3(i_subjects,i_trials)/(8-keystroke_rate_3_subs(i_subjects,i_trials)));
        fprintf(fid124,'%3.3f,',keystroke_rate_0(i_subjects,i_trials)/(8-keystroke_rate_0_subs(i_subjects,i_trials)));
        fprintf(fid125,'%3.3f,',keystroke_rate_N(i_subjects,i_trials)/(8-keystroke_rate_N_subs(i_subjects,i_trials)));
        fprintf(fid126,'%3.3f,',keystroke_rate_maxlist_2(i_subjects,i_trials)/(8-keystroke_rate_maxlist_2_subs(i_subjects,i_trials)));
    end
    for i_trials = 1:6
        fprintf(fid123,'%3.3f,',keystroke_rate_5(i_subjects,i_trials)/(8-keystroke_rate_5_subs(i_subjects,i_trials)));
        fprintf(fid124,'%3.3f,',keystroke_rate_2(i_subjects,i_trials)/(8-keystroke_rate_2_subs(i_subjects,i_trials)));
        fprintf(fid125,'%3.3f,',keystroke_rate_4(i_subjects,i_trials)/(8-keystroke_rate_4_subs(i_subjects,i_trials)));
        fprintf(fid126,'%3.3f,',keystroke_rate_maxlist_8(i_subjects,i_trials)/(8-keystroke_rate_maxlist_8_subs(i_subjects,i_trials)));
    end
    fprintf(fid123,'\n');
    fprintf(fid124,'\n');
    fprintf(fid125,'\n');
    fprintf(fid126,'\n');
end

for i_subjects = 1:4
    for i_trials = 1:6
        fprintf(fid123,'%3.3f,',correct_keystrokes_3(i_subjects,i_trials)/(8-correct_keystrokes_3_subs(i_subjects,i_trials)));
        fprintf(fid124,'%3.3f,',correct_keystrokes_0(i_subjects,i_trials)/(8-correct_keystrokes_0_subs(i_subjects,i_trials)));
        fprintf(fid125,'%3.3f,',correct_keystrokes_N(i_subjects,i_trials)/(8-correct_keystrokes_N_subs(i_subjects,i_trials)));
        fprintf(fid126,'%3.3f,',correct_keystrokes_maxlist_2(i_subjects,i_trials)/(8-correct_keystrokes_maxlist_2_subs(i_subjects,i_trials)));
    end
    for i_trials = 1:6
        fprintf(fid123,'%3.3f,',correct_keystrokes_5(i_subjects,i_trials)/(8-correct_keystrokes_5_subs(i_subjects,i_trials)));
        fprintf(fid124,'%3.3f,',correct_keystrokes_2(i_subjects,i_trials)/(8-correct_keystrokes_2_subs(i_subjects,i_trials)));
        fprintf(fid125,'%3.3f,',correct_keystrokes_4(i_subjects,i_trials)/(8-correct_keystrokes_4_subs(i_subjects,i_trials)));
        fprintf(fid126,'%3.3f,',correct_keystrokes_maxlist_8(i_subjects,i_trials)/(8-correct_keystrokes_maxlist_8_subs(i_subjects,i_trials)));
    end
    fprintf(fid123,'\n');
    fprintf(fid124,'\n');
    fprintf(fid125,'\n');
    fprintf(fid126,'\n');
end
 
for i_subjects = 1:4
    for i_trials = 1:6
        fprintf(fid123,'%3.3f,',errors_3(i_subjects,i_trials)/(8-errors_3_subs(i_subjects,i_trials)));
        fprintf(fid124,'%3.3f,',errors_0(i_subjects,i_trials)/(8-errors_0_subs(i_subjects,i_trials)));
        fprintf(fid125,'%3.3f,',errors_N(i_subjects,i_trials)/(8-errors_N_subs(i_subjects,i_trials)));
        fprintf(fid126,'%3.3f,',errors_maxlist_2(i_subjects,i_trials)/(8-errors_maxlist_2_subs(i_subjects,i_trials)));
    end
    for i_trials = 1:6
        fprintf(fid123,'%3.3f,',errors_5(i_subjects,i_trials)/(8-errors_5_subs(i_subjects,i_trials)));
        fprintf(fid124,'%3.3f,',errors_2(i_subjects,i_trials)/(8-errors_2_subs(i_subjects,i_trials)));
        fprintf(fid125,'%3.3f,',errors_4(i_subjects,i_trials)/(8-errors_4_subs(i_subjects,i_trials)));
        fprintf(fid126,'%3.3f,',errors_maxlist_8(i_subjects,i_trials)/(8-errors_maxlist_8_subs(i_subjects,i_trials)));
    end
    fprintf(fid123,'\n');
    fprintf(fid124,'\n');
    fprintf(fid125,'\n');
    fprintf(fid126,'\n');
end

for i_subjects = 1:4
    for i_trials = 1:6
        fprintf(fid123,'%3.3f,',list_search_time_total_3(i_subjects,i_trials)/(8-list_search_time_total_3_subs(i_subjects,i_trials)));
        fprintf(fid124,'%3.3f,',list_search_time_total_0(i_subjects,i_trials)/(8-list_search_time_total_0_subs(i_subjects,i_trials)));
        fprintf(fid125,'%3.3f,',list_search_time_total_N(i_subjects,i_trials)/(8-list_search_time_total_N_subs(i_subjects,i_trials)));
        fprintf(fid126,'%3.3f,',list_search_time_total_maxlist_2(i_subjects,i_trials)/(8-list_search_time_total_maxlist_2_subs(i_subjects,i_trials)));
    end
    for i_trials = 1:6
        fprintf(fid123,'%3.3f,',list_search_time_total_5(i_subjects,i_trials)/(8-list_search_time_total_5_subs(i_subjects,i_trials)));
        fprintf(fid124,'%3.3f,',list_search_time_total_2(i_subjects,i_trials)/(8-list_search_time_total_2_subs(i_subjects,i_trials)));
        fprintf(fid125,'%3.3f,',list_search_time_total_4(i_subjects,i_trials)/(8-list_search_time_total_4_subs(i_subjects,i_trials)));
        fprintf(fid126,'%3.3f,',list_search_time_total_maxlist_8(i_subjects,i_trials)/(8-list_search_time_total_maxlist_8_subs(i_subjects,i_trials)));
    end
    fprintf(fid123,'\n');
    fprintf(fid124,'\n');
    fprintf(fid125,'\n');
    fprintf(fid126,'\n');
end

for i_subjects = 1:4
    for i_trials = 1:6
        fprintf(fid123,'%3.3f,',successful_predictions_3(i_subjects,i_trials)/(8-successful_predictions_3_subs(i_subjects,i_trials)));
        fprintf(fid124,'%3.3f,',successful_predictions_0(i_subjects,i_trials)/(8-successful_predictions_0_subs(i_subjects,i_trials)));
        fprintf(fid125,'%3.3f,',successful_predictions_N(i_subjects,i_trials)/(8-successful_predictions_N_subs(i_subjects,i_trials)));
        fprintf(fid126,'%3.3f,',successful_predictions_maxlist_2(i_subjects,i_trials)/(8-successful_predictions_maxlist_2_subs(i_subjects,i_trials)));
    end
    for i_trials = 1:6
        fprintf(fid123,'%3.3f,',successful_predictions_5(i_subjects,i_trials)/(8-successful_predictions_5_subs(i_subjects,i_trials)));
        fprintf(fid124,'%3.3f,',successful_predictions_2(i_subjects,i_trials)/(8-successful_predictions_2_subs(i_subjects,i_trials)));
        fprintf(fid125,'%3.3f,',successful_predictions_4(i_subjects,i_trials)/(8-successful_predictions_4_subs(i_subjects,i_trials)));
        fprintf(fid126,'%3.3f,',successful_predictions_maxlist_8(i_subjects,i_trials)/(8-successful_predictions_maxlist_8_subs(i_subjects,i_trials)));
    end
    fprintf(fid123,'\n');
    fprintf(fid124,'\n');
    fprintf(fid125,'\n');
    fprintf(fid126,'\n');
end

for i_subjects = 1:4
    for i_trials = 1:6
        fprintf(fid123,'%3.3f,',unsuccessful_predictions_3(i_subjects,i_trials)/(8-unsuccessful_predictions_3_subs(i_subjects,i_trials)));
        fprintf(fid124,'%3.3f,',unsuccessful_predictions_0(i_subjects,i_trials)/(8-unsuccessful_predictions_0_subs(i_subjects,i_trials)));
        fprintf(fid125,'%3.3f,',unsuccessful_predictions_N(i_subjects,i_trials)/(8-unsuccessful_predictions_N_subs(i_subjects,i_trials)));
        fprintf(fid126,'%3.3f,',unsuccessful_predictions_maxlist_2(i_subjects,i_trials)/(8-unsuccessful_predictions_maxlist_2_subs(i_subjects,i_trials)));
    end
    for i_trials = 1:6
        fprintf(fid123,'%3.3f,',unsuccessful_predictions_5(i_subjects,i_trials)/(8-unsuccessful_predictions_5_subs(i_subjects,i_trials)));
        fprintf(fid124,'%3.3f,',unsuccessful_predictions_2(i_subjects,i_trials)/(8-unsuccessful_predictions_2_subs(i_subjects,i_trials)));
        fprintf(fid125,'%3.3f,',unsuccessful_predictions_4(i_subjects,i_trials)/(8-unsuccessful_predictions_4_subs(i_subjects,i_trials)));
        fprintf(fid126,'%3.3f,',unsuccessful_predictions_maxlist_8(i_subjects,i_trials)/(8-unsuccessful_predictions_maxlist_8_subs(i_subjects,i_trials)));
    end
    fprintf(fid123,'\n');
    fprintf(fid124,'\n');
    fprintf(fid125,'\n');
    fprintf(fid126,'\n');
end

for i_subjects = 1:4
    for i_trials = 1:6
        fprintf(fid123,'%3.3f,',target_views_3(i_subjects,i_trials)/(8-target_views_3_subs(i_subjects,i_trials)));
        fprintf(fid124,'%3.3f,',target_views_0(i_subjects,i_trials)/(8-target_views_0_subs(i_subjects,i_trials)));
        fprintf(fid125,'%3.3f,',target_views_N(i_subjects,i_trials)/(8-target_views_N_subs(i_subjects,i_trials)));
        fprintf(fid126,'%3.3f,',target_views_maxlist_2(i_subjects,i_trials)/(8-target_views_maxlist_2_subs(i_subjects,i_trials)));
    end
    for i_trials = 1:6
        fprintf(fid123,'%3.3f,',target_views_5(i_subjects,i_trials)/(8-target_views_5_subs(i_subjects,i_trials)));
        fprintf(fid124,'%3.3f,',target_views_2(i_subjects,i_trials)/(8-target_views_2_subs(i_subjects,i_trials)));
        fprintf(fid125,'%3.3f,',target_views_4(i_subjects,i_trials)/(8-target_views_4_subs(i_subjects,i_trials)));
        fprintf(fid126,'%3.3f,',target_views_maxlist_8(i_subjects,i_trials)/(8-target_views_maxlist_8_subs(i_subjects,i_trials)));
    end
    fprintf(fid123,'\n');
    fprintf(fid124,'\n');
    fprintf(fid125,'\n');
    fprintf(fid126,'\n');
end

for i_subjects = 1:4
    for i_trials = 1:6
        fprintf(fid123,'%3.3f,',transcribed_views_3(i_subjects,i_trials)/(8-transcribed_views_3_subs(i_subjects,i_trials)));
        fprintf(fid124,'%3.3f,',transcribed_views_0(i_subjects,i_trials)/(8-transcribed_views_0_subs(i_subjects,i_trials)));
        fprintf(fid125,'%3.3f,',transcribed_views_N(i_subjects,i_trials)/(8-transcribed_views_N_subs(i_subjects,i_trials)));
        fprintf(fid126,'%3.3f,',transcribed_views_maxlist_2(i_subjects,i_trials)/(8-transcribed_views_maxlist_2_subs(i_subjects,i_trials)));
    end
    for i_trials = 1:6
        fprintf(fid123,'%3.3f,',transcribed_views_5(i_subjects,i_trials)/(8-transcribed_views_5_subs(i_subjects,i_trials)));
        fprintf(fid124,'%3.3f,',transcribed_views_2(i_subjects,i_trials)/(8-transcribed_views_2_subs(i_subjects,i_trials)));
        fprintf(fid125,'%3.3f,',transcribed_views_4(i_subjects,i_trials)/(8-transcribed_views_4_subs(i_subjects,i_trials)));
        fprintf(fid126,'%3.3f,',transcribed_views_maxlist_8(i_subjects,i_trials)/(8-transcribed_views_maxlist_8_subs(i_subjects,i_trials)));
    end
    fprintf(fid123,'\n');
    fprintf(fid124,'\n');
    fprintf(fid125,'\n');
    fprintf(fid126,'\n');
end
        
fclose(fid121);
fclose(fid122);
fclose(fid123);
fclose(fid124);
fclose(fid125);
fclose(fid126);