% This Program, written by Abhishek Agarwal on 8/07/2005 is used for
% calculating the 1 way repeated ANOVA for different measures

%          seq 0   seq 1        & so on till seq 17
% Subjects	avg     avg  .......... 
% Ganesh		
% Amanda		
% Dhruv		
% Sharad

% P is the p-value, or the probability of observing the given result
% There are 18 columns containing average of all trials data about each sequences 

close all
clear all
clc

load anova_avg_data_by_seq.txt;              % This will load the data in matrix format
 
i_data = 1;

for i_sequence = 1:18
     i_data = 1;
       for i_subjects = 1:4
           textrate_orig(i_subjects,i_sequence) = anova_avg_data_by_seq(i_data,i_sequence);
           i_data = i_data + 4;                                                             
            
           keystroke_rate_orig(i_subjects,i_sequence) = anova_avg_data_by_seq(i_data,i_sequence);
           i_data = i_data + 4;  

           correct_keystrokes_orig(i_subjects,i_sequence) = anova_avg_data_by_seq(i_data,i_sequence);
           i_data = i_data + 4;  
           
           errors_orig(i_subjects,i_sequence) = anova_avg_data_by_seq(i_data,i_sequence);
           i_data = i_data + 4;  
           
           list_search_time_total_orig(i_subjects,i_sequence) = anova_avg_data_by_seq(i_data,i_sequence);
           i_data = i_data + 4;  
            
           list_search_time_inlist_orig(i_subjects,i_sequence) = anova_avg_data_by_seq(i_data,i_sequence);
           i_data = i_data + 4;  

           list_search_time_notinlist_orig(i_subjects,i_sequence) = anova_avg_data_by_seq(i_data,i_sequence);
           i_data = i_data + 4;  
           
           list_search_time_search_successful_orig(i_subjects,i_sequence) = anova_avg_data_by_seq(i_data,i_sequence);
           i_data = i_data + 4;  
           
           list_search_time_search_not_successful_orig(i_subjects,i_sequence) = anova_avg_data_by_seq(i_data,i_sequence);
           i_data = i_data + 4;  
           
           successful_predictions_orig(i_subjects,i_sequence) = anova_avg_data_by_seq(i_data,i_sequence);
           i_data = i_data + 4;  
            
           unsuccessful_predictions_orig(i_subjects,i_sequence) = anova_avg_data_by_seq(i_data,i_sequence);
           i_data = i_data + 4;  
           
           target_views_orig(i_subjects,i_sequence) = anova_avg_data_by_seq(i_data,i_sequence);
           i_data = i_data + 4;  

           transcribed_views_orig(i_subjects,i_sequence) = anova_avg_data_by_seq(i_data,i_sequence);
           i_data = i_data + 4;  
           
           if (i_data >= 4*12 + i_subjects)
              i_data = i_subjects+1;
           end
       end
    end
end

s1 = 1;
s2 = 2;
s3 = 3;
s4 = 4;

textrate = textrate_orig;
keystroke_rate = keystroke_rate_orig;
correct_keystrokes = correct_keystrokes_orig;
errors = errors_orig;
list_search_time_total = list_search_time_total_orig(1:3,:);% I know the 4th subject data is missing so taking only 1st 3 subjects data
list_search_time_inlist = list_search_time_inlist_orig(1:3,:);
list_search_time_notinlist = list_search_time_notinlist_orig(1:3,:);
list_search_time_search_successful = list_search_time_search_successful_orig(1:3,:);
list_search_time_search_not_successful = list_search_time_search_not_successful_orig(1:3,:);
successful_predictions = successful_predictions_orig(1:3,:);
unsuccessful_predictions = unsuccessful_predictions_orig(1:3,:);
target_view = target_views_orig(1:3,:);
transcribed_views = transcribed_views_orig(1:3,:);

for i_sequence = 1:18
   if (textrate_orig(s1,i_sequence) == 100 & textrate_orig(s2,i_sequence) ~= 100 & textrate_orig(s3,i_sequence) ~= 100 & textrate_orig(s4,i_sequence) ~= 100)
       textrate(s1,i_sequence) = (textrate_orig(s2,i_sequence) + textrate_orig(s3,i_sequence)+  textrate_orig(s4,i_sequence))/3;
   elseif (textrate_orig(s2,i_sequence) == 100 & textrate_orig(s1,i_sequence) ~= 100 & textrate_orig(s3,i_sequence) ~= 100 & textrate_orig(s4,i_sequence) ~= 100)
       textrate(s2,i_sequence) = (textrate_orig(s1,i_sequence) + textrate_orig(s3,i_sequence)+  textrate_orig(s4,i_sequence))/3;
   elseif (textrate_orig(s3,i_sequence) == 100 & textrate_orig(s2,i_sequence) ~= 100 & textrate_orig(s1,i_sequence) ~= 100 & textrate_orig(s4,i_sequence) ~= 100)
       textrate(s3,i_sequence) = (textrate(s2,i_sequence) + textrate(s1,i_sequence)+  textrate_orig(s4,i_sequence))/3;
   elseif (textrate_orig(s4,i_sequence) == 100 & textrate_orig(s2,i_sequence) ~= 100 & textrate_orig(s3,i_sequence) ~= 100 & textrate_orig(s1,i_sequence) ~= 100)
       textrate(s4,i_sequence) = (textrate_orig(s2,i_sequence) + textrate_orig(s3,i_sequence)+  textrate_orig(s1,i_sequence))/3;
   end
   
   if (keystroke_rate_orig(s1,i_sequence) == 100 & keystroke_rate_orig(s2,i_sequence) ~= 100 & keystroke_rate_orig(s3,i_sequence) ~= 100 & keystroke_rate_orig(s4,i_sequence) ~= 100)
       keystroke_rate(s1,i_sequence) = (keystroke_rate_orig(s2,i_sequence) + keystroke_rate_orig(s3,i_sequence)+  keystroke_rate_orig(s4,i_sequence))/3;
   elseif (keystroke_rate_orig(s2,i_sequence) == 100 & keystroke_rate_orig(s1,i_sequence) ~= 100 & keystroke_rate_orig(s3,i_sequence) ~= 100 & keystroke_rate_orig(s4,i_sequence) ~= 100)
       keystroke_rate(s2,i_sequence) = (keystroke_rate_orig(s1,i_sequence) + keystroke_rate_orig(s3,i_sequence)+  keystroke_rate_orig(s4,i_sequence))/3;
   elseif (keystroke_rate_orig(s3,i_sequence) == 100 & keystroke_rate_orig(s2,i_sequence) ~= 100 & keystroke_rate_orig(s1,i_sequence) ~= 100 & keystroke_rate_orig(s4,i_sequence) ~= 100)
       keystroke_rate(s3,i_sequence) = (keystroke_rate_orig(s2,i_sequence) + keystroke_rate_orig(s1,i_sequence)+  keystroke_rate_orig(s4,i_sequence))/3;
   elseif (keystroke_rate_orig(s4,i_sequence) == 100 & keystroke_rate_orig(s2,i_sequence) ~= 100 & keystroke_rate_orig(s3,i_sequence) ~= 100 & keystroke_rate_orig(s1,i_sequence) ~= 100)
       keystroke_rate(s4,i_sequence) = (keystroke_rate_orig(s2,i_sequence) + keystroke_rate_orig(s3,i_sequence)+  keystroke_rate_orig(s1,i_sequence))/3;
   end
   
   if (correct_keystrokes_orig(s1,i_sequence) == 100 & correct_keystrokes_orig(s2,i_sequence) ~= 100 & correct_keystrokes_orig(s3,i_sequence) ~= 100 & correct_keystrokes_orig(s4,i_sequence) ~= 100)
       correct_keystrokes(s1,i_sequence) = (correct_keystrokes_orig(s2,i_sequence) + correct_keystrokes_orig(s3,i_sequence)+  correct_keystrokes_orig(s4,i_sequence))/3;
   elseif (correct_keystrokes_orig(s2,i_sequence) == 100 & correct_keystrokes_orig(s1,i_sequence) ~= 100 & correct_keystrokes_orig(s3,i_sequence) ~= 100 & correct_keystrokes_orig(s4,i_sequence) ~= 100)
       correct_keystrokes(s2,i_sequence) = (correct_keystrokes_orig(s1,i_sequence) + correct_keystrokes_orig(s3,i_sequence)+  correct_keystrokes_orig(s4,i_sequence))/3;
   elseif (correct_keystrokes_orig(s3,i_sequence) == 100 & correct_keystrokes_orig(s2,i_sequence) ~= 100 & correct_keystrokes_orig(s1,i_sequence) ~= 100 & correct_keystrokes_orig(s4,i_sequence) ~= 100)
       correct_keystrokes(s3,i_sequence) = (correct_keystrokes_orig(s2,i_sequence) + correct_keystrokes_orig(s1,i_sequence)+  correct_keystrokes_orig(s4,i_sequence))/3;
   elseif (correct_keystrokes_orig(s4,i_sequence) == 100 & correct_keystrokes_orig(s2,i_sequence) ~= 100 & correct_keystrokes_orig(s3,i_sequence) ~= 100 & correct_keystrokes_orig(s1,i_sequence) ~= 100)
       correct_keystrokes(s4,i_sequence) = (correct_keystrokes_orig(s2,i_sequence) + correct_keystrokes_orig(s3,i_sequence)+  correct_keystrokes_orig(s1,i_sequence))/3;
   end
   
   if (errors_orig(s1,i_sequence) == 100 & errors_orig(s2,i_sequence) ~= 100 & errors_orig(s3,i_sequence) ~= 100 & errors_orig(s4,i_sequence) ~= 100)
       errors(s1,i_sequence) = (errors_orig(s2,i_sequence) + errors_orig(s3,i_sequence)+  errors_orig(s4,i_sequence))/3;
   elseif (errors_orig(s2,i_sequence) == 100 & errors_orig(s1,i_sequence) ~= 100 & errors_orig(s3,i_sequence) ~= 100 & errors_orig(s4,i_sequence) ~= 100)
       errors(s2,i_sequence) = (errors_orig(s1,i_sequence) + errors_orig(s3,i_sequence)+  errors_orig(s4,i_sequence))/3;
   elseif (errors_orig(s3,i_sequence) == 100 & errors_orig(s2,i_sequence) ~= 100 & errors_orig(s1,i_sequence) ~= 100 & errors_orig(s4,i_sequence) ~= 100)
       errors(s3,i_sequence) = (errors_orig(s2,i_sequence) + errors_orig(s1,i_sequence)+  errors_orig(s4,i_sequence))/3;
   elseif (errors_orig(s4,i_sequence) == 100 & errors_orig(s2,i_sequence) ~= 100 & errors_orig(s3,i_sequence) ~= 100 & errors_orig(s1,i_sequence) ~= 100)
       errors(s4,i_sequence) = (errors_orig(s2,i_sequence) + errors_orig(s3,i_sequence)+  errors_orig(s1,i_sequence))/3;
   end
   
   if (list_search_time_total_orig(s1,i_sequence) == 100 & list_search_time_total_orig(s2,i_sequence) ~= 100 & list_search_time_total_orig(s3,i_sequence) ~= 100)
       list_search_time_total(s1,i_sequence) = (list_search_time_total_orig(s2,i_sequence) + list_search_time_total_orig(s3,i_sequence))/2;
   elseif (list_search_time_total_orig(s2,i_sequence) == 100 & list_search_time_total_orig(s1,i_sequence) ~= 100 & list_search_time_total_orig(s3,i_sequence) ~= 100)
       list_search_time_total(s2,i_sequence) = (list_search_time_total_orig(s1,i_sequence) + list_search_time_total_orig(s3,i_sequence))/2;
   elseif (list_search_time_total_orig(s3,i_sequence) == 100 & list_search_time_total_orig(s2,i_sequence) ~= 100 & list_search_time_total_orig(s1,i_sequence) ~= 100)
       list_search_time_total(s3,i_sequence) = (list_search_time_total_orig(s2,i_sequence) + list_search_time_total_orig(s1,i_sequence))/2;
   end
   
    if (list_search_time_inlist_orig(s1,i_sequence) == 100 & list_search_time_inlist_orig(s2,i_sequence) ~= 100 & list_search_time_inlist_orig(s3,i_sequence) ~= 100)
       list_search_time_inlist(s1,i_sequence) = (list_search_time_inlist_orig(s2,i_sequence) + list_search_time_inlist_orig(s3,i_sequence))/2;
   elseif (list_search_time_inlist_orig(s2,i_sequence) == 100 & list_search_time_inlist_orig(s1,i_sequence) ~= 100 & list_search_time_inlist_orig(s3,i_sequence) ~= 100)
       list_search_time_inlist(s2,i_sequence) = (list_search_time_inlist_orig(s1,i_sequence) + list_search_time_inlist_orig(s3,i_sequence))/2;
   elseif (list_search_time_inlist_orig(s3,i_sequence) == 100 & list_search_time_inlist_orig(s2,i_sequence) ~= 100 & list_search_time_inlist_orig(s1,i_sequence) ~= 100)
       list_search_time_inlist(s3,i_sequence) = (list_search_time_inlist_orig(s2,i_sequence) + list_search_time_inlist_orig(s1,i_sequence))/2;
   end
   
    if (list_search_time_notinlist_orig(s1,i_sequence) == 100 & list_search_time_notinlist_orig(s2,i_sequence) ~= 100 & list_search_time_notinlist_orig(s3,i_sequence) ~= 100)
       list_search_time_notinlist(s1,i_sequence) = (list_search_time_notinlist_orig(s2,i_sequence) + list_search_time_notinlist_orig(s3,i_sequence))/2;
   elseif (list_search_time_notinlist_orig(s2,i_sequence) == 100 & list_search_time_notinlist_orig(s1,i_sequence) ~= 100 & list_search_time_notinlist_orig(s3,i_sequence) ~= 100)
       list_search_time_notinlist(s2,i_sequence) = (list_search_time_notinlist_orig(s1,i_sequence) + list_search_time_notinlist_orig(s3,i_sequence))/2;
   elseif (list_search_time_notinlist_orig(s3,i_sequence) == 100 & list_search_time_notinlist_orig(s2,i_sequence) ~= 100 & list_search_time_notinlist_orig(s1,i_sequence) ~= 100)
       list_search_time_notinlist(s3,i_sequence) = (list_search_time_notinlist_orig(s2,i_sequence) + list_search_time_notinlist_orig(s1,i_sequence))/2;
   end
   
    if (list_search_time_search_successful_orig(s1,i_sequence) == 100 & list_search_time_search_successful_orig(s2,i_sequence) ~= 100 & list_search_time_search_successful_orig(s3,i_sequence) ~= 100)
       list_search_time_search_successful(s1,i_sequence) = (list_search_time_search_successful_orig(s2,i_sequence) + list_search_time_search_successful_orig(s3,i_sequence))/2;
   elseif (list_search_time_search_successful_orig(s2,i_sequence) == 100 & list_search_time_search_successful_orig(s1,i_sequence) ~= 100 & list_search_time_search_successful_orig(s3,i_sequence) ~= 100)
       list_search_time_search_successful(s2,i_sequence) = (list_search_time_search_successful_orig(s1,i_sequence) + list_search_time_search_successful_orig(s3,i_sequence))/2;
   elseif (list_search_time_search_successful_orig(s3,i_sequence) == 100 & list_search_time_search_successful_orig(s2,i_sequence) ~= 100 & list_search_time_search_successful_orig(s1,i_sequence) ~= 100)
       list_search_time_search_successful(s3,i_sequence) = (list_search_time_search_successful_orig(s2,i_sequence) + list_search_time_search_successful_orig(s1,i_sequence))/2;
   end
   
   if (list_search_time_search_not_successful_orig(s1,i_sequence) == 100 & list_search_time_search_not_successful_orig(s2,i_sequence) ~= 100 & list_search_time_search_not_successful_orig(s3,i_sequence) ~= 100)
       list_search_time_search_not_successful(s1,i_sequence) = (list_search_time_search_not_successful_orig(s2,i_sequence) + list_search_time_search_not_successful_orig(s3,i_sequence))/2;
   elseif (list_search_time_search_not_successful_orig(s2,i_sequence) == 100 & list_search_time_search_not_successful_orig(s1,i_sequence) ~= 100 & list_search_time_search_not_successful_orig(s3,i_sequence) ~= 100)
       list_search_time_search_not_successful(s2,i_sequence) = (list_search_time_search_not_successful_orig(s1,i_sequence) + list_search_time_search_not_successful_orig(s3,i_sequence))/2;
   elseif (list_search_time_search_not_successful_orig(s3,i_sequence) == 100 & list_search_time_search_not_successful_orig(s2,i_sequence) ~= 100 & list_search_time_search_not_successful_orig(s1,i_sequence) ~= 100)
       list_search_time_search_not_successful(s3,i_sequence) = (list_search_time_search_not_successful_orig(s2,i_sequence) + list_search_time_search_not_successful(s1,i_sequence))/2;
   end
   
   if (successful_predictions_orig(s1,i_sequence) == 100 & successful_predictions_orig(s2,i_sequence) ~= 100 & successful_predictions_orig(s3,i_sequence) ~= 100)
       successful_predictions(s1,i_sequence) = (successful_predictions_orig(s2,i_sequence) + successful_predictions_orig(s3,i_sequence))/2;
   elseif (successful_predictions_orig(s2,i_sequence) == 100 & successful_predictions_orig(s1,i_sequence) ~= 100 & successful_predictions_orig(s3,i_sequence) ~= 100)
       successful_predictions(s2,i_sequence) = (successful_predictions_orig(s1,i_sequence) + successful_predictions_orig(s3,i_sequence))/2;
   elseif (successful_predictions_orig(s3,i_sequence) == 100 & successful_predictions_orig(s2,i_sequence) ~= 100 & successful_predictions_orig(s1,i_sequence) ~= 100)
       successful_predictions(s3,i_sequence) = (successful_predictions_orig(s2,i_sequence) + successful_predictions_orig(s1,i_sequence))/2;
   end
   
   if (unsuccessful_predictions_orig(s1,i_sequence) == 100 & unsuccessful_predictions_orig(s2,i_sequence) ~= 100 & unsuccessful_predictions_orig(s3,i_sequence) ~= 100)
       unsuccessful_predictions(s1,i_sequence) = (unsuccessful_predictions_orig(s2,i_sequence) + unsuccessful_predictions_orig(s3,i_sequence))/2;
   elseif (unsuccessful_predictions_orig(s2,i_sequence) == 100 & unsuccessful_predictions_orig(s1,i_sequence) ~= 100 & unsuccessful_predictions_orig(s3,i_sequence) ~= 100)
       unsuccessful_predictions(s2,i_sequence) = (unsuccessful_predictions_orig(s1,i_sequence) + unsuccessful_predictions_orig(s3,i_sequence))/2;
   elseif (unsuccessful_predictions_orig(s3,i_sequence) == 100 & unsuccessful_predictions_orig(s2,i_sequence) ~= 100 & unsuccessful_predictions_orig(s1,i_sequence) ~= 100)
       unsuccessful_predictions(s3,i_sequence) = (unsuccessful_predictions_orig(s2,i_sequence) + unsuccessful_predictions_orig(s1,i_sequence))/2;
   end
   
    if (target_views_orig(s1,i_sequence) == 100 & target_views_orig(s2,i_sequence) ~= 100 & target_views_orig(s3,i_sequence) ~= 100)
       target_views(s1,i_sequence) = (target_views_orig(s2,i_sequence) + target_views_orig(s3,i_sequence))/2;
   elseif (target_views_orig(s2,i_sequence) == 100 & target_views_orig(s1,i_sequence) ~= 100 & target_views_orig(s3,i_sequence) ~= 100)
       target_views(s2,i_sequence) = (target_views_orig(s1,i_sequence) + target_views_orig(s3,i_sequence))/2;
   elseif (target_views_orig(s3,i_sequence) == 100 & target_views_orig(s2,i_sequence) ~= 100 & target_views_orig(s1,i_sequence) ~= 100)
       target_views(s3,i_sequence) = (target_views_orig(s2,i_sequence) + target_views_orig(s1,i_sequence))/2;
   end
   
    if (transcribed_views_orig(s1,i_sequence) == 100 & transcribed_views_orig(s2,i_sequence) ~= 100 & transcribed_views_orig(s3,i_sequence) ~= 100)
       transcribed_views(s1,i_sequence) = (transcribed_views_orig(s2,i_sequence) + transcribed_views_orig(s3,i_sequence))/2;
   elseif (transcribed_views_orig(s2,i_sequence) == 100 & transcribed_views_orig(s1,i_sequence) ~= 100 & transcribed_views_orig(s3,i_sequence) ~= 100)
       transcribed_views(s2,i_sequence) = (transcribed_views_orig(s1,i_sequence) + transcribed_views_orig(s3,i_sequence))/2;
   elseif (transcribed_views_orig(s3,i_sequence) == 100 & transcribed_views_orig(s2,i_sequence) ~= 100 & transcribed_views_orig(s1,i_sequence) ~= 100)
       transcribed_views(s3,i_sequence) = (transcribed_views_orig(s2,i_sequence) + transcribed_views_orig(s1,i_sequence))/2;
   end
   
end

% As we see that for eye related events we have no daat for subject number
% so we will neglect subject num 4 completely from the statistical
% analysis for these measures

fid107 = fopen('anova_result_by_sequence.txt','wt');
fprintf(fid107,'1-way repeated ANOVA with data from average of all trials for each sequence\n\n');

n = 4;                          % subjects
k = 18;                         % sequences
N = n*k;                        % scores = sequences * subjects

% degree of freedoms 

df_total = N - 1;
df_bet_seqs = k - 1;
df_within_seqs = df_total - df_bet_seqs;
df_bet_subjects = n - 1;
df_error = (n - 1)*(k - 1);

% Textrate

textrate_sum_of_squared_seq = 0;
for i_sequences = 1:18
    textrate_all_subjects_seq(i_sequences) = sum(textrate(:,i_sequences));
    textrate_sum_of_squared_seq = textrate_sum_of_squared_seq + textrate_all_subjects_seq(i_sequences)*textrate_all_subjects_seq(i_sequences);
end

textrate_sum_of_squared_subjects = 0;
for i_subjects = 1:4
    textrate_all_seq_subject(i_subjects) = sum(textrate(i_subjects,:));
    textrate_sum_of_squared_subjects = textrate_sum_of_squared_subjects + textrate_all_seq_subject(i_subjects)*textrate_all_seq_subject(i_subjects);
end

textrate_overall_total = sum(textrate_all_seq_subject);

textrate_overall_squared = textrate_overall_total*textrate_overall_total;

textrate_overall_sum_of_squared = 0;
for i_sequences = 1:18 
    for i_subjects = 1:4
        textrate_overall_sum_of_squared = textrate_overall_sum_of_squared + textrate(i_subjects,i_sequences)*textrate(i_subjects,i_sequences);
    end
end

% sum of squares

SS_total_textrate = textrate_overall_sum_of_squared - (textrate_overall_squared/N);
SS_bet_seqs_textrate = textrate_sum_of_squared_seq/n - (textrate_overall_squared/N);

SS_within_seqs_textrate = SS_total_textrate - SS_bet_seqs_textrate;
SS_bet_subjects_textrate = textrate_sum_of_squared_subjects/k - (textrate_overall_squared/N);

SS_error_textrate = SS_within_seqs_textrate - SS_bet_subjects_textrate;

% mean of squares

MS_bet_seqs_textrate = SS_bet_seqs_textrate/df_bet_seqs;
MS_error_textrate = SS_error_textrate/df_error;

F_textrate = MS_bet_seqs_textrate/MS_error_textrate;

% Display in Tabular form

fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'Textrate           | Degrees of freedom | sum of squares | mean squares |  Variance(F) |  Probability |\n');
fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'Between sequences |     %3.3f         |       %3.3f |    %3.2f    |    %3.3f     |              | \n',df_bet_seqs,SS_bet_seqs_textrate,MS_bet_seqs_textrate,F_textrate);
fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'Within sequences  |     %3.3f         |      %3.3f |              |              |              |   \n',df_within_seqs,SS_within_seqs_textrate);
fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'Between subjects   |     %3.3f          |       %3.3f |              |              |              |\n',df_bet_subjects,SS_bet_subjects_textrate);
fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'Error              |     %3.3f         |      %3.3f |    %3.3f   |              |              |\n',df_error,SS_error_textrate,MS_error_textrate);
fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'\n\n\n');

% keystroke_rate

keystroke_rate_sum_of_squared_seq = 0;
for i_sequences = 1:18
    keystroke_rate_all_subjects_seq(i_sequences) = sum(keystroke_rate(:,i_sequences));
    keystroke_rate_sum_of_squared_seq = keystroke_rate_sum_of_squared_seq + keystroke_rate_all_subjects_seq(i_sequences)*keystroke_rate_all_subjects_seq(i_sequences);
end

keystroke_rate_sum_of_squared_subjects = 0;
for i_subjects = 1:4
    keystroke_rate_all_seq_subject(i_subjects) = sum(keystroke_rate(i_subjects,:));
    keystroke_rate_sum_of_squared_subjects = keystroke_rate_sum_of_squared_subjects + keystroke_rate_all_seq_subject(i_subjects)*keystroke_rate_all_seq_subject(i_subjects);
end

keystroke_rate_overall_total = sum(keystroke_rate_all_seq_subject);

keystroke_rate_overall_squared = keystroke_rate_overall_total*keystroke_rate_overall_total;

keystroke_rate_overall_sum_of_squared = 0;
for i_sequences = 1:18 
    for i_subjects = 1:4
        keystroke_rate_overall_sum_of_squared = keystroke_rate_overall_sum_of_squared + keystroke_rate(i_subjects,i_sequences)*keystroke_rate(i_subjects,i_sequences);
    end
end

% sum of squares

SS_total_keystroke_rate = keystroke_rate_overall_sum_of_squared - (keystroke_rate_overall_squared/N);
SS_bet_seqs_keystroke_rate = keystroke_rate_sum_of_squared_seq/n - (keystroke_rate_overall_squared/N);

SS_within_seqs_keystroke_rate = SS_total_keystroke_rate - SS_bet_seqs_keystroke_rate;
SS_bet_subjects_keystroke_rate = keystroke_rate_sum_of_squared_subjects/k - (keystroke_rate_overall_squared/N);

SS_error_keystroke_rate = SS_within_seqs_keystroke_rate - SS_bet_subjects_keystroke_rate;

% mean of squares

MS_bet_seqs_keystroke_rate = SS_bet_seqs_keystroke_rate/df_bet_seqs;
MS_error_keystroke_rate = SS_error_keystroke_rate/df_error;

F_keystroke_rate = MS_bet_seqs_keystroke_rate/MS_error_keystroke_rate;

% Display in Tabular form

fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'keystroke_rate     | Degrees of freedom | sum of squares | mean squares |  Variance(F) |  Probability |\n');
fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'Between sequences |     %3.3f         |       %3.3f |    %3.2f    |    %3.3f     |              | \n',df_bet_seqs,SS_bet_seqs_keystroke_rate,MS_bet_seqs_keystroke_rate,F_keystroke_rate);
fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'Within sequences  |     %3.3f         |      %3.3f |              |              |              |   \n',df_within_seqs,SS_within_seqs_keystroke_rate);
fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'Between subjects   |     %3.3f          |       %3.3f |              |              |              |\n',df_bet_subjects,SS_bet_subjects_keystroke_rate);
fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'Error              |     %3.3f         |      %3.3f |    %3.3f   |              |              |\n',df_error,SS_error_keystroke_rate,MS_error_keystroke_rate);
fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'\n\n\n');

% correct_keystrokes

correct_keystrokes_sum_of_squared_seq = 0;
for i_sequences = 1:18
    correct_keystrokes_all_subjects_seq(i_sequences) = sum(correct_keystrokes(:,i_sequences));
    correct_keystrokes_sum_of_squared_seq = correct_keystrokes_sum_of_squared_seq + correct_keystrokes_all_subjects_seq(i_sequences)*correct_keystrokes_all_subjects_seq(i_sequences);
end

correct_keystrokes_sum_of_squared_subjects = 0;
for i_subjects = 1:4
    correct_keystrokes_all_seq_subject(i_subjects) = sum(correct_keystrokes(i_subjects,:));
    correct_keystrokes_sum_of_squared_subjects = correct_keystrokes_sum_of_squared_subjects + correct_keystrokes_all_seq_subject(i_subjects)*correct_keystrokes_all_seq_subject(i_subjects);
end

correct_keystrokes_overall_total = sum(correct_keystrokes_all_seq_subject);

correct_keystrokes_overall_squared = correct_keystrokes_overall_total*correct_keystrokes_overall_total;

correct_keystrokes_overall_sum_of_squared = 0;
for i_sequences = 1:18 
    for i_subjects = 1:4
        correct_keystrokes_overall_sum_of_squared = correct_keystrokes_overall_sum_of_squared + correct_keystrokes(i_subjects,i_sequences)*correct_keystrokes(i_subjects,i_sequences);
    end
end

% sum of squares

SS_total_correct_keystrokes = correct_keystrokes_overall_sum_of_squared - (correct_keystrokes_overall_squared/N);
SS_bet_seqs_correct_keystrokes = correct_keystrokes_sum_of_squared_seq/n - (correct_keystrokes_overall_squared/N);

SS_within_seqs_correct_keystrokes = SS_total_correct_keystrokes - SS_bet_seqs_correct_keystrokes;
SS_bet_subjects_correct_keystrokes = correct_keystrokes_sum_of_squared_subjects/k - (correct_keystrokes_overall_squared/N);

SS_error_correct_keystrokes = SS_within_seqs_correct_keystrokes - SS_bet_subjects_correct_keystrokes;

% mean of squares

MS_bet_seqs_correct_keystrokes = SS_bet_seqs_correct_keystrokes/df_bet_seqs;
MS_error_correct_keystrokes = SS_error_correct_keystrokes/df_error;

F_correct_keystrokes = MS_bet_seqs_correct_keystrokes/MS_error_correct_keystrokes;

% Display in Tabular form

fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'correct_keystrokes | Degrees of freedom | sum of squares | mean squares |  Variance(F) |  Probability |\n');
fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'Between sequences |     %3.3f         |       %3.3f |    %3.2f    |    %3.3f     |              | \n',df_bet_seqs,SS_bet_seqs_correct_keystrokes,MS_bet_seqs_correct_keystrokes,F_correct_keystrokes);
fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'Within sequences  |     %3.3f         |      %3.3f |              |              |              |   \n',df_within_seqs,SS_within_seqs_correct_keystrokes);
fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'Between subjects   |     %3.3f          |       %3.3f |              |              |              |\n',df_bet_subjects,SS_bet_subjects_correct_keystrokes);
fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'Error              |     %3.3f         |      %3.3f |    %3.3f   |              |              |\n',df_error,SS_error_correct_keystrokes,MS_error_correct_keystrokes);
fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'\n\n\n');

% errors

errors_sum_of_squared_seq = 0;
for i_sequences = 1:18
    errors_all_subjects_seq(i_sequences) = sum(errors(:,i_sequences));
    errors_sum_of_squared_seq = errors_sum_of_squared_seq + errors_all_subjects_seq(i_sequences)*errors_all_subjects_seq(i_sequences);
end

errors_sum_of_squared_subjects = 0;
for i_subjects = 1:4
    errors_all_seq_subject(i_subjects) = sum(errors(i_subjects,:));
    errors_sum_of_squared_subjects = errors_sum_of_squared_subjects + errors_all_seq_subject(i_subjects)*errors_all_seq_subject(i_subjects);
end

errors_overall_total = sum(errors_all_seq_subject);

errors_overall_squared = errors_overall_total*errors_overall_total;

errors_overall_sum_of_squared = 0;
for i_sequences = 1:18 
    for i_subjects = 1:4
        errors_overall_sum_of_squared = errors_overall_sum_of_squared + errors(i_subjects,i_sequences)*errors(i_subjects,i_sequences);
    end
end

% sum of squares

SS_total_errors = errors_overall_sum_of_squared - (errors_overall_squared/N);
SS_bet_seqs_errors = errors_sum_of_squared_seq/n - (errors_overall_squared/N);

SS_within_seqs_errors = SS_total_errors - SS_bet_seqs_errors;
SS_bet_subjects_errors = errors_sum_of_squared_subjects/k - (errors_overall_squared/N);

SS_error_errors = SS_within_seqs_errors - SS_bet_subjects_errors;

% mean of squares

MS_bet_seqs_errors = SS_bet_seqs_errors/df_bet_seqs;
MS_error_errors = SS_error_errors/df_error;

F_errors = MS_bet_seqs_errors/MS_error_errors;

% Display in Tabular form

fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'errors             | Degrees of freedom | sum of squares | mean squares |  Variance(F) |  Probability |\n');
fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'Between sequences |     %3.3f         |       %3.3f |    %3.2f    |    %3.3f     |              | \n',df_bet_seqs,SS_bet_seqs_errors,MS_bet_seqs_errors,F_errors);
fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'Within sequences  |     %3.3f         |      %3.3f |              |              |              |   \n',df_within_seqs,SS_within_seqs_errors);
fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'Between subjects   |     %3.3f          |       %3.3f |              |              |              |\n',df_bet_subjects,SS_bet_subjects_errors);
fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'Error              |     %3.3f         |      %3.3f |    %3.3f   |              |              |\n',df_error,SS_error_errors,MS_error_errors);
fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'\n\n\n');

% list_search_time_total

list_search_time_total_sum_of_squared_seq = 0;
for i_sequences = 1:18
    list_search_time_total_all_subjects_seq(i_sequences) = sum(list_search_time_total(:,i_sequences));
    list_search_time_total_sum_of_squared_seq = list_search_time_total_sum_of_squared_seq + list_search_time_total_all_subjects_seq(i_sequences)*list_search_time_total_all_subjects_seq(i_sequences);
end

list_search_time_total_sum_of_squared_subjects = 0;
for i_subjects = 1:3
    list_search_time_total_all_seq_subject(i_subjects) = sum(list_search_time_total(i_subjects,:));
    list_search_time_total_sum_of_squared_subjects = list_search_time_total_sum_of_squared_subjects + list_search_time_total_all_seq_subject(i_subjects)*list_search_time_total_all_seq_subject(i_subjects);
end

list_search_time_total_overall_total = sum(list_search_time_total_all_seq_subject);

list_search_time_total_overall_squared = list_search_time_total_overall_total*list_search_time_total_overall_total;

list_search_time_total_overall_sum_of_squared = 0;
for i_sequences = 1:18 
    for i_subjects = 1:3
        list_search_time_total_overall_sum_of_squared = list_search_time_total_overall_sum_of_squared + list_search_time_total(i_subjects,i_sequences)*list_search_time_total(i_subjects,i_sequences);
    end
end

% sum of squares

SS_total_list_search_time_total = list_search_time_total_overall_sum_of_squared - (list_search_time_total_overall_squared/N);
SS_bet_seqs_list_search_time_total = list_search_time_total_sum_of_squared_seq/n - (list_search_time_total_overall_squared/N);

SS_within_seqs_list_search_time_total = SS_total_list_search_time_total - SS_bet_seqs_list_search_time_total;
SS_bet_subjects_list_search_time_total = list_search_time_total_sum_of_squared_subjects/k - (list_search_time_total_overall_squared/N);

SS_error_list_search_time_total = SS_within_seqs_list_search_time_total - SS_bet_subjects_list_search_time_total;

% mean of squares

MS_bet_seqs_list_search_time_total = SS_bet_seqs_list_search_time_total/df_bet_seqs;
MS_error_list_search_time_total = SS_error_list_search_time_total/df_error;

F_list_search_time_total = MS_bet_seqs_list_search_time_total/MS_error_list_search_time_total;

% Display in Tabular form

fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'list_search_time_  | Degrees of freedom | sum of squares | mean squares |  Variance(F) |  Probability |\n');
fprintf(fid107,'total              |                    |                |              |              |              |\n');      
fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'Between sequences |     %3.3f         |       %3.3f |    %3.2f    |    %3.3f     |              | \n',df_bet_seqs,SS_bet_seqs_list_search_time_total,MS_bet_seqs_list_search_time_total,F_list_search_time_total);
fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'Within sequences  |     %3.3f         |     %3.3f |              |              |              |   \n',df_within_seqs,SS_within_seqs_list_search_time_total);
fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'Between subjects   |     %3.3f          |     %3.3f |              |              |              |\n',df_bet_subjects,SS_bet_subjects_list_search_time_total);
fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'Error              |     %3.3f         |      %3.3f |    %3.3f   |              |              |\n',df_error,SS_error_list_search_time_total,MS_error_list_search_time_total);
fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'\n\n\n');

% list_search_time_inlist

list_search_time_inlist_sum_of_squared_seq = 0;
for i_sequences = 1:18
    list_search_time_inlist_all_subjects_seq(i_sequences) = sum(list_search_time_inlist(:,i_sequences));
    list_search_time_inlist_sum_of_squared_seq = list_search_time_inlist_sum_of_squared_seq + list_search_time_inlist_all_subjects_seq(i_sequences)*list_search_time_inlist_all_subjects_seq(i_sequences);
end

list_search_time_inlist_sum_of_squared_subjects = 0;
for i_subjects = 1:3
    list_search_time_inlist_all_seq_subject(i_subjects) = sum(list_search_time_inlist(i_subjects,:));
    list_search_time_inlist_sum_of_squared_subjects = list_search_time_inlist_sum_of_squared_subjects + list_search_time_inlist_all_seq_subject(i_subjects)*list_search_time_inlist_all_seq_subject(i_subjects);
end

list_search_time_inlist_overall_total = sum(list_search_time_inlist_all_seq_subject);

list_search_time_inlist_overall_squared = list_search_time_inlist_overall_total*list_search_time_inlist_overall_total;

list_search_time_inlist_overall_sum_of_squared = 0;
for i_sequences = 1:18 
    for i_subjects = 1:3
        list_search_time_inlist_overall_sum_of_squared = list_search_time_inlist_overall_sum_of_squared + list_search_time_inlist(i_subjects,i_sequences)*list_search_time_inlist(i_subjects,i_sequences);
    end
end

% sum of squares

SS_total_list_search_time_inlist = list_search_time_inlist_overall_sum_of_squared - (list_search_time_inlist_overall_squared/N);
SS_bet_seqs_list_search_time_inlist = list_search_time_inlist_sum_of_squared_seq/n - (list_search_time_inlist_overall_squared/N);

SS_within_seqs_list_search_time_inlist = SS_total_list_search_time_inlist - SS_bet_seqs_list_search_time_inlist;
SS_bet_subjects_list_search_time_inlist = list_search_time_inlist_sum_of_squared_subjects/k - (list_search_time_inlist_overall_squared/N);

SS_error_list_search_time_inlist = SS_within_seqs_list_search_time_inlist - SS_bet_subjects_list_search_time_inlist;

% mean of squares

MS_bet_seqs_list_search_time_inlist = SS_bet_seqs_list_search_time_inlist/df_bet_seqs;
MS_error_list_search_time_inlist = SS_error_list_search_time_inlist/df_error;

F_list_search_time_inlist = MS_bet_seqs_list_search_time_inlist/MS_error_list_search_time_inlist;

% Display in Tabular form

fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'list_search_time_  | Degrees of freedom | sum of squares | mean squares |  Variance(F) |  Probability |\n');
fprintf(fid107,'inlist             |                    |                |              |              |              |\n');      
fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'Between sequences |     %3.3f         |       %3.3f |    %3.2f    |    %3.3f     |              | \n',df_bet_seqs,SS_bet_seqs_list_search_time_inlist,MS_bet_seqs_list_search_time_inlist,F_list_search_time_inlist);
fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'Within sequences  |     %3.3f         |     %3.3f |              |              |              |   \n',df_within_seqs,SS_within_seqs_list_search_time_inlist);
fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'Between subjects   |     %3.3f          |     %3.3f |              |              |              |\n',df_bet_subjects,SS_bet_subjects_list_search_time_inlist);
fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'Error              |     %3.3f         |      %3.3f |    %3.3f   |              |              |\n',df_error,SS_error_list_search_time_inlist,MS_error_list_search_time_inlist);
fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'\n\n\n');

% list_search_time_notinlist

list_search_time_notinlist_sum_of_squared_seq = 0;
for i_sequences = 1:18
    list_search_time_notinlist_all_subjects_seq(i_sequences) = sum(list_search_time_notinlist(:,i_sequences));
    list_search_time_notinlist_sum_of_squared_seq = list_search_time_notinlist_sum_of_squared_seq + list_search_time_notinlist_all_subjects_seq(i_sequences)*list_search_time_notinlist_all_subjects_seq(i_sequences);
end

list_search_time_notinlist_sum_of_squared_subjects = 0;
for i_subjects = 1:3
    list_search_time_notinlist_all_seq_subject(i_subjects) = sum(list_search_time_notinlist(i_subjects,:));
    list_search_time_notinlist_sum_of_squared_subjects = list_search_time_notinlist_sum_of_squared_subjects + list_search_time_notinlist_all_seq_subject(i_subjects)*list_search_time_notinlist_all_seq_subject(i_subjects);
end

list_search_time_notinlist_overall_total = sum(list_search_time_notinlist_all_seq_subject);

list_search_time_notinlist_overall_squared = list_search_time_notinlist_overall_total*list_search_time_notinlist_overall_total;

list_search_time_notinlist_overall_sum_of_squared = 0;
for i_sequences = 1:18 
    for i_subjects = 1:3
        list_search_time_notinlist_overall_sum_of_squared = list_search_time_notinlist_overall_sum_of_squared + list_search_time_notinlist(i_subjects,i_sequences)*list_search_time_notinlist(i_subjects,i_sequences);
    end
end

% sum of squares

SS_total_list_search_time_notinlist = list_search_time_notinlist_overall_sum_of_squared - (list_search_time_notinlist_overall_squared/N);
SS_bet_seqs_list_search_time_notinlist = list_search_time_notinlist_sum_of_squared_seq/n - (list_search_time_notinlist_overall_squared/N);

SS_within_seqs_list_search_time_notinlist = SS_total_list_search_time_notinlist - SS_bet_seqs_list_search_time_notinlist;
SS_bet_subjects_list_search_time_notinlist = list_search_time_notinlist_sum_of_squared_subjects/k - (list_search_time_notinlist_overall_squared/N);

SS_error_list_search_time_notinlist = SS_within_seqs_list_search_time_notinlist - SS_bet_subjects_list_search_time_notinlist;

% mean of squares

MS_bet_seqs_list_search_time_notinlist = SS_bet_seqs_list_search_time_notinlist/df_bet_seqs;
MS_error_list_search_time_notinlist = SS_error_list_search_time_notinlist/df_error;

F_list_search_time_notinlist = MS_bet_seqs_list_search_time_notinlist/MS_error_list_search_time_notinlist;

% Display in Tabular form

fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'list_search_time_  | Degrees of freedom | sum of squares | mean squares |  Variance(F) |  Probability |\n');
fprintf(fid107,'notinlist          |                    |                |              |              |              |\n');      
fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'Between sequences |     %3.3f         |       %3.3f |    %3.2f    |    %3.3f     |              | \n',df_bet_seqs,SS_bet_seqs_list_search_time_notinlist,MS_bet_seqs_list_search_time_notinlist,F_list_search_time_notinlist);
fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'Within sequences  |     %3.3f         |     %3.3f |              |              |              |   \n',df_within_seqs,SS_within_seqs_list_search_time_notinlist);
fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'Between subjects   |     %3.3f          |     %3.3f |              |              |              |\n',df_bet_subjects,SS_bet_subjects_list_search_time_notinlist);
fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'Error              |     %3.3f         |      %3.3f |    %3.3f   |              |              |\n',df_error,SS_error_list_search_time_notinlist,MS_error_list_search_time_notinlist);
fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'\n\n\n');

% list_search_time_search_successful

list_search_time_search_successful_sum_of_squared_seq = 0;
for i_sequences = 1:18
    list_search_time_search_successful_all_subjects_seq(i_sequences) = sum(list_search_time_search_successful(:,i_sequences));
    list_search_time_search_successful_sum_of_squared_seq = list_search_time_search_successful_sum_of_squared_seq + list_search_time_search_successful_all_subjects_seq(i_sequences)*list_search_time_search_successful_all_subjects_seq(i_sequences);
end

list_search_time_search_successful_sum_of_squared_subjects = 0;
for i_subjects = 1:3
    list_search_time_search_successful_all_seq_subject(i_subjects) = sum(list_search_time_search_successful(i_subjects,:));
    list_search_time_search_successful_sum_of_squared_subjects = list_search_time_search_successful_sum_of_squared_subjects + list_search_time_search_successful_all_seq_subject(i_subjects)*list_search_time_search_successful_all_seq_subject(i_subjects);
end

list_search_time_search_successful_overall_total = sum(list_search_time_search_successful_all_seq_subject);

list_search_time_search_successful_overall_squared = list_search_time_search_successful_overall_total*list_search_time_search_successful_overall_total;

list_search_time_search_successful_overall_sum_of_squared = 0;
for i_sequences = 1:18 
    for i_subjects = 1:3
        list_search_time_search_successful_overall_sum_of_squared = list_search_time_search_successful_overall_sum_of_squared + list_search_time_search_successful(i_subjects,i_sequences)*list_search_time_search_successful(i_subjects,i_sequences);
    end
end

% sum of squares

SS_total_list_search_time_search_successful = list_search_time_search_successful_overall_sum_of_squared - (list_search_time_search_successful_overall_squared/N);
SS_bet_seqs_list_search_time_search_successful = list_search_time_search_successful_sum_of_squared_seq/n - (list_search_time_search_successful_overall_squared/N);

SS_within_seqs_list_search_time_search_successful = SS_total_list_search_time_search_successful - SS_bet_seqs_list_search_time_search_successful;
SS_bet_subjects_list_search_time_search_successful = list_search_time_search_successful_sum_of_squared_subjects/k - (list_search_time_search_successful_overall_squared/N);

SS_error_list_search_time_search_successful = SS_within_seqs_list_search_time_search_successful - SS_bet_subjects_list_search_time_search_successful;

% mean of squares

MS_bet_seqs_list_search_time_search_successful = SS_bet_seqs_list_search_time_search_successful/df_bet_seqs;
MS_error_list_search_time_search_successful = SS_error_list_search_time_search_successful/df_error;

F_list_search_time_search_successful = MS_bet_seqs_list_search_time_search_successful/MS_error_list_search_time_search_successful;

% Display in Tabular form

fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'list_search_time_  | Degrees of freedom | sum of squares | mean squares |  Variance(F) |  Probability |\n');
fprintf(fid107,'search_successful  |                    |                |              |              |              |\n');      
fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'Between sequences |     %3.3f         |       %3.3f |    %3.2f    |    %3.3f     |              | \n',df_bet_seqs,SS_bet_seqs_list_search_time_search_successful,MS_bet_seqs_list_search_time_search_successful,F_list_search_time_search_successful);
fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'Within sequences  |     %3.3f         |     %3.3f |              |              |              |   \n',df_within_seqs,SS_within_seqs_list_search_time_search_successful);
fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'Between subjects   |     %3.3f          |     %3.3f |              |              |              |\n',df_bet_subjects,SS_bet_subjects_list_search_time_search_successful);
fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'Error              |     %3.3f         |      %3.3f |    %3.3f   |              |              |\n',df_error,SS_error_list_search_time_search_successful,MS_error_list_search_time_search_successful);
fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'\n\n\n');

% list_search_time_search_not_successful

list_search_time_search_not_successful_sum_of_squared_seq = 0;
for i_sequences = 1:18
    list_search_time_search_not_successful_all_subjects_seq(i_sequences) = sum(list_search_time_search_not_successful(:,i_sequences));
    list_search_time_search_not_successful_sum_of_squared_seq = list_search_time_search_not_successful_sum_of_squared_seq + list_search_time_search_not_successful_all_subjects_seq(i_sequences)*list_search_time_search_not_successful_all_subjects_seq(i_sequences);
end

list_search_time_search_not_successful_sum_of_squared_subjects = 0;
for i_subjects = 1:3
    list_search_time_search_not_successful_all_seq_subject(i_subjects) = sum(list_search_time_search_not_successful(i_subjects,:));
    list_search_time_search_not_successful_sum_of_squared_subjects = list_search_time_search_not_successful_sum_of_squared_subjects + list_search_time_search_not_successful_all_seq_subject(i_subjects)*list_search_time_search_not_successful_all_seq_subject(i_subjects);
end

list_search_time_search_not_successful_overall_total = sum(list_search_time_search_not_successful_all_seq_subject);

list_search_time_search_not_successful_overall_squared = list_search_time_search_not_successful_overall_total*list_search_time_search_not_successful_overall_total;

list_search_time_search_not_successful_overall_sum_of_squared = 0;
for i_sequences = 1:18 
    for i_subjects = 1:3
        list_search_time_search_not_successful_overall_sum_of_squared = list_search_time_search_not_successful_overall_sum_of_squared + list_search_time_search_not_successful(i_subjects,i_sequences)*list_search_time_search_not_successful(i_subjects,i_sequences);
    end
end

% sum of squares

SS_total_list_search_time_search_not_successful = list_search_time_search_not_successful_overall_sum_of_squared - (list_search_time_search_not_successful_overall_squared/N);
SS_bet_seqs_list_search_time_search_not_successful = list_search_time_search_not_successful_sum_of_squared_seq/n - (list_search_time_search_not_successful_overall_squared/N);

SS_within_seqs_list_search_time_search_not_successful = SS_total_list_search_time_search_not_successful - SS_bet_seqs_list_search_time_search_not_successful;
SS_bet_subjects_list_search_time_search_not_successful = list_search_time_search_not_successful_sum_of_squared_subjects/k - (list_search_time_search_not_successful_overall_squared/N);

SS_error_list_search_time_search_not_successful = SS_within_seqs_list_search_time_search_not_successful - SS_bet_subjects_list_search_time_search_not_successful;

% mean of squares

MS_bet_seqs_list_search_time_search_not_successful = SS_bet_seqs_list_search_time_search_not_successful/df_bet_seqs;
MS_error_list_search_time_search_not_successful = SS_error_list_search_time_search_not_successful/df_error;

F_list_search_time_search_not_successful = MS_bet_seqs_list_search_time_search_not_successful/MS_error_list_search_time_search_not_successful;

% Display in Tabular form

fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'list_search_time_se| Degrees of freedom | sum of squares | mean squares |  Variance(F) |  Probability |\n');
fprintf(fid107,'arch_not_successful|                    |                |              |              |              |\n');      
fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'Between sequences |     %3.3f         |       %3.3f |    %3.2f    |    %3.3f     |              | \n',df_bet_seqs,SS_bet_seqs_list_search_time_search_not_successful,MS_bet_seqs_list_search_time_search_not_successful,F_list_search_time_search_not_successful);
fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'Within sequences  |     %3.3f         |     %3.3f |              |              |              |   \n',df_within_seqs,SS_within_seqs_list_search_time_search_not_successful);
fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'Between subjects   |     %3.3f          |     %3.3f |              |              |              |\n',df_bet_subjects,SS_bet_subjects_list_search_time_search_not_successful);
fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'Error              |     %3.3f         |      %3.3f |    %3.3f   |              |              |\n',df_error,SS_error_list_search_time_search_not_successful,MS_error_list_search_time_search_not_successful);
fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'\n\n\n');

% successful_predictions

successful_predictions_sum_of_squared_seq = 0;
for i_sequences = 1:18
    successful_predictions_all_subjects_seq(i_sequences) = sum(successful_predictions(:,i_sequences));
    successful_predictions_sum_of_squared_seq = successful_predictions_sum_of_squared_seq + successful_predictions_all_subjects_seq(i_sequences)*successful_predictions_all_subjects_seq(i_sequences);
end

successful_predictions_sum_of_squared_subjects = 0;
for i_subjects = 1:3
    successful_predictions_all_seq_subject(i_subjects) = sum(successful_predictions(i_subjects,:));
    successful_predictions_sum_of_squared_subjects = successful_predictions_sum_of_squared_subjects + successful_predictions_all_seq_subject(i_subjects)*successful_predictions_all_seq_subject(i_subjects);
end

successful_predictions_overall_total = sum(successful_predictions_all_seq_subject);

successful_predictions_overall_squared = successful_predictions_overall_total*successful_predictions_overall_total;

successful_predictions_overall_sum_of_squared = 0;
for i_sequences = 1:18 
    for i_subjects = 1:3
        successful_predictions_overall_sum_of_squared = successful_predictions_overall_sum_of_squared + successful_predictions(i_subjects,i_sequences)*successful_predictions(i_subjects,i_sequences);
    end
end

% sum of squares

SS_total_successful_predictions = successful_predictions_overall_sum_of_squared - (successful_predictions_overall_squared/N);
SS_bet_seqs_successful_predictions = successful_predictions_sum_of_squared_seq/n - (successful_predictions_overall_squared/N);

SS_within_seqs_successful_predictions = SS_total_successful_predictions - SS_bet_seqs_successful_predictions;
SS_bet_subjects_successful_predictions = successful_predictions_sum_of_squared_subjects/k - (successful_predictions_overall_squared/N);

SS_error_successful_predictions = SS_within_seqs_successful_predictions - SS_bet_subjects_successful_predictions;

% mean of squares

MS_bet_seqs_successful_predictions = SS_bet_seqs_successful_predictions/df_bet_seqs;
MS_error_successful_predictions = SS_error_successful_predictions/df_error;

F_successful_predictions = MS_bet_seqs_successful_predictions/MS_error_successful_predictions;

% Display in Tabular form

fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'successful_        | Degrees of freedom | sum of squares | mean squares |  Variance(F) |  Probability |\n');
fprintf(fid107,'predictions        |                    |                |              |              |              |\n');      
fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'Between sequences |     %3.3f         |       %3.3f |    %3.2f    |    %3.3f     |              | \n',df_bet_seqs,SS_bet_seqs_successful_predictions,MS_bet_seqs_successful_predictions,F_successful_predictions);
fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'Within sequences  |     %3.3f         |     %3.3f |              |              |              |   \n',df_within_seqs,SS_within_seqs_successful_predictions);
fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'Between subjects   |     %3.3f          |     %3.3f |              |              |              |\n',df_bet_subjects,SS_bet_subjects_successful_predictions);
fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'Error              |     %3.3f         |      %3.3f |    %3.3f   |              |              |\n',df_error,SS_error_successful_predictions,MS_error_successful_predictions);
fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'\n\n\n');

% unsuccessful_predictions

unsuccessful_predictions_sum_of_squared_seq = 0;
for i_sequences = 1:18
    unsuccessful_predictions_all_subjects_seq(i_sequences) = sum(unsuccessful_predictions(:,i_sequences));
    unsuccessful_predictions_sum_of_squared_seq = unsuccessful_predictions_sum_of_squared_seq + unsuccessful_predictions_all_subjects_seq(i_sequences)*unsuccessful_predictions_all_subjects_seq(i_sequences);
end

unsuccessful_predictions_sum_of_squared_subjects = 0;
for i_subjects = 1:3
    unsuccessful_predictions_all_seq_subject(i_subjects) = sum(unsuccessful_predictions(i_subjects,:));
    unsuccessful_predictions_sum_of_squared_subjects = unsuccessful_predictions_sum_of_squared_subjects + unsuccessful_predictions_all_seq_subject(i_subjects)*unsuccessful_predictions_all_seq_subject(i_subjects);
end

unsuccessful_predictions_overall_total = sum(unsuccessful_predictions_all_seq_subject);

unsuccessful_predictions_overall_squared = unsuccessful_predictions_overall_total*unsuccessful_predictions_overall_total;

unsuccessful_predictions_overall_sum_of_squared = 0;
for i_sequences = 1:18 
    for i_subjects = 1:3
        unsuccessful_predictions_overall_sum_of_squared = unsuccessful_predictions_overall_sum_of_squared + unsuccessful_predictions(i_subjects,i_sequences)*unsuccessful_predictions(i_subjects,i_sequences);
    end
end

% sum of squares

SS_total_unsuccessful_predictions = unsuccessful_predictions_overall_sum_of_squared - (unsuccessful_predictions_overall_squared/N);
SS_bet_seqs_unsuccessful_predictions = unsuccessful_predictions_sum_of_squared_seq/n - (unsuccessful_predictions_overall_squared/N);

SS_within_seqs_unsuccessful_predictions = SS_total_unsuccessful_predictions - SS_bet_seqs_unsuccessful_predictions;
SS_bet_subjects_unsuccessful_predictions = unsuccessful_predictions_sum_of_squared_subjects/k - (unsuccessful_predictions_overall_squared/N);

SS_error_unsuccessful_predictions = SS_within_seqs_unsuccessful_predictions - SS_bet_subjects_unsuccessful_predictions;

% mean of squares

MS_bet_seqs_unsuccessful_predictions = SS_bet_seqs_unsuccessful_predictions/df_bet_seqs;
MS_error_unsuccessful_predictions = SS_error_unsuccessful_predictions/df_error;

F_unsuccessful_predictions = MS_bet_seqs_unsuccessful_predictions/MS_error_unsuccessful_predictions;

% Display in Tabular form

fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'unsuccessful_      | Degrees of freedom | sum of squares | mean squares |  Variance(F) |  Probability |\n');
fprintf(fid107,'predictions        |                    |                |              |              |              |\n');      
fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'Between sequences |     %3.3f         |       %3.3f |    %3.2f    |    %3.3f     |              | \n',df_bet_seqs,SS_bet_seqs_unsuccessful_predictions,MS_bet_seqs_unsuccessful_predictions,F_unsuccessful_predictions);
fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'Within sequences  |     %3.3f         |     %3.3f |              |              |              |   \n',df_within_seqs,SS_within_seqs_unsuccessful_predictions);
fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'Between subjects   |     %3.3f          |     %3.3f |              |              |              |\n',df_bet_subjects,SS_bet_subjects_unsuccessful_predictions);
fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'Error              |     %3.3f         |       %3.3f |    %3.3f   |              |              |\n',df_error,SS_error_unsuccessful_predictions,MS_error_unsuccessful_predictions);
fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'\n\n\n');

% target_views

target_views_sum_of_squared_seq = 0;
for i_sequences = 1:18
    target_views_all_subjects_seq(i_sequences) = sum(target_views(:,i_sequences));
    target_views_sum_of_squared_seq = target_views_sum_of_squared_seq + target_views_all_subjects_seq(i_sequences)*target_views_all_subjects_seq(i_sequences);
end

target_views_sum_of_squared_subjects = 0;
for i_subjects = 1:3
    target_views_all_seq_subject(i_subjects) = sum(target_views(i_subjects,:));
    target_views_sum_of_squared_subjects = target_views_sum_of_squared_subjects + target_views_all_seq_subject(i_subjects)*target_views_all_seq_subject(i_subjects);
end

target_views_overall_total = sum(target_views_all_seq_subject);

target_views_overall_squared = target_views_overall_total*target_views_overall_total;

target_views_overall_sum_of_squared = 0;
for i_sequences = 1:18 
    for i_subjects = 1:3
        target_views_overall_sum_of_squared = target_views_overall_sum_of_squared + target_views(i_subjects,i_sequences)*target_views(i_subjects,i_sequences);
    end
end

% sum of squares

SS_total_target_views = target_views_overall_sum_of_squared - (target_views_overall_squared/N);
SS_bet_seqs_target_views = target_views_sum_of_squared_seq/n - (target_views_overall_squared/N);

SS_within_seqs_target_views = SS_total_target_views - SS_bet_seqs_target_views;
SS_bet_subjects_target_views = target_views_sum_of_squared_subjects/k - (target_views_overall_squared/N);

SS_error_target_views = SS_within_seqs_target_views - SS_bet_subjects_target_views;

% mean of squares

MS_bet_seqs_target_views = SS_bet_seqs_target_views/df_bet_seqs;
MS_error_target_views = SS_error_target_views/df_error;

F_target_views = MS_bet_seqs_target_views/MS_error_target_views;

% Display in Tabular form

fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'target_views       | Degrees of freedom | sum of squares | mean squares |  Variance(F) |  Probability |\n');
fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'Between sequences |     %3.3f         |       %3.3f |    %3.2f    |    %3.3f     |              | \n',df_bet_seqs,SS_bet_seqs_target_views,MS_bet_seqs_target_views,F_target_views);
fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'Within sequences  |     %3.3f         |     %3.3f |              |              |              |   \n',df_within_seqs,SS_within_seqs_target_views);
fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'Between subjects   |     %3.3f          |     %3.3f |              |              |              |\n',df_bet_subjects,SS_bet_subjects_target_views);
fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'Error              |     %3.3f         |      %3.3f |    %3.3f   |              |              |\n',df_error,SS_error_target_views,MS_error_target_views);
fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'\n\n\n');

% transcribed_views

transcribed_views_sum_of_squared_seq = 0;
for i_sequences = 1:18
    transcribed_views_all_subjects_seq(i_sequences) = sum(transcribed_views(:,i_sequences));
    transcribed_views_sum_of_squared_seq = transcribed_views_sum_of_squared_seq + transcribed_views_all_subjects_seq(i_sequences)*transcribed_views_all_subjects_seq(i_sequences);
end

transcribed_views_sum_of_squared_subjects = 0;
for i_subjects = 1:3
    transcribed_views_all_seq_subject(i_subjects) = sum(transcribed_views(i_subjects,:));
    transcribed_views_sum_of_squared_subjects = transcribed_views_sum_of_squared_subjects + transcribed_views_all_seq_subject(i_subjects)*transcribed_views_all_seq_subject(i_subjects);
end

transcribed_views_overall_total = sum(transcribed_views_all_seq_subject);

transcribed_views_overall_squared = transcribed_views_overall_total*transcribed_views_overall_total;

transcribed_views_overall_sum_of_squared = 0;
for i_sequences = 1:18 
    for i_subjects = 1:3
        transcribed_views_overall_sum_of_squared = transcribed_views_overall_sum_of_squared + transcribed_views(i_subjects,i_sequences)*transcribed_views(i_subjects,i_sequences);
    end
end

% sum of squares

SS_total_transcribed_views = transcribed_views_overall_sum_of_squared - (transcribed_views_overall_squared/N);
SS_bet_seqs_transcribed_views = transcribed_views_sum_of_squared_seq/n - (transcribed_views_overall_squared/N);

SS_within_seqs_transcribed_views = SS_total_transcribed_views - SS_bet_seqs_transcribed_views;
SS_bet_subjects_transcribed_views = transcribed_views_sum_of_squared_subjects/k - (transcribed_views_overall_squared/N);

SS_error_transcribed_views = SS_within_seqs_transcribed_views - SS_bet_subjects_transcribed_views;

% mean of squares

MS_bet_seqs_transcribed_views = SS_bet_seqs_transcribed_views/df_bet_seqs;
MS_error_transcribed_views = SS_error_transcribed_views/df_error;

F_transcribed_views = MS_bet_seqs_transcribed_views/MS_error_transcribed_views;

% Display in Tabular form

fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'transcribed_views  | Degrees of freedom | sum of squares | mean squares |  Variance(F) |  Probability |\n');
fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'Between sequences |     %3.3f         |       %3.3f  |    %3.2f      |    %3.3f     |              | \n',df_bet_seqs,SS_bet_seqs_transcribed_views,MS_bet_seqs_transcribed_views,F_transcribed_views);
fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'Within sequences  |     %3.3f         |     %3.3f   |              |              |              |   \n',df_within_seqs,SS_within_seqs_transcribed_views);
fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'Between subjects   |     %3.3f          |     %3.3f    |              |              |              |\n',df_bet_subjects,SS_bet_subjects_transcribed_views);
fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'Error              |     %3.3f         |      %3.3f   |    %3.3f    |              |              |\n',df_error,SS_error_transcribed_views,MS_error_transcribed_views);
fprintf(fid107,'-------------------|--------------------|----------------|--------------|--------------|--------------|\n');
fprintf(fid107,'\n\n\n');

fclose(fid107);