% This Program, written by Abhishek Agarwal on 8/18/2005 is used for
% filling in the excel sheet for list length & related variables

close all
clear all
clc

% Interactive input to get condition number from the user
condition_num = input('Enter condition number: ');

[ev ti du char true len srch hash srch_times disp sltd srch_type] = textread('finaloutput_111.txt', ...
                                                                                          '%s %f %f %s %c %d %s %s %d %s %s %s',-1);

% I have to find the list search time for various length of list to see the effect of list length on the time spent 
% on searching the word in the list                                                                                        

% Considering length only when keypress event occurs because otherwise for other events the len is taken as 0 when 
% I call the txt file in matlab                                                                                         

% Condition	Show	Hide	Max Length	Min Size
% 1 	0	N	2	3
% 2	    0	N	2	5
% 3 	0	N	8	3
% 4	    0	N	8	5
% 5	    0	2	2	3
% 6	    0	2	2	5
% 7	    0	2	8	3
% 8	    0	2	8	5
% 9	    2	N	2	3
% 10	2	N	2	5
% 11	2	N	8	3
% 12	2	N	8	5
% 13	2	2	2	3
% 14	2	2	2	5
% 15	2	2	8	3
% 16	2	2	8	5

% Note we also have to segregate based on what is the max length of the
% list - which can be found out by knowing the condition number 

if (condition_num == 1 | condition_num == 2 | condition_num == 5 | condition_num == 6 | condition_num == 9 | condition_num == 10 |  ...
                                                condition_num == 13 | condition_num == 14) 
       length_condn = 2;
   else
       length_condn = 8;
end

counter = 0;
for i_event = 1:length(ev)
    if (strcmp(ev(i_event),'Keypress') & strcmp(true(i_event),'t')) % Marking keypresses only when the list display is true
        counter = counter + 1;
        keypress_mark_temp(counter) = i_event;
    end
end

% I am purposely assigning 1st keypress as 1st event of the file to look for WPList before even the 1st keypress occurs 
keypress_mark(1) = 1;
keypress_mark(2:counter+1) = keypress_mark_temp(1:counter);

fid111 = fopen('anova_list_len.txt','wt');
fprintf(fid111,'Condition number = %d\n\n',condition_num);

fid112 = fopen('anova_list_len_for_excel.txt','wt');

time_duration_2_0 = 0;
time_duration_2_1 = 0;
time_duration_2_2 = 0;

time_duration_8_0 = 0;
time_duration_8_1 = 0;
time_duration_8_2 = 0;
time_duration_8_3 = 0;
time_duration_8_4 = 0;
time_duration_8_5 = 0;
time_duration_8_6 = 0;
time_duration_8_7 = 0;
time_duration_8_8 = 0;

if (length_condn == 2)                       % when the max list size is 2
    for i_compare = 2:counter
          switch (len(keypress_mark(i_compare))) % this tells the length of list associated with that keypress
                case {0}
                    for i_compare_now = keypress_mark(i_compare - 1):keypress_mark(i_compare)
                        if (strcmp(ev(i_compare_now),'WPList'))
                            time_duration_2_0 = time_duration_2_0 + du(i_compare_now);
                        end
                    end
                  
                case {1}
                    for i_compare_now = keypress_mark(i_compare - 1):keypress_mark(i_compare)
                        if (strcmp(ev(i_compare_now),'WPList'))
                            time_duration_2_1 = time_duration_2_1 + du(i_compare_now);
                        end
                    end
                    
                case {2}
                    for i_compare_now = keypress_mark(i_compare - 1):keypress_mark(i_compare)
                        if (strcmp(ev(i_compare_now),'WPList'))
                            time_duration_2_2 = time_duration_2_2 + du(i_compare_now);
                        end
                    end
          end
     end   
 fprintf(fid111,'time_duration_2_0 = %3.3f\n\n',time_duration_2_0); 
 fprintf(fid111,'time_duration_2_1 = %3.3f\n\n',time_duration_2_1);
 fprintf(fid111,'time_duration_2_2 = %3.3f\n\n',time_duration_2_2);
  
 fprintf(fid112,'%3.3f,',time_duration_2_0); 
 fprintf(fid112,'%3.3f,',time_duration_2_1);
 fprintf(fid112,'%3.3f',time_duration_2_2);
 
elseif (length_condn == 8)                   % when the max list size is 8
   for i_compare = 2:counter
          switch (len(keypress_mark(i_compare))) % this tells the length of list associated with that keypress)
                case {0}
                   for i_compare_now = keypress_mark(i_compare - 1):keypress_mark(i_compare)
                        if (strcmp(ev(i_compare_now),'WPList'))
                            i_compare_now
                            du(i_compare_now)
                            time_duration_8_0 = time_duration_8_0 + du(i_compare_now);
                        end
                    end
                case {1}
                    for i_compare_now = keypress_mark(i_compare - 1):keypress_mark(i_compare)
                        if (strcmp(ev(i_compare_now),'WPList'))
                            time_duration_8_1 = time_duration_8_1 + du(i_compare_now);
                        end
                    end
                case {2}
                    for i_compare_now = keypress_mark(i_compare - 1):keypress_mark(i_compare)
                        if (strcmp(ev(i_compare_now),'WPList'))
                            time_duration_8_2 = time_duration_8_2 + du(i_compare_now);
                        end
                    end
                case {3}
                    for i_compare_now = keypress_mark(i_compare - 1):keypress_mark(i_compare)
                        if (strcmp(ev(i_compare_now),'WPList'))
                            time_duration_8_3 = time_duration_8_3 + du(i_compare_now);
                        end
                    end
                case {4}
                    for i_compare_now = keypress_mark(i_compare - 1):keypress_mark(i_compare)
                        if (strcmp(ev(i_compare_now),'WPList'))
                            time_duration_8_4 = time_duration_8_4 + du(i_compare_now);
                        end
                    end
                case {5}
                    for i_compare_now = keypress_mark(i_compare - 1):keypress_mark(i_compare)
                        if (strcmp(ev(i_compare_now),'WPList'))
                            time_duration_8_5 = time_duration_8_5 + du(i_compare_now);
                        end
                    end
                case {6}
                    for i_compare_now = keypress_mark(i_compare - 1):keypress_mark(i_compare)
                        if (strcmp(ev(i_compare_now),'WPList'))
                            time_duration_8_6 = time_duration_8_6 + du(i_compare_now);
                        end
                    end
                case {7}
                    for i_compare_now = keypress_mark(i_compare - 1):keypress_mark(i_compare)
                        if (strcmp(ev(i_compare_now),'WPList'))
                            time_duration_8_7 = time_duration_8_7 + du(i_compare_now);
                        end
                    end
                case {8}
                    for i_compare_now = keypress_mark(i_compare - 1):keypress_mark(i_compare)
                        if (strcmp(ev(i_compare_now),'WPList'))
                            time_duration_8_8 = time_duration_8_8 + du(i_compare_now);
                        end
                    end              
          end
       end
   fprintf(fid111,'time_duration_8_0 = %3.3f\n\n',time_duration_8_0); 
   fprintf(fid111,'time_duration_8_1 = %3.3f\n\n',time_duration_8_1);
   fprintf(fid111,'time_duration_8_2 = %3.3f\n\n',time_duration_8_2);
   fprintf(fid111,'time_duration_8_3 = %3.3f\n\n',time_duration_8_3);
   fprintf(fid111,'time_duration_8_4 = %3.3f\n\n',time_duration_8_4); 
   fprintf(fid111,'time_duration_8_5 = %3.3f\n\n',time_duration_8_5);
   fprintf(fid111,'time_duration_8_6 = %3.3f\n\n',time_duration_8_6);
   fprintf(fid111,'time_duration_8_7 = %3.3f\n\n',time_duration_8_7); 
   fprintf(fid111,'time_duration_8_8 = %3.3f\n\n',time_duration_8_8);
   
   fprintf(fid112,'%3.3f,',time_duration_8_0); 
   fprintf(fid112,'%3.3f,',time_duration_8_1);
   fprintf(fid112,'%3.3f,',time_duration_8_2);
   fprintf(fid112,'%3.3f,',time_duration_8_3);
   fprintf(fid112,'%3.3f,',time_duration_8_4); 
   fprintf(fid112,'%3.3f,',time_duration_8_5);
   fprintf(fid112,'%3.3f,',time_duration_8_6);
   fprintf(fid112,'%3.3f,',time_duration_8_7); 
   fprintf(fid112,'%3.3f,',time_duration_8_8);
 end
   
fclose(fid111);
fclose(fid112);