% This program written by Abhishek Agarwal, on 10/08/2005, for converting
% the list search (2) in excel sheet into another form for making charts of
% variables like +search, false+ search etc

%            pos     false+    etc
% subjects   GADS    GADS
% 0 1
%   2
%   3
%   4
%   5
%   avg
% 1 1
%   2
%   3
%   4
%   5
%   avg  etc 
%   
%   I have to convert to into following form to plot
%   
%   condn  0     1       2        3      4.....17
%   G   Pos 5th
%   A   Pos 5th
%   D   Pos 5th
%   S   Pos 5th
%   
%   G   Pos avg
%   A   Pos avg
%   D   Pos avg
%   S   Pos avg
%   
%   G   False+ 5th
%   A   False+ 5th
%   D   False+ 5th
%   S   False+ 5th
%   
%   G   False+ avg
%   A   False+ avg
%   D   False+ avg
%   S   False+ avg etc

close all
clear all
clc

load list_search2.txt;

subjects = 4;
conditions = 18;
  
for i_subjects = 1:subjects%  size(list_search2,2)  % 32
    for j_conditions = 1:conditions %size(list_search2,1)  % 108
         index = 0;
         pos_5(i_subjects,j_conditions) = list_search2((j_conditions+4+5*(j_conditions-1)),i_subjects+index);
         pos_avg(i_subjects,j_conditions) = list_search2((j_conditions+5+5*(j_conditions-1)),i_subjects+index);
         
         index = index+4;
         false_pos_5(i_subjects,j_conditions) = list_search2((j_conditions+4+5*(j_conditions-1)),i_subjects+index);
         false_pos_avg(i_subjects,j_conditions) = list_search2((j_conditions+5+5*(j_conditions-1)),i_subjects+index);
         
         index = index+4;
         neg_5(i_subjects,j_conditions) = list_search2((j_conditions+4+5*(j_conditions-1)),i_subjects+index);
         neg_avg(i_subjects,j_conditions) = list_search2((j_conditions+5+5*(j_conditions-1)),i_subjects+index);
         
         index = index+4;
         false_neg_5(i_subjects,j_conditions) = list_search2((j_conditions+4+5*(j_conditions-1)),i_subjects+index);
         false_neg_avg(i_subjects,j_conditions) = list_search2((j_conditions+5+5*(j_conditions-1)),i_subjects+index);
         
         index = index+4;
         succ_anticipation_5(i_subjects,j_conditions) = list_search2((j_conditions+4+5*(j_conditions-1)),i_subjects+index);
         succ_anticipation_avg(i_subjects,j_conditions) = list_search2((j_conditions+5+5*(j_conditions-1)),i_subjects+index);
         
         index = index+4;
         succ_srch_5(i_subjects,j_conditions) = list_search2((j_conditions+4+5*(j_conditions-1)),i_subjects+index);
         succ_srch_avg(i_subjects,j_conditions) = list_search2((j_conditions+5+5*(j_conditions-1)),i_subjects+index);
         
         index = index+4;
         unsucc_srch_5(i_subjects,j_conditions) = list_search2((j_conditions+4+5*(j_conditions-1)),i_subjects+index);
         unsucc_srch_avg(i_subjects,j_conditions) = list_search2((j_conditions+5+5*(j_conditions-1)),i_subjects+index);
         
         index = index+4;
         compliance_5(i_subjects,j_conditions) = list_search2((j_conditions+4+5*(j_conditions-1)),i_subjects+index);
         compliance_avg(i_subjects,j_conditions) = list_search2((j_conditions+5+5*(j_conditions-1)),i_subjects+index);
    end
end

fid141 = fopen('list_search2_5th_for_graphs.txt','wt');
fid142 = fopen('list_search2_avg_for_graphs.txt','wt');

for i_subjects = 1:4
    fprintf(fid141,'%3.3f,',pos_5(i_subjects,:));
    fprintf(fid142,'%3.3f,',pos_avg(i_subjects,:));
    fprintf(fid141,'\n');
    fprintf(fid142,'\n');
end

for i_subjects = 1:4
    fprintf(fid141,'%3.3f,',false_pos_5(i_subjects,:));
    fprintf(fid141,'\n');
    fprintf(fid142,'%3.3f,',false_pos_avg(i_subjects,:));
    fprintf(fid142,'\n');
end

for i_subjects = 1:4
    fprintf(fid141,'%3.3f,',neg_5(i_subjects,:));
    fprintf(fid141,'\n');
    fprintf(fid142,'%3.3f,',neg_avg(i_subjects,:));
    fprintf(fid142,'\n');
end

for i_subjects = 1:4
    fprintf(fid141,'%3.3f,',false_neg_5(i_subjects,:));
    fprintf(fid141,'\n');
    fprintf(fid142,'%3.3f,',false_neg_avg(i_subjects,:));
    fprintf(fid142,'\n');
end

for i_subjects = 1:4
    fprintf(fid141,'%3.3f,',succ_anticipation_5(i_subjects,:));
    fprintf(fid141,'\n');
    fprintf(fid142,'%3.3f,',succ_anticipation_avg(i_subjects,:));
    fprintf(fid142,'\n');
end

for i_subjects = 1:4
    fprintf(fid141,'%3.3f,',succ_srch_5(i_subjects,:));
    fprintf(fid141,'\n');
    fprintf(fid142,'%3.3f,',succ_srch_avg(i_subjects,:));
    fprintf(fid142,'\n');
end

for i_subjects = 1:4
    fprintf(fid141,'%3.3f,',unsucc_srch_5(i_subjects,:));
    fprintf(fid141,'\n');
    fprintf(fid142,'%3.3f,',unsucc_srch_avg(i_subjects,:));
    fprintf(fid142,'\n');
end

for i_subjects = 1:4
    fprintf(fid141,'%3.3f,',compliance_5(i_subjects,:));
    fprintf(fid141,'\n');
    fprintf(fid142,'%3.3f,',compliance_avg(i_subjects,:));
    fprintf(fid142,'\n');
end

fclose(fid141);
fclose(fid142);