% This Program, written by Abhishek Agarwal on 9/27/2005 is used for
% calculating the 2 way repeated ANOVA for hide/show list

% I will be performimg 2 way repeated ANOVA for 3 cases.
% 1st case will be with factor 1 as show and factor 2 as trial.
% 2nd case will be in which 1st factor will be hide and another factor will be trial
% 3rd case will be in which 1st factor will be show and 2nd factor will be hide

close all
clear all
clc

subject = 4;
trial = 5;

load show_hide.txt;
load show_trial.txt;
load hide_trial.txt;

% % For ANOVA2 the data will be arranged in such a way such that column will
% % contain information about 1 factor while row will contain information
% % about another factor with rows also containing information about each of
% % 4 subjects. (You can take it like this that each cell in a row-cloumn
% % represents a 2D array and it also contains data about the 4 subject in
% % 3rd dimension). So that is why giving reps = 4. Matlab will take next
% % factor from 5th & then 9th and so on and will know that row 1 to 4
% % contains data about same factor for 4 dufferent subjects. Row 5 to 9 will
% % have data about another factor of same 4 subjects & so on.
 
% % show        -->    0    2
% %-----------------------------
% % trial 1 subject 1
% %         subject 2
% %         subject 3
% %         subject 4
% %-----------------------------
% % trial 2 subject 1
% %         subject 2
% %         subject 3
% %         subject 4
% %-----------------------------
% % trial 3 subject 1
% %         subject 2
% %         subject 3
% %         subject 4
% %-----------------------------
% % trial 4 subject 1
% %         subject 2
% %         subject 3
% %         subject 4
% %-----------------------------
% % trial 5 subject 1
% %         subject 2
% %         subject 3
% %         subject 4
% %-----------------------------  


% % hide        -->    N    4
% %-----------------------------
% % trial 1 subject 1
% %         subject 2
% %         subject 3
% %         subject 4
% %-----------------------------
% % trial 2 subject 1
% %         subject 2
% %         subject 3
% %         subject 4
% %-----------------------------
% % trial 3 subject 1
% %         subject 2
% %         subject 3
% %         subject 4
% %-----------------------------
% % trial 4 subject 1
% %         subject 2
% %         subject 3
% %         subject 4
% %-----------------------------
% % trial 5 subject 1
% %         subject 2
% %         subject 3
% %         subject 4
% %----------------------------- 

 
% % show        -->      0    2
% %-------------------------------
% % hide N   subject 1
% %          subject 2
% %          subject 3
% %          subject 4
% %-------------------------------
% % hide 4   subject 1
% %          subject 2
% %          subject 3
% %          subject 4
% %--------------------------------

% I am converting a 4*10 matrix into 20*2 

for i_column = 1:2
   for i = 1:trial
     % for show_trial
     text_entry_show_trial(1+(4*(i-1)):subject+(4*(i-1)),i_column) = show_trial(1:4,i+(5*(i_column-1)));
     keystroke_rate_show_trial(1+(4*(i-1)):subject+(4*(i-1)),i_column) = show_trial(4+(1:4),i+(5*(i_column-1)));
     correct_keystrokes_show_trial(1+(4*(i-1)):subject+(4*(i-1)),i_column) = show_trial(8+(1:4),i+(5*(i_column-1)));
     error_keystrokes_show_trial(1+(4*(i-1)):subject+(4*(i-1)),i_column) = show_trial(12+(1:4),i+(5*(i_column-1)));
     list_srch_time_show_trial(1+(4*(i-1)):subject+(4*(i-1)),i_column) = show_trial(16+(1:4),i+(5*(i_column-1)));
     successful_predictions_show_trial(1+(4*(i-1)):subject+(4*(i-1)),i_column) = show_trial(20+(1:4),i+(5*(i_column-1)));
     unsuccessful_predictions_show_trial(1+(4*(i-1)):subject+(4*(i-1)),i_column) = show_trial(24+(1:4),i+(5*(i_column-1)));
     target_views_show_trial(1+(4*(i-1)):subject+(4*(i-1)),i_column) = show_trial(28+(1:4),i+(5*(i_column-1)));
     transcribed_views_show_trial(1+(4*(i-1)):subject+(4*(i-1)),i_column) = show_trial(32+(1:4),i+(5*(i_column-1)));
     
     % for hide_trial
     text_entry_hide_trial(1+(4*(i-1)):subject+(4*(i-1)),i_column) = hide_trial(1:4,i+(5*(i_column-1)));
     keystroke_rate_hide_trial(1+(4*(i-1)):subject+(4*(i-1)),i_column) = hide_trial(4+(1:4),i+(5*(i_column-1)));
     correct_keystrokes_hide_trial(1+(4*(i-1)):subject+(4*(i-1)),i_column) = hide_trial(8+(1:4),i+(5*(i_column-1)));
     error_keystrokes_hide_trial(1+(4*(i-1)):subject+(4*(i-1)),i_column) = hide_trial(12+(1:4),i+(5*(i_column-1)));
     list_srch_time_hide_trial(1+(4*(i-1)):subject+(4*(i-1)),i_column) = hide_trial(16+(1:4),i+(5*(i_column-1)));
     successful_predictions_hide_trial(1+(4*(i-1)):subject+(4*(i-1)),i_column) = hide_trial(20+(1:4),i+(5*(i_column-1)));
     unsuccessful_predictions_hide_trial(1+(4*(i-1)):subject+(4*(i-1)),i_column) = hide_trial(24+(1:4),i+(5*(i_column-1)));
     target_views_hide_trial(1+(4*(i-1)):subject+(4*(i-1)),i_column) = hide_trial(28+(1:4),i+(5*(i_column-1)));
     transcribed_views_hide_trial(1+(4*(i-1)):subject+(4*(i-1)),i_column) = hide_trial(32+(1:4),i+(5*(i_column-1)));
    end
end

for i_column = 1:2
   for i = 1:2    
     % for show_hide
     text_entry_show_hide(1+(4*(i-1)):subject+(4*(i-1)),i_column) = show_hide(1:4,i+(2*(i_column-1)));
     keystroke_rate_show_hide(1+(4*(i-1)):subject+(4*(i-1)),i_column) = show_hide(4+(1:4),i+(2*(i_column-1)));
     correct_keystrokes_show_hide(1+(4*(i-1)):subject+(4*(i-1)),i_column) = show_hide(8+(1:4),i+(2*(i_column-1)));
     error_keystrokes_show_hide(1+(4*(i-1)):subject+(4*(i-1)),i_column) = show_hide(12+(1:4),i+(2*(i_column-1)));
     list_srch_time_show_hide(1+(4*(i-1)):subject+(4*(i-1)),i_column) = show_hide(16+(1:4),i+(2*(i_column-1)));
     successful_predictions_show_hide(1+(4*(i-1)):subject+(4*(i-1)),i_column) = show_hide(20+(1:4),i+(2*(i_column-1)));
     unsuccessful_predictions_show_hide(1+(4*(i-1)):subject+(4*(i-1)),i_column) = show_hide(24+(1:4),i+(2*(i_column-1)));
     target_views_show_hide(1+(4*(i-1)):subject+(4*(i-1)),i_column) = show_hide(28+(1:4),i+(2*(i_column-1)));
     transcribed_views_show_hide(1+(4*(i-1)):subject+(4*(i-1)),i_column) = show_hide(32+(1:4),i+(2*(i_column-1)));
   end
end

reps = subject;

% Finding and removing columns having Nan using function and then running
% ANOVA2 for each of these

% show_trial
dependent_variable = text_entry_show_trial;
[dependent_variable_new,reps_new] = remove_nan(dependent_variable,reps);
[p,table,stats] = ANOVA2(dependent_variable_new,reps_new);  % In this case rows means word size & columns means trial 

dependent_variable = keystroke_rate_show_trial;
[dependent_variable_new,reps_new] = remove_nan(dependent_variable,reps);
[p,table,stats] = ANOVA2(dependent_variable_new,reps_new);

dependent_variable = correct_keystrokes_show_trial;
[dependent_variable_new,reps_new] = remove_nan(dependent_variable,reps);
[p,table,stats] = ANOVA2(dependent_variable_new,reps_new);

dependent_variable = error_keystrokes_show_trial;
[dependent_variable_new,reps_new] = remove_nan(dependent_variable,reps);
[p,table,stats] = ANOVA2(dependent_variable_new,reps_new);

dependent_variable = list_srch_time_show_trial;
[dependent_variable_new,reps_new] = remove_nan(dependent_variable,reps);
[p,table,stats] = ANOVA2(dependent_variable_new,reps_new);

dependent_variable = successful_predictions_show_trial;
[dependent_variable_new,reps_new] = remove_nan(dependent_variable,reps);
[p,table,stats] = ANOVA2(dependent_variable_new,reps_new);

dependent_variable = unsuccessful_predictions_show_trial;
[dependent_variable_new,reps_new] = remove_nan(dependent_variable,reps);
[p,table,stats] = ANOVA2(dependent_variable_new,reps_new);
 
dependent_variable = target_views_show_trial;
[dependent_variable_new,reps_new] = remove_nan(dependent_variable,reps);
[p,table,stats] = ANOVA2(dependent_variable_new,reps_new);

dependent_variable = transcribed_views_show_trial;
[dependent_variable_new,reps_new] = remove_nan(dependent_variable,reps);
[p,table,stats] = ANOVA2(dependent_variable_new,reps_new);

% % hide_trial

dependent_variable = text_entry_hide_trial;
[dependent_variable_new,reps_new] = remove_nan(dependent_variable,reps);
[p,table,stats] = ANOVA2(dependent_variable_new,reps_new);
 
dependent_variable = keystroke_rate_hide_trial;
[dependent_variable_new,reps_new] = remove_nan(dependent_variable,reps);
[p,table,stats] = ANOVA2(dependent_variable_new,reps_new);
  
dependent_variable = correct_keystrokes_hide_trial;
[dependent_variable_new,reps_new] = remove_nan(dependent_variable,reps);
[p,table,stats] = ANOVA2(dependent_variable_new,reps_new);

dependent_variable = error_keystrokes_hide_trial;
[dependent_variable_new,reps_new] = remove_nan(dependent_variable,reps);
[p,table,stats] = ANOVA2(dependent_variable_new,reps_new);
 
dependent_variable = list_srch_time_hide_trial;
[dependent_variable_new,reps_new] = remove_nan(dependent_variable,reps);
[p,table,stats] = ANOVA2(dependent_variable_new,reps_new);

dependent_variable = successful_predictions_hide_trial;
[dependent_variable_new,reps_new] = remove_nan(dependent_variable,reps);
[p,table,stats] = ANOVA2(dependent_variable_new,reps_new);

dependent_variable = unsuccessful_predictions_hide_trial;
[dependent_variable_new,reps_new] = remove_nan(dependent_variable,reps);
[p,table,stats] = ANOVA2(dependent_variable_new,reps_new);
  
dependent_variable = target_views_hide_trial;
[dependent_variable_new,reps_new] = remove_nan(dependent_variable,reps);
[p,table,stats] = ANOVA2(dependent_variable_new,reps_new);
 
dependent_variable = transcribed_views_hide_trial;
[dependent_variable_new,reps_new] = remove_nan(dependent_variable,reps);
[p,table,stats] = ANOVA2(dependent_variable_new,reps_new);

% % show_hide

dependent_variable = text_entry_show_hide;
[dependent_variable_new,reps_new] = remove_nan(dependent_variable,reps);
[p,table,stats] = ANOVA2(dependent_variable_new,reps_new);
 
dependent_variable = keystroke_rate_show_hide;
[dependent_variable_new,reps_new] = remove_nan(dependent_variable,reps);
[p,table,stats] = ANOVA2(dependent_variable_new,reps_new);
  
dependent_variable = correct_keystrokes_show_hide;
[dependent_variable_new,reps_new] = remove_nan(dependent_variable,reps);
[p,table,stats] = ANOVA2(dependent_variable_new,reps_new);

dependent_variable = error_keystrokes_show_hide;
[dependent_variable_new,reps_new] = remove_nan(dependent_variable,reps);
[p,table,stats] = ANOVA2(dependent_variable_new,reps_new);
 
dependent_variable = list_srch_time_show_hide;
[dependent_variable_new,reps_new] = remove_nan(dependent_variable,reps);
[p,table,stats] = ANOVA2(dependent_variable_new,reps_new);

dependent_variable = successful_predictions_show_hide;
[dependent_variable_new,reps_new] = remove_nan(dependent_variable,reps);
[p,table,stats] = ANOVA2(dependent_variable_new,reps_new);

dependent_variable = unsuccessful_predictions_show_hide;
[dependent_variable_new,reps_new] = remove_nan(dependent_variable,reps);
[p,table,stats] = ANOVA2(dependent_variable_new,reps_new);
  
dependent_variable = target_views_show_hide;
[dependent_variable_new,reps_new] = remove_nan(dependent_variable,reps);
[p,table,stats] = ANOVA2(dependent_variable_new,reps_new);
 
dependent_variable = transcribed_views_show_hide;
[dependent_variable_new,reps_new] = remove_nan(dependent_variable,reps);
[p,table,stats] = ANOVA2(dependent_variable_new,reps_new);

% F(1,30) = 4.17 at 0.05
% F(4,30) = 2.69 at 0.05

% If F (ANOVA2 calculated value) < F (from table), Not significant

%      text_entry_show_trial-> Not significant
%      keystroke_rate_show_trial-> Not significant
%      correct_keystrokes_show_trial-> Not significant
%      error_keystrokes_show_trial-> Not significant
%      list_srch_time_show_trial-> columns (show list) are significant
%      successful_predictions_show_trial-> Not significant
%      unsuccessful_predictions_show_trial-> columns (show list) are significant
%      target_views_show_trial-> rows (trials) are significant
%      transcribed_views_show_trial-> Not significant

%      text_entry_hide_trial-> rows(2.11) 
%      keystroke_rate_hide_trial-> Not significant
%      correct_keystrokes_hide_trial-> Not significant
%      error_keystrokes_hide_trial-> Not significant
%      list_srch_time_hide_trial-> Not significant
%      successful_predictions_hide_trial-> Not significant
%      unsuccessful_predictions_hide_trial-> Not significant
%      target_views_hide_trial-> Columns (show list) and rows (trials) both are significant
%      transcribed_views_hide_trial-> Not significant

%      text_entry_show_hide-> Not significant
%      keystroke_rate_show_hide-> Not significant
%      correct_keystrokes_show_hide-> Not significant
%      error_keystrokes_show_hide-> Not significant
%      list_srch_time_show_hide-> Not significant
%      successful_predictions_show_hide-> Not significant
%      unsuccessful_predictions_show_hide-> Not significant
%      target_views_show_hide-> Not significant
%      transcribed_views_show_hide-> rows (hide)(2.41)
