% This Program written by Abhishek Agarwal on 7/8/2005 is used for
% calculating the T-Test of different measures

% Measure -> Text Entry rate
% Avg of 5 trials
% Subjects	seq 0 seq 1 
% Ganesh		
% Amanda		
% Dhruv		
% Sharad
%
% 5th Trial
% Subjects	seq 0 seq 1 
% Ganesh		
% Amanda		
% Dhruv		
% Sharad

% & so.....

% P is the p-value, or the probability of observing the given result
% There are 18 columns containing data about each conditions 

close all
clear all
clc

load data_by_condition.txt;             % This will load the data in matrix format

alpha = 0.05;
tail = 0;               % For TAIL =  0, alternative: "mean of X is not equal to mean of Y"  
 
i_data = 1;

for i_condition = 1:18
    for i_subjects = 1:4
        if (i_data > 98) % Because there is no data beyond row 97 & I want to break & start i_data from 1 for next measure
            break;       % break will break out of inner loop at present but will then keep going with next value of inner loop
        else
           textrate_5th(i_subjects,i_condition) = data_by_condition(i_data,i_condition);
           i_data = i_data + 1;                                                              % Avg is on next line
           textrate_avg(i_subjects,i_condition) = data_by_condition(i_data,i_condition);
           i_data = i_data + 1;                                                              % Next data is on another line
           
           keystroke_rate_5th(i_subjects,i_condition) = data_by_condition(i_data,i_condition);
           i_data = i_data + 1;  
           keystroke_rate_avg(i_subjects,i_condition) = data_by_condition(i_data,i_condition);
           i_data = i_data + 1;  
           
           correct_keystrokes_5th(i_subjects,i_condition) = data_by_condition(i_data,i_condition);
           i_data = i_data + 1;  
           correct_keystrokes_avg(i_subjects,i_condition) = data_by_condition(i_data,i_condition);
           i_data = i_data + 1;  
           
           errors_5th(i_subjects,i_condition) = data_by_condition(i_data,i_condition);
           i_data = i_data + 1;  
           errors_avg(i_subjects,i_condition) = data_by_condition(i_data,i_condition);
           i_data = i_data + 1;  
           
           time_between_keystrokes_5th(i_subjects,i_condition) = data_by_condition(i_data,i_condition);
           i_data = i_data + 1;  
           time_between_keystrokes_avg(i_subjects,i_condition) = data_by_condition(i_data,i_condition);
           i_data = i_data + 1;  
           
           list_search_time_total_5th(i_subjects,i_condition) = data_by_condition(i_data,i_condition);
           i_data = i_data + 1;  
           list_search_time_total_avg(i_subjects,i_condition) = data_by_condition(i_data,i_condition);
           i_data = i_data + 1;  
           
           list_search_time_inlist_5th(i_subjects,i_condition) = data_by_condition(i_data,i_condition);
           i_data = i_data + 1;  
           list_search_time_inlist_avg(i_subjects,i_condition) = data_by_condition(i_data,i_condition);
           i_data = i_data + 1;  
           
           list_search_time_notinlist_5th(i_subjects,i_condition) = data_by_condition(i_data,i_condition);
           i_data = i_data + 1;  
           list_search_time_notinlist_avg(i_subjects,i_condition) = data_by_condition(i_data,i_condition);
           i_data = i_data + 1;  
           
           list_search_time_search_successful_5th(i_subjects,i_condition) = data_by_condition(i_data,i_condition);
           i_data = i_data + 1;  
           list_search_time_search_successful_avg(i_subjects,i_condition) = data_by_condition(i_data,i_condition);
           i_data = i_data + 1;  
           
           list_search_time_search_not_successful_5th(i_subjects,i_condition) = data_by_condition(i_data,i_condition);
           i_data = i_data + 1;  
           list_search_time_search_not_successful_avg(i_subjects,i_condition) = data_by_condition(i_data,i_condition);
           i_data = i_data + 1;  
           
           successful_predictions_5th(i_subjects,i_condition) = data_by_condition(i_data,i_condition);
           i_data = i_data + 1;  
           successful_predictions_avg(i_subjects,i_condition) = data_by_condition(i_data,i_condition);
           i_data = i_data + 1;  
           
           unsuccessful_predictions_5th(i_subjects,i_condition) = data_by_condition(i_data,i_condition);
           i_data = i_data + 1;  
           unsuccessful_predictions_avg(i_subjects,i_condition) = data_by_condition(i_data,i_condition);
           i_data = i_data + 1;  
           
           target_views_5th(i_subjects,i_condition) = data_by_condition(i_data,i_condition);
           i_data = i_data + 1;  
           target_views_avg(i_subjects,i_condition) = data_by_condition(i_data,i_condition);
           i_data = i_data + 1;  
           
           transcribed_views_5th(i_subjects,i_condition) = data_by_condition(i_data,i_condition);
           i_data = i_data + 1;  
           transcribed_views_avg(i_subjects,i_condition) = data_by_condition(i_data,i_condition);           
           i_data = i_data + 1;                                  
       end
    end
  i_data = 1;
end

%% Now I will be working on between conditions to see if any measure
%% consistently differ across all subjects

fid102 = fopen('t_test_results_by_condition_bw_condn_for_excel.txt','wt');
fid104 = fopen('t_test_results_by_condition_bw_condn.txt','wt');
fprintf(fid102,'Between conditions to see if any measure consistently differ across all subjects \n');
fprintf(fid104,'Between conditions to see if any measure consistently differ across all subjects \n');
% fprintf(fid102,'For TAIL = -1, means X is less than mean of Y in our case it means row < column\n');
% fprintf(fid102,'Running for Tail = 0, will test whether they are equal or not. Already from previous I got whether row < column, so it removes the ambiguity that if row is ~< column then whether it is equal or less \n\n');
% fprintf(fid102,'H = 0 means accept the hypothesis and P value tells how much significant this result is, small P cast doubt\n\n'); 
fprintf(fid102,'In the excel sheet * means p < 0.05, # means p < 0.1, @ means p < 0.15 \n\n');
fprintf(fid104,'In the excel sheet * means p < 0.05, # means p < 0.1, @ means p < 0.15 \n\n');

%% Text Entry Rate between conditions

fprintf(fid102,'Text Entry Rate \n\n');
i_subject_bw_condition = 1;

for i_between_condition = 1:18
     for enter_tab = 1:i_between_condition
        fprintf(fid102,',');        % This is to insert spaces to get the output in the desired staircase format
     end
    for k_between_condition = i_between_condition+1:18
         for i_bw_condition_subject = 1:4       % 100 is where there were empty blanks so I have padded them with 100
             if (textrate_avg(i_bw_condition_subject,i_between_condition) ~= 100 &  ...
                                                                   textrate_avg(i_bw_condition_subject,k_between_condition) ~= 100)
                 textrate_avg_bw_condn_factorA(i_subject_bw_condition) =  ...
                                                                           textrate_avg(i_bw_condition_subject,i_between_condition);
                 textrate_avg_bw_condn_factorB(i_subject_bw_condition) =  ...
                                                                           textrate_avg(i_bw_condition_subject,k_between_condition);
                 i_subject_bw_condition = i_subject_bw_condition + 1;
            end
        end
              
       fprintf(fid104,'condition %d & condition %d has data worth of %d subjects for text entry rate\n',i_between_condition-1,k_between_condition-1,i_subject_bw_condition-1);
    
        x = textrate_avg_bw_condn_factorA;
        y = textrate_avg_bw_condn_factorB;
  
        if (x == 0 | y == 0)
            fprintf(fid102,'all_0,');
            fprintf(fid104,'This has all zeroes so not running T test for this \n\n');
        else 
            [H,P,CI,STATS] = TTEST2(x,y,alpha,tail); 
            mean_factorA = mean(x);
            mean_factorB = mean(y);
            if (P >0 & (P < 0.05 | P < 0.10 | P < 0.15))
                if (mean_factorA < mean_factorB)
                    if (P >=0 & P <= 0.05) 
      
                        fprintf(fid102,'%d<*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d<#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d<@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                        
                elseif (mean_factorA > mean_factorB)
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d>*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d>#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d>@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                else
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d=*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d=#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d=@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                end
            else
                 fprintf(fid102,'NAN,');
            end
        end
        
        i_subject_bw_condition = 1;                  % Again initialising it to 1 for next conditions
        clear x;
        clear y;
        clear textrate_avg_bw_condn_factorA;
        clear textrate_avg_bw_condn_factorB;
    end
    fprintf(fid102,'\n');
end
fprintf(fid102,'\n\n\n');
fprintf(fid104,'\n\n\n');

%% Keystroke Rate between conditions

fprintf(fid102,'Keystroke Rate \n\n');
i_subject_bw_condition = 1;

for i_between_condition = 1:18
     for enter_tab = 1:i_between_condition
        fprintf(fid102,',');        % This is to insert spaces to get the output in the desired staircase format
     end
    for k_between_condition = i_between_condition+1:18
         for i_bw_condition_subject = 1:4       % 100 is where there were empty blanks so I have padded them with 100
             if (keystroke_rate_avg(i_bw_condition_subject,i_between_condition) ~= 100 &  ...
                                                                   keystroke_rate_avg(i_bw_condition_subject,k_between_condition) ~= 100)
                 keystroke_rate_avg_bw_condn_factorA(i_subject_bw_condition) =  ...
                                                                           keystroke_rate_avg(i_bw_condition_subject,i_between_condition);
                 keystroke_rate_avg_bw_condn_factorB(i_subject_bw_condition) =  ...
                                                                           keystroke_rate_avg(i_bw_condition_subject,k_between_condition);
                 i_subject_bw_condition = i_subject_bw_condition + 1;
            end
        end
    
       fprintf(fid104,'condition %d & condition %d has data worth of %d subjects for keystroke_rate\n',i_between_condition-1,k_between_condition-1,i_subject_bw_condition-1);
    
        x = keystroke_rate_avg_bw_condn_factorA;
        y = keystroke_rate_avg_bw_condn_factorB;
  
        if (x == 0 | y == 0)
            fprintf(fid102,'all_0,');
            fprintf(fid104,'This has all zeroes so not running T test for this \n\n');
        else 
            [H,P,CI,STATS] = TTEST2(x,y,alpha,tail); 
            mean_factorA = mean(x);
            mean_factorB = mean(y);
            if (P >0 & (P < 0.05 | P < 0.10 | P < 0.15))
                if (mean_factorA < mean_factorB)
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d<*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d<#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d<@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                        
                elseif (mean_factorA > mean_factorB)
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d>*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d>#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d>@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                else
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d=*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d=#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d=@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                end
            else
                 fprintf(fid102,'NAN,');
            end
        end
        
        i_subject_bw_condition = 1;                  % Again initialising it to 1 for next conditions
        clear x;
        clear y;
        clear keystroke_rate_avg_bw_condn_factorA;
        clear keystroke_rate_avg_bw_condn_factorB;
    end
    fprintf(fid102,'\n');
end
fprintf(fid102,'\n\n\n');
fprintf(fid104,'\n\n\n');


%% correct_keystrokes between conditions

fprintf(fid102,'correct_keystrokes \n\n');
i_subject_bw_condition = 1;

for i_between_condition = 1:18
     for enter_tab = 1:i_between_condition
        fprintf(fid102,',');        % This is to insert spaces to get the output in the desired staircase format
     end
    for k_between_condition = i_between_condition+1:18
         for i_bw_condition_subject = 1:4       % 100 is where there were empty blanks so I have padded them with 100
             if ( correct_keystrokes_avg(i_bw_condition_subject,i_between_condition) ~= 100 &  ...
                                                                    correct_keystrokes_avg(i_bw_condition_subject,k_between_condition) ~= 100)
                  correct_keystrokes_avg_bw_condn_factorA(i_subject_bw_condition) =  ...
                                                                           correct_keystrokes_avg(i_bw_condition_subject,i_between_condition);
                  correct_keystrokes_avg_bw_condn_factorB(i_subject_bw_condition) =  ...
                                                                            correct_keystrokes_avg(i_bw_condition_subject,k_between_condition);
                 i_subject_bw_condition = i_subject_bw_condition + 1;
            end
        end
    
       fprintf(fid104,'condition %d & condition %d has data worth of %d subjects for correct_keystrokes\n',i_between_condition-1,k_between_condition-1,i_subject_bw_condition-1);
    
        x =  correct_keystrokes_avg_bw_condn_factorA;
        y =  correct_keystrokes_avg_bw_condn_factorB;
  
        if (x == 0 | y == 0)
            fprintf(fid102,'all_0,');
            fprintf(fid104,'This has all zeroes so not running T test for this \n\n');
        else 
            [H,P,CI,STATS] = TTEST2(x,y,alpha,tail); 
            mean_factorA = mean(x);
            mean_factorB = mean(y);
            if (P >0 & (P < 0.05 | P < 0.10 | P < 0.15))
                if (mean_factorA < mean_factorB)
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d<*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d<#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d<@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                        
                elseif (mean_factorA > mean_factorB)
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d>*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d>#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d>@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                else
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d=*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d=#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d=@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                end
            else
                 fprintf(fid102,'NAN,');
            end
        end
        
        i_subject_bw_condition = 1;                  % Again initialising it to 1 for next conditions
        clear x;
        clear y;
        clear correct_keystrokes_avg_bw_condn_factorA;
        clear correct_keystrokes_avg_bw_condn_factorB;
    end
    fprintf(fid102,'\n');
end
fprintf(fid102,'\n\n\n');
fprintf(fid104,'\n\n\n');

%% errors between conditions

fprintf(fid102,'errors \n\n');
i_subject_bw_condition = 1;

for i_between_condition = 1:18
     for enter_tab = 1:i_between_condition
        fprintf(fid102,',');        % This is to insert spaces to get the output in the desired staircase format
     end
    for k_between_condition = i_between_condition+1:18
         for i_bw_condition_subject = 1:4       % 100 is where there were empty blanks so I have padded them with 100
             if ( errors_avg(i_bw_condition_subject,i_between_condition) ~= 100 &  ...
                                                                    errors_avg(i_bw_condition_subject,k_between_condition) ~= 100)
                  errors_avg_bw_condn_factorA(i_subject_bw_condition) =  ...
                                                                           errors_avg(i_bw_condition_subject,i_between_condition);
                  errors_avg_bw_condn_factorB(i_subject_bw_condition) =  ...
                                                                            errors_avg(i_bw_condition_subject,k_between_condition);
                 i_subject_bw_condition = i_subject_bw_condition + 1;
            end
        end
    
       fprintf(fid104,'condition %d & condition %d has data worth of %d subjects for errors\n',i_between_condition-1,k_between_condition-1,i_subject_bw_condition-1);
    
        x =  errors_avg_bw_condn_factorA;
        y =  errors_avg_bw_condn_factorB;
  
        if (x == 0 | y == 0)
            fprintf(fid102,'all_0,');
            fprintf(fid104,'This has all zeroes so not running T test for this \n\n');
        else 
            [H,P,CI,STATS] = TTEST2(x,y,alpha,tail); 
            mean_factorA = mean(x);
            mean_factorB = mean(y);
            if (P >0 & (P < 0.05 | P < 0.10 | P < 0.15))
                if (mean_factorA < mean_factorB)
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d<*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d<#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d<@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                        
                elseif (mean_factorA > mean_factorB)
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d>*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d>#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d>@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                else
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d=*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d=#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d=@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                end
            else
                 fprintf(fid102,'NAN,');
            end
        end
        
        i_subject_bw_condition = 1;                  % Again initialising it to 1 for next conditions
        clear x;
        clear y;
        clear errors_avg_bw_condn_factorA;
        clear errors_avg_bw_condn_factorB;
    end
    fprintf(fid102,'\n');
end
fprintf(fid102,'\n\n\n');
fprintf(fid104,'\n\n\n');

%% time_between_keystrokes between conditions

fprintf(fid102,'time_between_keystrokes \n\n');
i_subject_bw_condition = 1;

for i_between_condition = 1:18
     for enter_tab = 1:i_between_condition
        fprintf(fid102,',');        % This is to insert spaces to get the output in the desired staircase format
     end
    for k_between_condition = i_between_condition+1:18
         for i_bw_condition_subject = 1:4       % 100 is where there were empty blanks so I have padded them with 100
             if ( time_between_keystrokes_avg(i_bw_condition_subject,i_between_condition) ~= 100 &  ...
                                                                    time_between_keystrokes_avg(i_bw_condition_subject,k_between_condition) ~= 100)
                  time_between_keystrokes_avg_bw_condn_factorA(i_subject_bw_condition) =  ...
                                                                           time_between_keystrokes_avg(i_bw_condition_subject,i_between_condition);
                  time_between_keystrokes_avg_bw_condn_factorB(i_subject_bw_condition) =  ...
                                                                            time_between_keystrokes_avg(i_bw_condition_subject,k_between_condition);
                 i_subject_bw_condition = i_subject_bw_condition + 1;
            end
        end
    
       fprintf(fid104,'condition %d & condition %d has data worth of %d subjects for time_between_keystrokes\n',i_between_condition-1,k_between_condition-1,i_subject_bw_condition-1);
    
        x = time_between_keystrokes_avg_bw_condn_factorA;
        y = time_between_keystrokes_avg_bw_condn_factorB;
  
        if (x == 0 | y == 0)
            fprintf(fid102,'all_0,');
            fprintf(fid104,'This has all zeroes so not running T test for this \n\n');
        else 
            [H,P,CI,STATS] = TTEST2(x,y,alpha,tail); 
            mean_factorA = mean(x);
            mean_factorB = mean(y);
            if (P >0 & (P < 0.05 | P < 0.10 | P < 0.15))
                if (mean_factorA < mean_factorB)
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d<*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d<#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d<@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                        
                elseif (mean_factorA > mean_factorB)
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d>*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d>#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d>@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                else
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d=*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d=#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d=@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                end
            else
                 fprintf(fid102,'NAN,');
            end
        end
        
        i_subject_bw_condition = 1;                  % Again initialising it to 1 for next conditions
        clear x;
        clear y;
        clear time_between_keystrokes_avg_bw_condn_factorA;
        clear time_between_keystrokes_avg_bw_condn_factorB;
    end
    fprintf(fid102,'\n');
end
fprintf(fid102,'\n\n\n');
fprintf(fid104,'\n\n\n');

%% list_search_time_total between conditions

fprintf(fid102,'list_search_time_total \n\n');
i_subject_bw_condition = 1;

for i_between_condition = 1:18
     for enter_tab = 1:i_between_condition
        fprintf(fid102,',');        % This is to insert spaces to get the output in the desired staircase format
     end
    for k_between_condition = i_between_condition+1:18
         for i_bw_condition_subject = 1:4       % 100 is where there were empty blanks so I have padded them with 100
             if (list_search_time_total_avg(i_bw_condition_subject,i_between_condition) ~= 100 &  ...
                                                                    list_search_time_total_avg(i_bw_condition_subject,k_between_condition) ~= 100)
                  list_search_time_total_avg_bw_condn_factorA(i_subject_bw_condition) =  ...
                                                                           list_search_time_total_avg(i_bw_condition_subject,i_between_condition);
                  list_search_time_total_avg_bw_condn_factorB(i_subject_bw_condition) =  ...
                                                                            list_search_time_total_avg(i_bw_condition_subject,k_between_condition);
                 i_subject_bw_condition = i_subject_bw_condition + 1;
            end
        end
    
       fprintf(fid104,'condition %d & condition %d has data worth of %d subjects for list_search_time_total\n',i_between_condition-1,k_between_condition-1,i_subject_bw_condition-1);
    
        x = list_search_time_total_avg_bw_condn_factorA;
        y = list_search_time_total_avg_bw_condn_factorB;
  
        if (x == 0 | y == 0)
            fprintf(fid102,'all_0,');
            fprintf(fid104,'This has all zeroes so not running T test for this \n\n');
        else 
            [H,P,CI,STATS] = TTEST2(x,y,alpha,tail); 
            mean_factorA = mean(x);
            mean_factorB = mean(y);
            if (P >0 & (P < 0.05 | P < 0.10 | P < 0.15))
                if (mean_factorA < mean_factorB)
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d<*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d<#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d<@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                        
                elseif (mean_factorA > mean_factorB)
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d>*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d>#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d>@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                else
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d=*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d=#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d=@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                end
            else
                 fprintf(fid102,'NAN,');
            end
        end
        
        i_subject_bw_condition = 1;                  % Again initialising it to 1 for next conditions
        clear x;
        clear y;
        clear list_search_time_total_avg_bw_condn_factorA;
        clear list_search_time_total_avg_bw_condn_factorB;
    end
    fprintf(fid102,'\n');
end
fprintf(fid102,'\n\n\n');
fprintf(fid104,'\n\n\n');
 
%% successful_predictions between conditions

fprintf(fid102,'successful_predictions \n\n');
i_subject_bw_condition = 1;

for i_between_condition = 1:18
     for enter_tab = 1:i_between_condition
        fprintf(fid102,',');        % This is to insert spaces to get the output in the desired staircase format
     end
    for k_between_condition = i_between_condition+1:18
         for i_bw_condition_subject = 1:4       % 100 is where there were empty blanks so I have padded them with 100
             if (successful_predictions_avg(i_bw_condition_subject,i_between_condition) ~= 100 &  ...
                                                                    successful_predictions_avg(i_bw_condition_subject,k_between_condition) ~= 100)
                  successful_predictions_avg_bw_condn_factorA(i_subject_bw_condition) =  ...
                                                                           successful_predictions_avg(i_bw_condition_subject,i_between_condition);
                  successful_predictions_avg_bw_condn_factorB(i_subject_bw_condition) =  ...
                                                                            successful_predictions_avg(i_bw_condition_subject,k_between_condition);
                 i_subject_bw_condition = i_subject_bw_condition + 1;
            end
        end
    
       fprintf(fid104,'condition %d & condition %d has data worth of %d subjects for successful_predictions\n',i_between_condition-1,k_between_condition-1,i_subject_bw_condition-1);
    
        x = successful_predictions_avg_bw_condn_factorA;
        y = successful_predictions_avg_bw_condn_factorB;
  
        if (x == 0 | y == 0)
            fprintf(fid102,'all_0,');
            fprintf(fid104,'This has all zeroes so not running T test for this \n\n');
        else 
            [H,P,CI,STATS] = TTEST2(x,y,alpha,tail); 
            mean_factorA = mean(x);
            mean_factorB = mean(y);
            if (P >0 & (P < 0.05 | P < 0.10 | P < 0.15))
                if (mean_factorA < mean_factorB)
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d<*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d<#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d<@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                        
                elseif (mean_factorA > mean_factorB)
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d>*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d>#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d>@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                else
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d=*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d=#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d=@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                end
            else
                 fprintf(fid102,'NAN,');
            end
        end
        
        i_subject_bw_condition = 1;                  % Again initialising it to 1 for next conditions
        clear x;
        clear y;
        clear successful_predictions_avg_bw_condn_factorA;
        clear successful_predictions_avg_bw_condn_factorB;
    end
    fprintf(fid102,'\n');
end
fprintf(fid102,'\n\n\n');
fprintf(fid104,'\n\n\n');
 
%% unsuccessful_predictions between conditions

fprintf(fid102,'unsuccessful_predictions \n\n');
i_subject_bw_condition = 1;

for i_between_condition = 1:18
     for enter_tab = 1:i_between_condition
        fprintf(fid102,',');        % This is to insert spaces to get the output in the desired staircase format
     end
    for k_between_condition = i_between_condition+1:18
         for i_bw_condition_subject = 1:4       % 100 is where there were empty blanks so I have padded them with 100
             if (unsuccessful_predictions_avg(i_bw_condition_subject,i_between_condition) ~= 100 &  ...
                                                                    unsuccessful_predictions_avg(i_bw_condition_subject,k_between_condition) ~= 100)
                  unsuccessful_predictions_avg_bw_condn_factorA(i_subject_bw_condition) =  ...
                                                                           unsuccessful_predictions_avg(i_bw_condition_subject,i_between_condition);
                  unsuccessful_predictions_avg_bw_condn_factorB(i_subject_bw_condition) =  ...
                                                                            unsuccessful_predictions_avg(i_bw_condition_subject,k_between_condition);
                 i_subject_bw_condition = i_subject_bw_condition + 1;
            end
        end
    
       fprintf(fid104,'condition %d & condition %d has data worth of %d subjects for unsuccessful_predictions\n',i_between_condition-1,k_between_condition-1,i_subject_bw_condition-1);
    
        x = unsuccessful_predictions_avg_bw_condn_factorA;
        y = unsuccessful_predictions_avg_bw_condn_factorB;
  
        if (x == 0 | y == 0)
            fprintf(fid102,'all_0,');
            fprintf(fid104,'This has all zeroes so not running T test for this \n\n');
        else 
            [H,P,CI,STATS] = TTEST2(x,y,alpha,tail); 
            mean_factorA = mean(x);
            mean_factorB = mean(y);
            if (P >0 & (P < 0.05 | P < 0.10 | P < 0.15))
                if (mean_factorA < mean_factorB)
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d<*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d<#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d<@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                        
                elseif (mean_factorA > mean_factorB)
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d>*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d>#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d>@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                else
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d=*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d=#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d=@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                end
            else
                 fprintf(fid102,'NAN,');
            end
        end
        
        i_subject_bw_condition = 1;                  % Again initialising it to 1 for next conditions
        clear x;
        clear y;
        clear unsuccessful_predictions_avg_bw_condn_factorA;
        clear unsuccessful_predictions_avg_bw_condn_factorB;
    end
    fprintf(fid102,'\n');
end
fprintf(fid102,'\n\n\n');
fprintf(fid104,'\n\n\n');

%% target_views between conditions

fprintf(fid102,'target_views \n\n');
i_subject_bw_condition = 1;

for i_between_condition = 1:18
     for enter_tab = 1:i_between_condition
        fprintf(fid102,',');        % This is to insert spaces to get the output in the desired staircase format
     end
    for k_between_condition = i_between_condition+1:18
         for i_bw_condition_subject = 1:4       % 100 is where there were empty blanks so I have padded them with 100
             if (target_views_avg(i_bw_condition_subject,i_between_condition) ~= 100 &  ...
                                                                    target_views_avg(i_bw_condition_subject,k_between_condition) ~= 100)
                  target_views_avg_bw_condn_factorA(i_subject_bw_condition) =  ...
                                                                           target_views_avg(i_bw_condition_subject,i_between_condition);
                  target_views_avg_bw_condn_factorB(i_subject_bw_condition) =  ...
                                                                            target_views_avg(i_bw_condition_subject,k_between_condition);
                 i_subject_bw_condition = i_subject_bw_condition + 1;
            end
        end
    
       fprintf(fid104,'condition %d & condition %d has data worth of %d subjects for target_views\n',i_between_condition-1,k_between_condition-1,i_subject_bw_condition-1);
    
        x = target_views_avg_bw_condn_factorA;
        y = target_views_avg_bw_condn_factorB;
  
        if (x == 0 | y == 0)
            fprintf(fid102,'all_0,');
            fprintf(fid104,'This has all zeroes so not running T test for this \n\n');
        else 
            [H,P,CI,STATS] = TTEST2(x,y,alpha,tail); 
            mean_factorA = mean(x);
            mean_factorB = mean(y);
            if (P >0 & (P < 0.05 | P < 0.10 | P < 0.15))
                if (mean_factorA < mean_factorB)
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d<*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d<#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d<@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                        
                elseif (mean_factorA > mean_factorB)
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d>*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d>#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d>@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                else
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d=*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d=#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d=@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                end
            else
                 fprintf(fid102,'NAN,');
            end
        end
        
        i_subject_bw_condition = 1;                  % Again initialising it to 1 for next conditions
        clear x;
        clear y;
        clear target_views_avg_bw_condn_factorA;
        clear target_views_avg_bw_condn_factorB;
    end
    fprintf(fid102,'\n');
end
fprintf(fid102,'\n\n\n');
fprintf(fid104,'\n\n\n');
 
%% transcribed_views between conditions

fprintf(fid102,'transcribed_views \n\n');
i_subject_bw_condition = 1;

for i_between_condition = 1:18
     for enter_tab = 1:i_between_condition
        fprintf(fid102,',');        % This is to insert spaces to get the output in the desired staircase format
     end
    for k_between_condition = i_between_condition+1:18
         for i_bw_condition_subject = 1:4       % 100 is where there were empty blanks so I have padded them with 100
             if (transcribed_views_avg(i_bw_condition_subject,i_between_condition) ~= 100 &  ...
                                                                    transcribed_views_avg(i_bw_condition_subject,k_between_condition) ~= 100)
                  transcribed_views_avg_bw_condn_factorA(i_subject_bw_condition) =  ...
                                                                           transcribed_views_avg(i_bw_condition_subject,i_between_condition);
                  transcribed_views_avg_bw_condn_factorB(i_subject_bw_condition) =  ...
                                                                            transcribed_views_avg(i_bw_condition_subject,k_between_condition);
                 i_subject_bw_condition = i_subject_bw_condition + 1;
            end
        end
    
       fprintf(fid104,'condition %d & condition %d has data worth of %d subjects for transcribed_views\n',i_between_condition-1,k_between_condition-1,i_subject_bw_condition-1);
    
        x = transcribed_views_avg_bw_condn_factorA;
        y = transcribed_views_avg_bw_condn_factorB;
  
        if (x == 0 | y == 0)
            fprintf(fid102,'all_0,');
            fprintf(fid104,'This has all zeroes so not running T test for this \n\n');
        else 
            [H,P,CI,STATS] = TTEST2(x,y,alpha,tail); 
            mean_factorA = mean(x);
            mean_factorB = mean(y);
            if (P >0 & (P < 0.05 | P < 0.10 | P < 0.15))
                if (mean_factorA < mean_factorB)
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d<*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d<#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d<@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                        
                elseif (mean_factorA > mean_factorB)
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d>*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d>#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d>@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                else
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d=*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d=#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d=@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                end
            else
                 fprintf(fid102,'NAN,');
            end
        end
        
        i_subject_bw_condition = 1;                  % Again initialising it to 1 for next conditions
        clear x;
        clear y;
        clear transcribed_views_avg_bw_condn_factorA;
        clear transcribed_views_avg_bw_condn_factorB;
    end
    fprintf(fid102,'\n');
end
fprintf(fid102,'\n\n\n');
fprintf(fid104,'\n\n\n');

%% list_search_time_inlist between conditions

fprintf(fid102,'list_search_time_inlist \n\n');
i_subject_bw_condition = 1;

for i_between_condition = 1:18
     for enter_tab = 1:i_between_condition
        fprintf(fid102,',');        % This is to insert spaces to get the output in the desired staircase format
     end
    for k_between_condition = i_between_condition+1:18
         for i_bw_condition_subject = 1:4       % 100 is where there were empty blanks so I have padded them with 100
             if (list_search_time_inlist_avg(i_bw_condition_subject,i_between_condition) ~= 100 &  ...
                                                                    list_search_time_inlist_avg(i_bw_condition_subject,k_between_condition) ~= 100)
                  list_search_time_inlist_avg_bw_condn_factorA(i_subject_bw_condition) =  ...
                                                                           list_search_time_inlist_avg(i_bw_condition_subject,i_between_condition);
                  list_search_time_inlist_avg_bw_condn_factorB(i_subject_bw_condition) =  ...
                                                                            list_search_time_inlist_avg(i_bw_condition_subject,k_between_condition);
                 i_subject_bw_condition = i_subject_bw_condition + 1;
            end
        end
    
       fprintf(fid104,'condition %d & condition %d has data worth of %d subjects for list_search_time_inlist\n',i_between_condition-1,k_between_condition-1,i_subject_bw_condition-1);
    
        x = list_search_time_inlist_avg_bw_condn_factorA;
        y = list_search_time_inlist_avg_bw_condn_factorB;
  
        if (x == 0 | y == 0)
            fprintf(fid102,'all_0,');
            fprintf(fid104,'This has all zeroes so not running T test for this \n\n');
        else 
            [H,P,CI,STATS] = TTEST2(x,y,alpha,tail); 
            mean_factorA = mean(x);
            mean_factorB = mean(y);
            if (P >0 & (P < 0.05 | P < 0.10 | P < 0.15))
                if (mean_factorA < mean_factorB)
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d<*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d<#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d<@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                        
                elseif (mean_factorA > mean_factorB)
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d>*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d>#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d>@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                else
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d=*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d=#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d=@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                end
            else
                 fprintf(fid102,'NAN,');
            end
        end
        
        i_subject_bw_condition = 1;                  % Again initialising it to 1 for next conditions
        clear x;
        clear y;
        clear list_search_time_inlist_avg_bw_condn_factorA;
        clear list_search_time_inlist_avg_bw_condn_factorB;
    end
    fprintf(fid102,'\n');
end
fprintf(fid102,'\n\n\n');
fprintf(fid104,'\n\n\n');

%% list_search_time_notinlist between conditions

fprintf(fid102,'list_search_time_notinlist \n\n');
i_subject_bw_condition = 1;

for i_between_condition = 1:18
     for enter_tab = 1:i_between_condition
        fprintf(fid102,',');        % This is to insert spaces to get the output in the desired staircase format
     end
    for k_between_condition = i_between_condition+1:18
         for i_bw_condition_subject = 1:4       % 100 is where there were empty blanks so I have padded them with 100
             if (list_search_time_notinlist_avg(i_bw_condition_subject,i_between_condition) ~= 100 &  ...
                                                                    list_search_time_notinlist_avg(i_bw_condition_subject,k_between_condition) ~= 100)
                  list_search_time_notinlist_avg_bw_condn_factorA(i_subject_bw_condition) =  ...
                                                                           list_search_time_notinlist_avg(i_bw_condition_subject,i_between_condition);
                  list_search_time_notinlist_avg_bw_condn_factorB(i_subject_bw_condition) =  ...
                                                                            list_search_time_notinlist_avg(i_bw_condition_subject,k_between_condition);
                 i_subject_bw_condition = i_subject_bw_condition + 1;
            end
        end
    
       fprintf(fid104,'condition %d & condition %d has data worth of %d subjects for list_search_time_notinlist\n',i_between_condition-1,k_between_condition-1,i_subject_bw_condition-1);
    
        x = list_search_time_notinlist_avg_bw_condn_factorA;
        y = list_search_time_notinlist_avg_bw_condn_factorB;
  
        if (x == 0 | y == 0)
            fprintf(fid102,'all_0,');
            fprintf(fid104,'This has all zeroes so not running T test for this \n\n');
        else 
            [H,P,CI,STATS] = TTEST2(x,y,alpha,tail); 
            mean_factorA = mean(x);
            mean_factorB = mean(y);
            if (P >0 & (P < 0.05 | P < 0.10 | P < 0.15))
                if (mean_factorA < mean_factorB)
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d<*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d<#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d<@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                        
                elseif (mean_factorA > mean_factorB)
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d>*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d>#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d>@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                else
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d=*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d=#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d=@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                end
            else
                 fprintf(fid102,'NAN,');
            end
        end
        
        i_subject_bw_condition = 1;                  % Again initialising it to 1 for next conditions
        clear x;
        clear y;
        clear list_search_time_notinlist_avg_bw_condn_factorA;
        clear list_search_time_notinlist_avg_bw_condn_factorB;
    end
    fprintf(fid102,'\n');
end
fprintf(fid102,'\n\n\n');
fprintf(fid104,'\n\n\n');% 

%% list_search_time_search_successful between conditions

fprintf(fid102,'list_search_time_search_successful \n\n');
i_subject_bw_condition = 1;

for i_between_condition = 1:18
     for enter_tab = 1:i_between_condition
        fprintf(fid102,',');        % This is to insert spaces to get the output in the desired staircase format
     end
    for k_between_condition = i_between_condition+1:18
         for i_bw_condition_subject = 1:4       % 100 is where there were empty blanks so I have padded them with 100
             if (list_search_time_search_successful_avg(i_bw_condition_subject,i_between_condition) ~= 100 &  ...
                                                                    list_search_time_search_successful_avg(i_bw_condition_subject,k_between_condition) ~= 100)
                  list_search_time_search_successful_avg_bw_condn_factorA(i_subject_bw_condition) =  ...
                                                                           list_search_time_search_successful_avg(i_bw_condition_subject,i_between_condition);
                  list_search_time_search_successful_avg_bw_condn_factorB(i_subject_bw_condition) =  ...
                                                                            list_search_time_search_successful_avg(i_bw_condition_subject,k_between_condition);
                 i_subject_bw_condition = i_subject_bw_condition + 1;
            end
        end
    
       fprintf(fid104,'condition %d & condition %d has data worth of %d subjects for list_search_time_search_successful\n',i_between_condition-1,k_between_condition-1,i_subject_bw_condition-1);
    
        x = list_search_time_search_successful_avg_bw_condn_factorA;
        y = list_search_time_search_successful_avg_bw_condn_factorB;
  
        if (x == 0 | y == 0)
            fprintf(fid102,'all_0,');
            fprintf(fid104,'This has all zeroes so not running T test for this \n\n');
        else 
            [H,P,CI,STATS] = TTEST2(x,y,alpha,tail); 
            mean_factorA = mean(x);
            mean_factorB = mean(y);
            if (P >0 & (P < 0.05 | P < 0.10 | P < 0.15))
                if (mean_factorA < mean_factorB)
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d<*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d<#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d<@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                        
                elseif (mean_factorA > mean_factorB)
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d>*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d>#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d>@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                else
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d=*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d=#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d=@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                end
            else
                 fprintf(fid102,'NAN,');
            end
        end
        
        i_subject_bw_condition = 1;                  % Again initialising it to 1 for next conditions
        clear x;
        clear y;
        clear list_search_time_search_successful_avg_bw_condn_factorA;
        clear list_search_time_search_successful_avg_bw_condn_factorB;
    end
    fprintf(fid102,'\n');
end
fprintf(fid102,'\n\n\n');
fprintf(fid104,'\n\n\n');

%% list_search_time_search_not_successful between conditions

fprintf(fid102,'list_search_time_search_not_successful \n\n');
i_subject_bw_condition = 1;

for i_between_condition = 1:18
     for enter_tab = 1:i_between_condition
        fprintf(fid102,',');        % This is to insert spaces to get the output in the desired staircase format
     end
    for k_between_condition = i_between_condition+1:18
         for i_bw_condition_subject = 1:4       % 100 is where there were empty blanks so I have padded them with 100
             if (list_search_time_search_not_successful_avg(i_bw_condition_subject,i_between_condition) ~= 100 &  ...
                                                                    list_search_time_search_not_successful_avg(i_bw_condition_subject,k_between_condition) ~= 100)
                  list_search_time_search_not_successful_avg_bw_condn_factorA(i_subject_bw_condition) =  ...
                                                                           list_search_time_search_not_successful_avg(i_bw_condition_subject,i_between_condition);
                  list_search_time_search_not_successful_avg_bw_condn_factorB(i_subject_bw_condition) =  ...
                                                                            list_search_time_search_not_successful_avg(i_bw_condition_subject,k_between_condition);
                 i_subject_bw_condition = i_subject_bw_condition + 1;
            end
        end
    
       fprintf(fid104,'condition %d & condition %d has data worth of %d subjects for list_search_time_search_not_successful\n',i_between_condition-1,k_between_condition-1,i_subject_bw_condition-1);
    
        x = list_search_time_search_not_successful_avg_bw_condn_factorA;
        y = list_search_time_search_not_successful_avg_bw_condn_factorB;
  
        if (x == 0 | y == 0)
            fprintf(fid102,'all_0,');
            fprintf(fid104,'This has all zeroes so not running T test for this \n\n');
        else 
            [H,P,CI,STATS] = TTEST2(x,y,alpha,tail); 
            mean_factorA = mean(x);
            mean_factorB = mean(y);
            if (P >0 & (P < 0.05 | P < 0.10 | P < 0.15))
                if (mean_factorA < mean_factorB)
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d<*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d<#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d<@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                        
                elseif (mean_factorA > mean_factorB)
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d>*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d>#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d>@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                else
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d=*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d=#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d=@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                end
            else
                 fprintf(fid102,'NAN,');
            end
        end
        
        i_subject_bw_condition = 1;                  % Again initialising it to 1 for next conditions
        clear x;
        clear y;
        clear list_search_time_search_not_successful_avg_bw_condn_factorA;
        clear list_search_time_search_not_successful_avg_bw_condn_factorB;
    end
    fprintf(fid102,'\n');
end
fprintf(fid102,'\n\n\n');
fprintf(fid104,'\n\n\n');

%% Now doing for 5th trial %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

fprintf(fid102,'Now doing for 5th trial ##########################################################\n\n\n');
fprintf(fid104,'Now doing for 5th trial ##########################################################\n\n\n');

%% Text Entry Rate between conditions

fprintf(fid102,'Text Entry Rate \n\n');
i_subject_bw_condition = 1;

for i_between_condition = 1:18
    for enter_tab = 1:i_between_condition
        fprintf(fid102,',');        % This is to insert spaces to get the output in the desired staircase format
    end
    for k_between_condition = i_between_condition+1:18
         for i_bw_condition_subject = 1:4       % 100 is where there were empty blanks so I have padded them with 100
             if (textrate_5th(i_bw_condition_subject,i_between_condition) ~= 100 &  ...
                                                                   textrate_5th(i_bw_condition_subject,k_between_condition) ~= 100)
                 textrate_5th_bw_condn_factorA(i_subject_bw_condition) =  ...
                                                                           textrate_5th(i_bw_condition_subject,i_between_condition);
                 textrate_5th_bw_condn_factorB(i_subject_bw_condition) =  ...
                                                                           textrate_5th(i_bw_condition_subject,k_between_condition);
                 i_subject_bw_condition = i_subject_bw_condition + 1;
            end
        end
    
       fprintf(fid104,'condition %d & condition %d has data worth of %d subjects for text entry rate\n',i_between_condition-1,k_between_condition-1,i_subject_bw_condition-1);
    
        x = textrate_5th_bw_condn_factorA;
        y = textrate_5th_bw_condn_factorB;
  
        if (x == 0 | y == 0)
            fprintf(fid102,'all_0,');
             fprintf(fid104,'This has all zeroes so not running T test for this \n\n');
        else 
            [H,P,CI,STATS] = TTEST2(x,y,alpha,tail); 
            mean_factorA = mean(x);
            mean_factorB = mean(y);
            if (P >0 & (P < 0.05 | P < 0.10 | P < 0.15))
                if (mean_factorA < mean_factorB)
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d<*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d<#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d<@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                        
                elseif (mean_factorA > mean_factorB)
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d>*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d>#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d>@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                else
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d=*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d=#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d=@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                end
            else
                 fprintf(fid102,'NAN,');
            end
        end
        
        i_subject_bw_condition = 1;                  % Again initialising it to 1 for next conditions
        clear x;
        clear y;
        clear textrate_5th_bw_condn_factorA;
        clear textrate_5th_bw_condn_factorB;
    end
    fprintf(fid102,'\n');
end
fprintf(fid102,'\n\n\n');
fprintf(fid104,'\n\n\n');

%% Keystroke Rate between conditions

fprintf(fid102,'Keystroke Rate \n\n');
i_subject_bw_condition = 1;

for i_between_condition = 1:18
    for enter_tab = 1:i_between_condition
        fprintf(fid102,',');        % This is to insert spaces to get the output in the desired staircase format
    end
    for k_between_condition = i_between_condition+1:18
         for i_bw_condition_subject = 1:4       % 100 is where there were empty blanks so I have padded them with 100
             if (keystroke_rate_5th(i_bw_condition_subject,i_between_condition) ~= 100 &  ...
                                                                   keystroke_rate_5th(i_bw_condition_subject,k_between_condition) ~= 100)
                 keystroke_rate_5th_bw_condn_factorA(i_subject_bw_condition) =  ...
                                                                           keystroke_rate_5th(i_bw_condition_subject,i_between_condition);
                 keystroke_rate_5th_bw_condn_factorB(i_subject_bw_condition) =  ...
                                                                           keystroke_rate_5th(i_bw_condition_subject,k_between_condition);
                 i_subject_bw_condition = i_subject_bw_condition + 1;
            end
        end
    
       fprintf(fid104,'condition %d & condition %d has data worth of %d subjects for keystroke_rate\n',i_between_condition-1,k_between_condition-1,i_subject_bw_condition-1);
    
        x = keystroke_rate_5th_bw_condn_factorA;
        y = keystroke_rate_5th_bw_condn_factorB;
  
        if (x == 0 | y == 0)
            fprintf(fid102,'all_0,');
            fprintf(fid104,'This has all zeroes so not running T test for this \n\n');
        else 
            [H,P,CI,STATS] = TTEST2(x,y,alpha,tail); 
            mean_factorA = mean(x);
            mean_factorB = mean(y);
            if (P >0 & (P < 0.05 | P < 0.10 | P < 0.15))
                if (mean_factorA < mean_factorB)
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d<*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d<#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d<@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                        
                elseif (mean_factorA > mean_factorB)
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d>*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d>#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d>@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                else
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d=*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d=#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d=@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                end
            else
                 fprintf(fid102,'NAN,');
            end
        end
        
        i_subject_bw_condition = 1;                  % Again initialising it to 1 for next conditions
        clear x;
        clear y;
        clear keystroke_rate_5th_bw_condn_factorA;
        clear keystroke_rate_5th_bw_condn_factorB;
    end
    fprintf(fid102,'\n');
end
fprintf(fid102,'\n\n\n');
fprintf(fid104,'\n\n\n');


%% correct_keystrokes between conditions

fprintf(fid102,'correct_keystrokes \n\n');
i_subject_bw_condition = 1;

for i_between_condition = 1:18
    for enter_tab = 1:i_between_condition
        fprintf(fid102,',');        % This is to insert spaces to get the output in the desired staircase format
    end
    for k_between_condition = i_between_condition+1:18
         for i_bw_condition_subject = 1:4       % 100 is where there were empty blanks so I have padded them with 100
             if ( correct_keystrokes_5th(i_bw_condition_subject,i_between_condition) ~= 100 &  ...
                                                                    correct_keystrokes_5th(i_bw_condition_subject,k_between_condition) ~= 100)
                  correct_keystrokes_5th_bw_condn_factorA(i_subject_bw_condition) =  ...
                                                                           correct_keystrokes_5th(i_bw_condition_subject,i_between_condition);
                  correct_keystrokes_5th_bw_condn_factorB(i_subject_bw_condition) =  ...
                                                                            correct_keystrokes_5th(i_bw_condition_subject,k_between_condition);
                 i_subject_bw_condition = i_subject_bw_condition + 1;
            end
        end
    
       fprintf(fid104,'condition %d & condition %d has data worth of %d subjects for correct_keystrokes\n',i_between_condition-1,k_between_condition-1,i_subject_bw_condition-1);
    
        x =  correct_keystrokes_5th_bw_condn_factorA;
        y =  correct_keystrokes_5th_bw_condn_factorB;
  
        if (x == 0 | y == 0)
            fprintf(fid102,'all_0,');
            fprintf(fid104,'This has all zeroes so not running T test for this \n\n');
        else 
            [H,P,CI,STATS] = TTEST2(x,y,alpha,tail); 
            mean_factorA = mean(x);
            mean_factorB = mean(y);
            if (P >0 & (P < 0.05 | P < 0.10 | P < 0.15))
                if (mean_factorA < mean_factorB)
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d<*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d<#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d<@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                        
                elseif (mean_factorA > mean_factorB)
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d>*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d>#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d>@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                else
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d=*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d=#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d=@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                end
            else
                 fprintf(fid102,'NAN,');
            end
        end
        
        i_subject_bw_condition = 1;                  % Again initialising it to 1 for next conditions
        clear x;
        clear y;
        clear correct_keystrokes_5th_bw_condn_factorA;
        clear correct_keystrokes_5th_bw_condn_factorB;
    end
    fprintf(fid102,'\n');
end
fprintf(fid102,'\n\n\n');
fprintf(fid104,'\n\n\n');

%% errors between conditions

fprintf(fid102,'errors \n\n');
i_subject_bw_condition = 1;

for i_between_condition = 1:18
    for enter_tab = 1:i_between_condition
        fprintf(fid102,',');        % This is to insert spaces to get the output in the desired staircase format
     end
    for k_between_condition = i_between_condition+1:18
         for i_bw_condition_subject = 1:4       % 100 is where there were empty blanks so I have padded them with 100
             if ( errors_5th(i_bw_condition_subject,i_between_condition) ~= 100 &  ...
                                                                    errors_5th(i_bw_condition_subject,k_between_condition) ~= 100)
                  errors_5th_bw_condn_factorA(i_subject_bw_condition) =  ...
                                                                           errors_5th(i_bw_condition_subject,i_between_condition);
                  errors_5th_bw_condn_factorB(i_subject_bw_condition) =  ...
                                                                            errors_5th(i_bw_condition_subject,k_between_condition);
                 i_subject_bw_condition = i_subject_bw_condition + 1;
            end
        end
    
       fprintf(fid104,'condition %d & condition %d has data worth of %d subjects for errors\n',i_between_condition-1,k_between_condition-1,i_subject_bw_condition-1);
    
        x =  errors_5th_bw_condn_factorA;
        y =  errors_5th_bw_condn_factorB;
  
        if (x == 0 | y == 0)
            fprintf(fid102,'all_0,');
            fprintf(fid104,'This has all zeroes so not running T test for this \n\n');
        else 
            [H,P,CI,STATS] = TTEST2(x,y,alpha,tail); 
            mean_factorA = mean(x);
            mean_factorB = mean(y);
            if (P >0 & (P < 0.05 | P < 0.10 | P < 0.15))
                if (mean_factorA < mean_factorB)
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d<*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d<#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d<@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                        
                elseif (mean_factorA > mean_factorB)
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d>*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d>#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d>@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                else
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d=*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d=#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d=@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                end
            else
                 fprintf(fid102,'NAN,');
            end
        end
        
        i_subject_bw_condition = 1;                  % Again initialising it to 1 for next conditions
        clear x;
        clear y;
        clear errors_5th_bw_condn_factorA;
        clear errors_5th_bw_condn_factorB;
    end
    fprintf(fid102,'\n');
end
fprintf(fid102,'\n\n\n');
fprintf(fid104,'\n\n\n');

%% time_between_keystrokes between conditions

fprintf(fid102,'time_between_keystrokes \n\n');
i_subject_bw_condition = 1;

for i_between_condition = 1:18
    for enter_tab = 1:i_between_condition
        fprintf(fid102,',');        % This is to insert spaces to get the output in the desired staircase format
    end
    for k_between_condition = i_between_condition+1:18
         for i_bw_condition_subject = 1:4       % 100 is where there were empty blanks so I have padded them with 100
             if ( time_between_keystrokes_5th(i_bw_condition_subject,i_between_condition) ~= 100 &  ...
                                                                    time_between_keystrokes_5th(i_bw_condition_subject,k_between_condition) ~= 100)
                  time_between_keystrokes_5th_bw_condn_factorA(i_subject_bw_condition) =  ...
                                                                           time_between_keystrokes_5th(i_bw_condition_subject,i_between_condition);
                  time_between_keystrokes_5th_bw_condn_factorB(i_subject_bw_condition) =  ...
                                                                            time_between_keystrokes_5th(i_bw_condition_subject,k_between_condition);
                 i_subject_bw_condition = i_subject_bw_condition + 1;
            end
        end
    
       fprintf(fid104,'condition %d & condition %d has data worth of %d subjects for time_between_keystrokes\n',i_between_condition-1,k_between_condition-1,i_subject_bw_condition-1);
    
        x = time_between_keystrokes_5th_bw_condn_factorA;
        y = time_between_keystrokes_5th_bw_condn_factorB;
  
        if (x == 0 | y == 0)
            fprintf(fid102,'all_0,');
            fprintf(fid104,'This has all zeroes so not running T test for this \n\n');
        else 
            [H,P,CI,STATS] = TTEST2(x,y,alpha,tail); 
            mean_factorA = mean(x);
            mean_factorB = mean(y);
            if (P >0 & (P < 0.05 | P < 0.10 | P < 0.15))
                if (mean_factorA < mean_factorB)
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d<*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d<#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d<@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                        
                elseif (mean_factorA > mean_factorB)
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d>*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d>#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d>@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                else
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d=*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d=#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d=@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                end
            else
                 fprintf(fid102,'NAN,');
            end
        end
        
        i_subject_bw_condition = 1;                  % Again initialising it to 1 for next conditions
        clear x;
        clear y;
        clear time_between_keystrokes_5th_bw_condn_factorA;
        clear time_between_keystrokes_5th_bw_condn_factorB;
    end
    fprintf(fid102,'\n');
end
fprintf(fid102,'\n\n\n');
fprintf(fid104,'\n\n\n');

%% list_search_time_total between conditions

fprintf(fid102,'list_search_time_total \n\n');
i_subject_bw_condition = 1;

for i_between_condition = 1:18
    for enter_tab = 1:i_between_condition
        fprintf(fid102,',');        % This is to insert spaces to get the output in the desired staircase format
    end
    for k_between_condition = i_between_condition+1:18
         for i_bw_condition_subject = 1:4       % 100 is where there were empty blanks so I have padded them with 100
             if (list_search_time_total_5th(i_bw_condition_subject,i_between_condition) ~= 100 &  ...
                                                                    list_search_time_total_5th(i_bw_condition_subject,k_between_condition) ~= 100)
                  list_search_time_total_5th_bw_condn_factorA(i_subject_bw_condition) =  ...
                                                                           list_search_time_total_5th(i_bw_condition_subject,i_between_condition);
                  list_search_time_total_5th_bw_condn_factorB(i_subject_bw_condition) =  ...
                                                                            list_search_time_total_5th(i_bw_condition_subject,k_between_condition);
                 i_subject_bw_condition = i_subject_bw_condition + 1;
            end
        end
    
       fprintf(fid104,'condition %d & condition %d has data worth of %d subjects for list_search_time_total\n',i_between_condition-1,k_between_condition-1,i_subject_bw_condition-1);
    
        x = list_search_time_total_5th_bw_condn_factorA;
        y = list_search_time_total_5th_bw_condn_factorB;
  
        if (x == 0 | y == 0)
            fprintf(fid102,'all_0,');
            fprintf(fid104,'This has all zeroes so not running T test for this \n\n');
        else 
            [H,P,CI,STATS] = TTEST2(x,y,alpha,tail); 
            mean_factorA = mean(x);
            mean_factorB = mean(y);
            if (P >0 & (P < 0.05 | P < 0.10 | P < 0.15))
                if (mean_factorA < mean_factorB)
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d<*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d<#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d<@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                        
                elseif (mean_factorA > mean_factorB)
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d>*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d>#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d>@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                else
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d=*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d=#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d=@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                end
            else
                 fprintf(fid102,'NAN,');
            end
        end
        
        i_subject_bw_condition = 1;                  % Again initialising it to 1 for next conditions
        clear x;
        clear y;
        clear list_search_time_total_5th_bw_condn_factorA;
        clear list_search_time_total_5th_bw_condn_factorB;
    end
    fprintf(fid102,'\n');
end
fprintf(fid102,'\n\n\n');
fprintf(fid104,'\n\n\n');
 
%% successful_predictions between conditions

% fprintf(fid102,'successful_predictions \n\n');
% i_subject_bw_condition = 1;
% 
% for i_between_condition = 1:18
%     for enter_tab = 1:i_between_condition
%         fprintf(fid102,',');        % This is to insert spaces to get the output in the desired staircase format
%     end
%     for k_between_condition = i_between_condition+1:18
%          for i_bw_condition_subject = 1:4       % 100 is where there were empty blanks so I have padded them with 100
%              if (successful_predictions_5th(i_bw_condition_subject,i_between_condition) ~= 100 &  ...
%                                                                     successful_predictions_5th(i_bw_condition_subject,k_between_condition) ~= 100)
%                   successful_predictions_5th_bw_condn_factorA(i_subject_bw_condition) =  ...
%                                                                            successful_predictions_5th(i_bw_condition_subject,i_between_condition);
%                   successful_predictions_5th_bw_condn_factorB(i_subject_bw_condition) =  ...
%                                                                             successful_predictions_5th(i_bw_condition_subject,k_between_condition);
%                  i_subject_bw_condition = i_subject_bw_condition + 1;
%             end
%         end
%     
%        fprintf(fid104,'condition %d & condition %d has data worth of %d subjects for successful_predictions\n',i_between_condition-1,k_between_condition-1,i_subject_bw_condition-1);
%     
%         x = successful_predictions_5th_bw_condn_factorA;
%         y = successful_predictions_5th_bw_condn_factorB;
%   
%         if (x == 0 | y == 0)
%             fprintf(fid102,'all_0,');
%             fprintf(fid104,'This has all zeroes so not running T test for this \n\n');
%         else 
%             [H,P,CI,STATS] = TTEST2(x,y,alpha,tail); 
%             mean_factorA = mean(x);
%             mean_factorB = mean(y);
%             if (P >0 & (P < 0.05 | P < 0.10 | P < 0.15))
%                 if (mean_factorA < mean_factorB)
%                     if (P >=0 & P <= 0.05) 
%                         fprintf(fid102,'%d<*,',i_subject_bw_condition-1);
%                         fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
%                     elseif (P >0.05 & P <= 0.10)
%                         fprintf(fid102,'%d<#,',i_subject_bw_condition-1);
%                         fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
%                     elseif (P >=0.10 & P <= 0.15)
%                         fprintf(fid102,'%d<@,',i_subject_bw_condition-1);
%                         fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
%                     end
%                         
%                 elseif (mean_factorA > mean_factorB)
%                     if (P >=0 & P <= 0.05) 
%                         fprintf(fid102,'%d>*,',i_subject_bw_condition-1);
%                         fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
%                     elseif (P >0.05 & P <= 0.10)
%                         fprintf(fid102,'%d>#,',i_subject_bw_condition-1);
%                         fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
%                     elseif (P >=0.10 & P <= 0.15)
%                         fprintf(fid102,'%d>@,',i_subject_bw_condition-1);
%                         fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
%                     end
%                 else
%                     if (P >=0 & P <= 0.05) 
%                         fprintf(fid102,'%d=*,',i_subject_bw_condition-1);
%                         fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
%                     elseif (P >0.05 & P <= 0.10)
%                         fprintf(fid102,'%d=#,',i_subject_bw_condition-1);
%                         fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
%                     elseif (P >=0.10 & P <= 0.15)
%                         fprintf(fid102,'%d=@,',i_subject_bw_condition-1);
%                         fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
%                     end
%                 end
%             else
%                  fprintf(fid102,'NAN,');
%             end
%         end
%         
%         i_subject_bw_condition = 1;                  % Again initialising it to 1 for next conditions
%         clear x;
%         clear y;
%         clear successful_predictions_5th_bw_condn_factorA;
%         clear successful_predictions_5th_bw_condn_factorB;
%     end
%     fprintf(fid102,'\n');
% end
% fprintf(fid102,'\n\n\n');
% fprintf(fid104,'\n\n\n');
 
%% unsuccessful_predictions between conditions

fprintf(fid102,'unsuccessful_predictions \n\n');
i_subject_bw_condition = 1;

for i_between_condition = 1:18
    for enter_tab = 1:i_between_condition
        fprintf(fid102,',');        % This is to insert spaces to get the output in the desired staircase format
    end
    for k_between_condition = i_between_condition+1:18
         for i_bw_condition_subject = 1:4       % 100 is where there were empty blanks so I have padded them with 100
             if (unsuccessful_predictions_5th(i_bw_condition_subject,i_between_condition) ~= 100 &  ...
                                                                    unsuccessful_predictions_5th(i_bw_condition_subject,k_between_condition) ~= 100)
                  unsuccessful_predictions_5th_bw_condn_factorA(i_subject_bw_condition) =  ...
                                                                           unsuccessful_predictions_5th(i_bw_condition_subject,i_between_condition);
                  unsuccessful_predictions_5th_bw_condn_factorB(i_subject_bw_condition) =  ...
                                                                            unsuccessful_predictions_5th(i_bw_condition_subject,k_between_condition);
                 i_subject_bw_condition = i_subject_bw_condition + 1;
            end
        end
    
       fprintf(fid104,'condition %d & condition %d has data worth of %d subjects for unsuccessful_predictions\n',i_between_condition-1,k_between_condition-1,i_subject_bw_condition-1);
    
        x = unsuccessful_predictions_5th_bw_condn_factorA;
        y = unsuccessful_predictions_5th_bw_condn_factorB;
  
        if (x == 0 | y == 0)
            fprintf(fid102,'all_0,');
            fprintf(fid104,'This has all zeroes so not running T test for this \n\n');
        else 
            [H,P,CI,STATS] = TTEST2(x,y,alpha,tail); 
            mean_factorA = mean(x);
            mean_factorB = mean(y);
            if (P >0 & (P < 0.05 | P < 0.10 | P < 0.15))
                if (mean_factorA < mean_factorB)
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d<*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d<#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d<@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                        
                elseif (mean_factorA > mean_factorB)
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d>*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d>#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d>@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                else
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d=*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d=#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d=@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                end
            else
                 fprintf(fid102,'NAN,');
            end
        end
        
        i_subject_bw_condition = 1;                  % Again initialising it to 1 for next conditions
        clear x;
        clear y;
        clear unsuccessful_predictions_5th_bw_condn_factorA;
        clear unsuccessful_predictions_5th_bw_condn_factorB;
    end
    fprintf(fid102,'\n');
end
fprintf(fid102,'\n\n\n');
fprintf(fid104,'\n\n\n');

%% target_views between conditions

fprintf(fid102,'target_views \n\n');
i_subject_bw_condition = 1;

for i_between_condition = 1:18
    for enter_tab = 1:i_between_condition
        fprintf(fid102,',');        % This is to insert spaces to get the output in the desired staircase format
    end
    for k_between_condition = i_between_condition+1:18
         for i_bw_condition_subject = 1:4       % 100 is where there were empty blanks so I have padded them with 100
             if (target_views_5th(i_bw_condition_subject,i_between_condition) ~= 100 &  ...
                                                                    target_views_5th(i_bw_condition_subject,k_between_condition) ~= 100)
                  target_views_5th_bw_condn_factorA(i_subject_bw_condition) =  ...
                                                                           target_views_5th(i_bw_condition_subject,i_between_condition);
                  target_views_5th_bw_condn_factorB(i_subject_bw_condition) =  ...
                                                                            target_views_5th(i_bw_condition_subject,k_between_condition);
                 i_subject_bw_condition = i_subject_bw_condition + 1;
            end
        end
    
       fprintf(fid104,'condition %d & condition %d has data worth of %d subjects for target_views\n',i_between_condition-1,k_between_condition-1,i_subject_bw_condition-1);
    
        x = target_views_5th_bw_condn_factorA;
        y = target_views_5th_bw_condn_factorB;
  
        if (x == 0 | y == 0)
            fprintf(fid102,'all_0,');
            fprintf(fid104,'This has all zeroes so not running T test for this \n\n');
        else 
            [H,P,CI,STATS] = TTEST2(x,y,alpha,tail); 
            mean_factorA = mean(x);
            mean_factorB = mean(y);
            if (P >0 & (P < 0.05 | P < 0.10 | P < 0.15))
                if (mean_factorA < mean_factorB)
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d<*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d<#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d<@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                        
                elseif (mean_factorA > mean_factorB)
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d>*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d>#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d>@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                else
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d=*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d=#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d=@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                end
            else
                 fprintf(fid102,'NAN,');
            end
        end
        
        i_subject_bw_condition = 1;                  % Again initialising it to 1 for next conditions
        clear x;
        clear y;
        clear target_views_5th_bw_condn_factorA;
        clear target_views_5th_bw_condn_factorB;
    end
    fprintf(fid102,'\n');
end
fprintf(fid102,'\n\n\n');
fprintf(fid104,'\n\n\n');
 
%% transcribed_views between conditions

fprintf(fid102,'transcribed_views \n\n');
i_subject_bw_condition = 1;

for i_between_condition = 1:18
    for enter_tab = 1:i_between_condition
        fprintf(fid102,',');        % This is to insert spaces to get the output in the desired staircase format
    end
    for k_between_condition = i_between_condition+1:18
         for i_bw_condition_subject = 1:4       % 100 is where there were empty blanks so I have padded them with 100
             if (transcribed_views_5th(i_bw_condition_subject,i_between_condition) ~= 100 &  ...
                                                                    transcribed_views_5th(i_bw_condition_subject,k_between_condition) ~= 100)
                  transcribed_views_5th_bw_condn_factorA(i_subject_bw_condition) =  ...
                                                                           transcribed_views_5th(i_bw_condition_subject,i_between_condition);
                  transcribed_views_5th_bw_condn_factorB(i_subject_bw_condition) =  ...
                                                                            transcribed_views_5th(i_bw_condition_subject,k_between_condition);
                 i_subject_bw_condition = i_subject_bw_condition + 1;
            end
        end
    
       fprintf(fid104,'condition %d & condition %d has data worth of %d subjects for transcribed_views\n',i_between_condition-1,k_between_condition-1,i_subject_bw_condition-1);
    
        x = transcribed_views_5th_bw_condn_factorA;
        y = transcribed_views_5th_bw_condn_factorB;
  
        if (x == 0 | y == 0)
            fprintf(fid102,'all_0,');
            fprintf(fid104,'This has all zeroes so not running T test for this \n\n');
        else 
            [H,P,CI,STATS] = TTEST2(x,y,alpha,tail); 
            mean_factorA = mean(x);
            mean_factorB = mean(y);
            if (P >0 & (P < 0.05 | P < 0.10 | P < 0.15))
                if (mean_factorA < mean_factorB)
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d<*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d<#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d<@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                        
                elseif (mean_factorA > mean_factorB)
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d>*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d>#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d>@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                else
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d=*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d=#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d=@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                end
            else
                 fprintf(fid102,'NAN,');
            end
        end
        
        i_subject_bw_condition = 1;                  % Again initialising it to 1 for next conditions
        clear x;
        clear y;
        clear transcribed_views_5th_bw_condn_factorA;
        clear transcribed_views_5th_bw_condn_factorB;
    end
    fprintf(fid102,'\n');
end
fprintf(fid102,'\n\n\n');
fprintf(fid104,'\n\n\n');

%% list_search_time_inlist between conditions

fprintf(fid102,'list_search_time_inlist \n\n');
i_subject_bw_condition = 1;

for i_between_condition = 1:18
    for enter_tab = 1:i_between_condition
        fprintf(fid102,',');        % This is to insert spaces to get the output in the desired staircase format
    end
    for k_between_condition = i_between_condition+1:18
         for i_bw_condition_subject = 1:4       % 100 is where there were empty blanks so I have padded them with 100
             if (list_search_time_inlist_5th(i_bw_condition_subject,i_between_condition) ~= 100 &  ...
                                                                    list_search_time_inlist_5th(i_bw_condition_subject,k_between_condition) ~= 100)
                  list_search_time_inlist_5th_bw_condn_factorA(i_subject_bw_condition) =  ...
                                                                           list_search_time_inlist_5th(i_bw_condition_subject,i_between_condition);
                  list_search_time_inlist_5th_bw_condn_factorB(i_subject_bw_condition) =  ...
                                                                            list_search_time_inlist_5th(i_bw_condition_subject,k_between_condition);
                 i_subject_bw_condition = i_subject_bw_condition + 1;
            end
        end
    
       fprintf(fid104,'condition %d & condition %d has data worth of %d subjects for list_search_time_inlist\n',i_between_condition-1,k_between_condition-1,i_subject_bw_condition-1);
    
        x = list_search_time_inlist_5th_bw_condn_factorA;
        y = list_search_time_inlist_5th_bw_condn_factorB;
  
        if (x == 0 | y == 0)
            fprintf(fid102,'all_0,');
            fprintf(fid104,'This has all zeroes so not running T test for this \n\n');
        else 
            [H,P,CI,STATS] = TTEST2(x,y,alpha,tail); 
            mean_factorA = mean(x);
            mean_factorB = mean(y);
            if (P >0 & (P < 0.05 | P < 0.10 | P < 0.15))
                if (mean_factorA < mean_factorB)
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d<*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d<#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d<@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                        
                elseif (mean_factorA > mean_factorB)
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d>*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d>#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d>@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                else
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d=*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d=#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d=@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                end
            else
                 fprintf(fid102,'NAN,');
            end
        end
        
        i_subject_bw_condition = 1;                  % Again initialising it to 1 for next conditions
        clear x;
        clear y;
        clear list_search_time_inlist_5th_bw_condn_factorA;
        clear list_search_time_inlist_5th_bw_condn_factorB;
    end
    fprintf(fid102,'\n');
end
fprintf(fid102,'\n\n\n');
fprintf(fid104,'\n\n\n');

%% list_search_time_notinlist between conditions

fprintf(fid102,'list_search_time_notinlist \n\n');
i_subject_bw_condition = 1;

for i_between_condition = 1:18
    for enter_tab = 1:i_between_condition
        fprintf(fid102,',');        % This is to insert spaces to get the output in the desired staircase format
    end
    for k_between_condition = i_between_condition+1:18
         for i_bw_condition_subject = 1:4       % 100 is where there were empty blanks so I have padded them with 100
             if (list_search_time_notinlist_5th(i_bw_condition_subject,i_between_condition) ~= 100 &  ...
                                                                    list_search_time_notinlist_5th(i_bw_condition_subject,k_between_condition) ~= 100)
                  list_search_time_notinlist_5th_bw_condn_factorA(i_subject_bw_condition) =  ...
                                                                           list_search_time_notinlist_5th(i_bw_condition_subject,i_between_condition);
                  list_search_time_notinlist_5th_bw_condn_factorB(i_subject_bw_condition) =  ...
                                                                            list_search_time_notinlist_5th(i_bw_condition_subject,k_between_condition);
                 i_subject_bw_condition = i_subject_bw_condition + 1;
            end
        end
    
       fprintf(fid104,'condition %d & condition %d has data worth of %d subjects for list_search_time_notinlist\n',i_between_condition-1,k_between_condition-1,i_subject_bw_condition-1);
    
        x = list_search_time_notinlist_5th_bw_condn_factorA;
        y = list_search_time_notinlist_5th_bw_condn_factorB;
  
        if (x == 0 | y == 0)
            fprintf(fid102,'all_0,');
            fprintf(fid104,'This has all zeroes so not running T test for this \n\n');
        else 
            [H,P,CI,STATS] = TTEST2(x,y,alpha,tail); 
            mean_factorA = mean(x);
            mean_factorB = mean(y);
            if (P >0 & (P < 0.05 | P < 0.10 | P < 0.15))
                if (mean_factorA < mean_factorB)
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d<*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d<#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d<@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                        
                elseif (mean_factorA > mean_factorB)
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d>*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d>#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d>@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                else
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d=*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d=#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d=@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                end
            else
                 fprintf(fid102,'NAN,');
            end
        end
        
        i_subject_bw_condition = 1;                  % Again initialising it to 1 for next conditions
        clear x;
        clear y;
        clear list_search_time_notinlist_5th_bw_condn_factorA;
        clear list_search_time_notinlist_5th_bw_condn_factorB;
    end
    fprintf(fid102,'\n');
end
fprintf(fid102,'\n\n\n');
fprintf(fid104,'\n\n\n');% 

%% list_search_time_search_successful between conditions

fprintf(fid102,'list_search_time_search_successful \n\n');
i_subject_bw_condition = 1;

for i_between_condition = 1:18
    for enter_tab = 1:i_between_condition
        fprintf(fid102,',');        % This is to insert spaces to get the output in the desired staircase format
    end
    for k_between_condition = i_between_condition+1:18
         for i_bw_condition_subject = 1:4       % 100 is where there were empty blanks so I have padded them with 100
             if (list_search_time_search_successful_5th(i_bw_condition_subject,i_between_condition) ~= 100 &  ...
                                                                    list_search_time_search_successful_5th(i_bw_condition_subject,k_between_condition) ~= 100)
                  list_search_time_search_successful_5th_bw_condn_factorA(i_subject_bw_condition) =  ...
                                                                           list_search_time_search_successful_5th(i_bw_condition_subject,i_between_condition);
                  list_search_time_search_successful_5th_bw_condn_factorB(i_subject_bw_condition) =  ...
                                                                            list_search_time_search_successful_5th(i_bw_condition_subject,k_between_condition);
                 i_subject_bw_condition = i_subject_bw_condition + 1;
            end
        end
    
       fprintf(fid104,'condition %d & condition %d has data worth of %d subjects for list_search_time_search_successful\n',i_between_condition-1,k_between_condition-1,i_subject_bw_condition-1);
    
        x = list_search_time_search_successful_5th_bw_condn_factorA;
        y = list_search_time_search_successful_5th_bw_condn_factorB;
  
        if (x == 0 | y == 0)
            fprintf(fid102,'all_0,');
            fprintf(fid104,'This has all zeroes so not running T test for this \n\n');
        else 
            [H,P,CI,STATS] = TTEST2(x,y,alpha,tail); 
            mean_factorA = mean(x);
            mean_factorB = mean(y);
            if (P >0 & (P < 0.05 | P < 0.10 | P < 0.15))
                if (mean_factorA < mean_factorB)
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d<*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d<#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d<@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                        
                elseif (mean_factorA > mean_factorB)
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d>*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d>#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d>@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                else
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d=*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d=#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d=@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                end
            else
                 fprintf(fid102,'NAN,');
            end
        end
        
        i_subject_bw_condition = 1;                  % Again initialising it to 1 for next conditions
        clear x;
        clear y;
        clear list_search_time_search_successful_5th_bw_condn_factorA;
        clear list_search_time_search_successful_5th_bw_condn_factorB;
    end
    fprintf(fid102,'\n');
end
fprintf(fid102,'\n\n\n');
fprintf(fid104,'\n\n\n');

%% list_search_time_search_not_successful between conditions

fprintf(fid102,'list_search_time_search_not_successful \n\n');
i_subject_bw_condition = 1;

for i_between_condition = 1:18
    for enter_tab = 1:i_between_condition
        fprintf(fid102,',');        % This is to insert spaces to get the output in the desired staircase format
    end
    for k_between_condition = i_between_condition+1:18
         for i_bw_condition_subject = 1:4       % 100 is where there were empty blanks so I have padded them with 100
             if (list_search_time_search_not_successful_5th(i_bw_condition_subject,i_between_condition) ~= 100 &  ...
                                                                    list_search_time_search_not_successful_5th(i_bw_condition_subject,k_between_condition) ~= 100)
                  list_search_time_search_not_successful_5th_bw_condn_factorA(i_subject_bw_condition) =  ...
                                                                           list_search_time_search_not_successful_5th(i_bw_condition_subject,i_between_condition);
                  list_search_time_search_not_successful_5th_bw_condn_factorB(i_subject_bw_condition) =  ...
                                                                            list_search_time_search_not_successful_5th(i_bw_condition_subject,k_between_condition);
                 i_subject_bw_condition = i_subject_bw_condition + 1;
            end
        end
    
       fprintf(fid104,'condition %d & condition %d has data worth of %d subjects for list_search_time_search_not_successful\n',i_between_condition-1,k_between_condition-1,i_subject_bw_condition-1);
    
        x = list_search_time_search_not_successful_5th_bw_condn_factorA;
        y = list_search_time_search_not_successful_5th_bw_condn_factorB;
  
        if (x == 0 | y == 0)
            fprintf(fid102,'all_0,');
            fprintf(fid104,'This has all zeroes so not running T test for this \n\n');
        else 
            [H,P,CI,STATS] = TTEST2(x,y,alpha,tail); 
            mean_factorA = mean(x);
            mean_factorB = mean(y);
            if (P >0 & (P < 0.05 | P < 0.10 | P < 0.15))
                if (mean_factorA < mean_factorB)
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d<*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d<#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d<@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d < condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                        
                elseif (mean_factorA > mean_factorB)
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d>*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d>#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d>@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d > condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                else
                    if (P >=0 & P <= 0.05) 
                        fprintf(fid102,'%d=*,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >0.05 & P <= 0.10)
                        fprintf(fid102,'%d=#,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    elseif (P >=0.10 & P <= 0.15)
                        fprintf(fid102,'%d=@,',i_subject_bw_condition-1);
                        fprintf(fid104,'mean of condition %d = condition %d & p = %3.3f\n\n',i_between_condition,k_between_condition,P);
                    end
                end
            else
                 fprintf(fid102,'NAN,');
            end
        end
        
        i_subject_bw_condition = 1;                  % Again initialising it to 1 for next conditions
        clear x;
        clear y;
        clear list_search_time_search_not_successful_5th_bw_condn_factorA;
        clear list_search_time_search_not_successful_5th_bw_condn_factorB;
    end
    fprintf(fid102,'\n');
end
fprintf(fid102,'\n\n\n');
fprintf(fid104,'\n\n\n');

fclose(fid102);
fclose(fid104);